Administration and Configuration

Back Forward Home Print
Nintex Workflow 2007
Administration and Configuration

Topics in "Administration and Configuration"
13 items

Help and How-to
Licensing settings

Help and How-to
Database settings

Help and How-to
Manage content databases

Help and How-to
Web Application activation settings

Help and How-to
Managing workflow actions

Help and How-to
Global Settings

Help and How-to
Managing LazyApproval settings

Help and How-to
Defining message templates

Help and How-to
Activating Nintex Workflow

Help and How-to
Configuring user preferences

Help and How-to
Security Settings

Help and How-to
Purge Workflow Data

Help and How-to
Workflow Error Notifications


Licensing settings

Licensing settings

Nintex Workflow uses a license file (.nlf) for server licensing. A single license file is used to store information about all servers in your organisation that are licensed for Nintex Workflow.

Nintex Licensing Options

Nintex Workflow 2007 is available in three editions – Workgroup, Standard and Enterprise.

Nintex Workflow 2007 – Enterprise Edition and Standard Edition

A license is required for each SharePoint front-end server where user interaction with Nintex Workflow 2007 components occurs.

Please contact our sales team if you need advice at sales@nintex.com

Nintex Workflow 2007 – Workgroup Edition

This license covers a single SharePoint front-end server environment with up to five team sites. Only one Workgroup Edition license can be purchased. If more than five site activations or multiple front-end servers are required, a Standard or Enterprise Edition license is required.

PLEASE NOTE: Administrators are able to manage which sites Nintex Workflow has been activated on and deactivate sites that no longer require Nintex Workflow functionality.

Please contact our sales team if you need advice at sales@nintex.com


Database settings

Database settings

The "Database settings" page is available within the servers Central Administration. From the Application Tab you will find a Nintex Workflow Management menu when Nintex is deployed that contains the link to the database settings.

Central administration menu

These settings need to be configured second after the licensing but prior to other settings to allow Nintex to store the configuration settings.

The database settings page

Configuration Database

The configuration database form

Each Nintex workflow installation requires that one configuration database be specified to store the server specific configuration settings required for running the application. Click the edit configuration database button button to configure the connection string for this database.

There are essentially two options here, firstly a new database can be created by Nintex, or alternatively an existing database can be used by marking the "Connect to existing database" check box. In each case the properties of the connection string need to be configured. These being the name of the SQL Server database server, the name of the database and the authentication settings.

Content Databases

The new content database form

At runtime each workflow requires a content database. Hence at minimum Nintex requires at least one content database to be configured.

Again there are essentially two options here, firstly a new database can be created by Nintex, or alternatively an existing database can be used by marking the "Connect to existing database" check box. In each case the properties of the connection string need to be configured. These being the name of the SQL Server database server, the name of the database and the authentication settings.

In small farm scenarios it is reasonable to even use the same database for the content and configuration databases. By adding multiple content databases Nintex can automatically distribute the workflows within each site collection to their separate content databases to help spread the load.

KNOWN ISSUE

Title | Error establishing connection to SQL Server
Problem | 'An error has occurred while establishing a connection to the server. When connecting to SQL Server, this failure may be caused by the fact that under the default settings SQL Server does not allow remote connections. (provider: Named Pipes Provider, error:40 - Could not open a connection to SQL server)'.
Resolution | If you receive the abovementioned error or something very similar and the default Server name in the Add Configuration Database page is: "LOCALSERVERNAME\Microsoft##SSEE", then here is some information. When the user has installed SharePoint as standalone and not connected to any existing install of SQL Server, an embedded instance is used called Microsoft##SSEE. This instance is locked down to other applications. To install Nintex Workflow 2007, an additional database instance must be installed. This can be SQL 2005 Express which is free and available from: http://www.microsoft.com/downloads/details.aspx?displaylang=en&FamilyID=220549B5-0B07-4448-8848-DCC397514B41#filelist It can coexist on the same server as SharePoint. The Nintex Workflow configuration pages must then be changed to point to this new database.


Manage content databases

Manage content databases

Nintex Workflow supports multiple content databases. All data generated from a particular site collection will be stored within a single content database. By default, when a workflow is first run on a site collection, a content database is selected automatically based on how many site collections it already contains.

View database mappings

The view database mappings page is used to determine which workflow content database stores the data for a particular site collection. The page lists all site collections and their corresponding database.

Manage database mappings

The manage database mappings page allows selection of which workflow content database to use when the site collection Feature is activated on a new site collection. This is done per SharePoint content database, so all site collections held within a particular SharePoint content database will use the specified workflow content database. Site collections that already have the workflow Feature activated will not be affected by changes in these settings.


Web Application activation settings

Web Application activation settings

The "Web Application Activation" page is available within the server's Central Administration. These settings need to be configured after the licensing and after setting configuration and content databases. From the Application Tab you will find a Nintex Workflow Management menu when Nintex is deployed that contains the link to the web application activation settings.

Central administration menu

The default web application name should be chosen automatically - if not, select it using the drop-down, then click the “Activate” button.

It is now best to configure the email-related global settings.


Managing workflow actions

Managing workflow actions

This page is used to manage the Nintex Workflow actions that are available to workflow designers for the current farm, site collection or site. To modify settings for the farm, access this page from the 'Manage allowed actions' link in Central Administration Application Management. For the site or site collection, access this page via site settings.

Check the boxes of the actions you want to appear in the Workflow Designer then click “Save” (not shown).

If an action is not checked it will not be selectable in the workflow designer. If an imported workflow contains an action that is not allowed, the workflow will not save or publish.

Enforce allowed actions at run time

The "Enforce allowed actions at run time" option is available in the Global Settings in Central Administration Application Management. When this option is enabled, a workflow that contains an action that is not marked as "allowed" will cause the workflow to error. The following actions are affected by this option:

  • Add user to AD group
  • Call web service
  • Compile audience
  • Convert value
  • Copy to fileshare
  • Copy to SharePoint
  • Create a site
  • Create AD account
  • Create AD group
  • Create appointment
  • Create audience
  • Create list
  • Create site collection
  • Create task
  • Decommission site collection
  • Delete a site
  • Decommission AD account
  • Delete AD group
  • Delete audience
  • Enable LCS/OCS
  • Execute SQL
  • Log in the history list
  • Provision User on Exchange
  • Query BDC
  • Query Excel Services
  • Query LDAP
  • Query list
  • Query user profile
  • Query XML
  • Remove User from AD Group
  • Search query
  • Send / Receive BizTalk
  • Send a notification
  • Set approval status
  • Set item permisssions
  • Start workflow
  • Stop a workflow
  • Submit record
  • Update AD account
  • Update user profile
  • Update XML
  • Web request


Global Settings

Global Settings

The "Global Settings" page is used to set Nintex Workflow email settings for all sites in the web farm. The "Global Settings " page is available within the server's Central Administration. These settings need to be configured after licensing, setting configuration and content databases and Web Application Activation. From the Application Management tab you will find a Nintex Workflow Management menu when Nintex is deployed that contains the link to the Global Settings.

Central administration menu

Fill in the appropriate details for your environment and click the OK button.

It is now possible to activate Nintex Workflow 2007 for the SharePoint Site Collection.

There are three properties that need to be set here:

  • Outbound SMTP Server: This is the mail server through which Nintex will send emails. Please ensure that the SharePoint application pool has permission to use this server as a relay.
  • From address: This is the email address that is used by the system as the "From: " address for each email notification sent.
  • Reply-to-address: This email address is set as the "Reply to: " destination address for email notifications sent by the system.

In addition, there are a number of other settings to change global options. Please read the descriptions on the page to understand each option.

Global settings are cached and refreshed automatically every 15 minutes. To see changes take affect immediately, perform an IISRESET and restart the Windows SharePoint Services timer service.

Enforce allowed actions at run time

For more information about which actions are affected by this option, see the Manage allowed actions help file.


Managing LazyApproval settings

Managing LazyApproval settings

This page is used to manage the words used by the LazyApproval feature of Nintex Workflow 2007. You can edit the current list of recognized terms or add others. For more information please refer to the LazyApproval Help Page.

LazyApproval must first be enabled for the system. Navigate to SharePoint Central Administration on your server.

Click the “Application Management” tab then click on “LazyApproval settings ” in the “Nintex Workflow Management” section.

If you see the link “Configure server incoming mail settings” then those settings are not configured for SharePoint. Please configure them according to your SharePoint configuration documentation. Return to this page after completing your configuration.

If those settings are configured, you will instead see the link “Enable LazyApproval” which you will need to click.

Now select the “Enabled” option. You will be asked for an “alias” which is the name that will be used in the email address that sends the notifications and accepts the LazyApproval replies. There is also the option to change the footer that is appended to LazyAppoval enabled notifications. Press the “OK” button.

A list of allowed words will appear which are those that will be recognized by the LazyApproval process. You can add or remove terms at your discretion. To create a new term, click the link "Create a LazyApproval term for the current Farm".

You will be prompted to enter a phrase that will be recognized by the LazyApproval system, as well as an outcome ("Approve" or "Deny"). The maximum string length is 255 characters. Click the "OK" button once finished.

To edit or delete an existing term, click the hyperlink of the term in question and make your changes. Click the "OK" button to commit your changes.


Defining message templates

Defining message templates

Message templates used by the "Request approval" action can be defined globally for the farm in SharePoint Central Administration, for a specific site collection or for individual sites.

Farm

  1. Navigate to SharePoint Central Administration on your server.
  2. Click the “Application Management” tab then click on “Message Templates” in the “Nintex Workflow Management” section.

Site Collection

  1. Under the Site Actions menu, select Site Settings.
  2. Click on Message Templates in the Nintex Workflow group
  3. Click Switch to Site Level settings

Site

  1. Under the Site Actions menu, select Site Settings.
  2. Click on Message Templates in the Nintex Workflow group

The Message Templates page will load, showing the current settings for the standard message header and footer. It also displays the current default messages used for the scenarios "Approval Required" and "Approval No Longer Required".

The default content style for the message templates is Rich Text, which provides the opportunity to use different fonts, colours and simpler HTML styles. The SharePoint rich text tool bar is used by Nintex Workflow 2007.

For all these templates, you can add information as you see fit. One of the important features is to add content that is dynamically created using "Insert Reference". To insert a reference please refer to the Insert Reference help page.

Once you have made all the changes necessary to your templates, click the OK button at the bottom of "Message Templates" page to apply them.

PLEASE NOTE: Changes made to the message templates will not affect workflows in progress. Changes will only be seen when new instances of the workflow are started.

Workflow Error & Cancellation Notification Settings

The users who receive email notifications when a workflow errors or is cancelled is configurable at the teamsite level. Options are the user who initated the workflow and/or a specified email address. Notifications can be turned off by unchecking all options.


Activating Nintex Workflow

Activating Nintex Workflow

In order to design workflows and interact with Nintex Workflow 2007 (NW2007) the product needs to be activated in any team site where the functionality is required.

The first step is to activate the product for the Site Collection (see Step 1 below) and the second and more frequent step is to activate NW2007 per team site (see Step 2 below).

1. Activating NW2007 for the Site Collection

Navigate to your Top Site level home page and click “Site Actions > Site Settings”:

In the right column, “Site Collection Administration”, click “Site Collection Features”:

In the “Nintex Workflow 2007” section, click the “Activate” button.

After a short delay, the page will refresh and the status will become “Active”

It is now possible to activate Nintex Workflow 2007™ features in team sites.

2. Activating NW2007 in a teamsite

From the Top Site level home page, click “Site Actions > Site Settings”

In the right column, “Site Administration”, click “Site Features”.

In the Nintex Workflow 2007™ section, click the “Activate” button.

After a short delay, the page will refresh and the status will become “Active”.


Configuring user preferences

Configuring user preferences

Nintex Workflow 2007 notifications can be sent via email, Live Communication Server or SMS, depending on how your environment is configured. Each user can then set their preferred method of notification for both business hours and after hours.

To set your personal preferences, activate the drop down from the logged-in user name link at the top of a page, mouse-over Nintex Workflow 2007 then select "Manage Notification Preferences".

There is a section each for your Business hours notification preference and your After hours notification preference. The default settings are "Email". Make your selection from the drop-down according to the options available to you in your network.

The settings for Email and LCS are automatically determined by the account you are using to login. If you choose SMS, you will be prompted for an SMS address.

The SMS address is often something like your mobile telephone number plus a domain. However, to ensure you supply the correct address, please contact your System Administrator or equivalent for the right format and settings.

PLEASE NOTE: Nintex does not provide support for troubleshooting Email, SMS or LCS systems.

When you are finished, click the "OK" button to return to your original page.


Security Settings

Security Settings

According to how a user is required to interact with Nintex Workflow 2007 there are different security considerations to be made. The table below outlines the minimum permissions required to perform the actions described. In general, the runtime permissions can be inherited from the site or the parent site but must be the effective permissions for the given user at the list level.

Nintex Role | Required "SharePoint Permission Level" | Note
Approver/Reviewer | Contribute (at the item level at least) | This role includes all users who will be able to perform their assigned human task as part of the workflow from the SharePoint site. Users may be assigned tasks even without these permissions.
Lazy Approver | None | This role includes all users who will perform a Lazy Approval for their assigned task. The user however will need at least "Read" permissions if they wish to visit the site.
Workflow Designer | Design | This role includes all users who are responsible for creating and maintaining workflows. With these permissions the user can use the Nintex Workflow designer as well as the related tools and pages. In order to be able to publish a workflow, the user will need to be configured as a workflow designer.
Site Administrator | Full Control (on the site) | This role is responsible for activating and configuring the site level Nintex Workflow settings from the "Site Settings" page.
Server Administrator | Full Control (on the central administration site) | This role is responsible for the installation and the server level configuration of Nintex Workflow.
Workflow user | Contribute | Can start workflows, add schedules, view history and progress reports.

Configuring Allowed Workflow Designers

There is a know permissions quirk with SharePoint 2007 workflows created using either Nintex Workflow or SharePoint designer.

There is a Workflows list which is used to hold all defined workflows for a team site. Upon creating your first workflow in SPD or activating the NW2007 feature, this list is given unique permissions, copying those currently given to the team site. As a result, the only people who will be able to modify permissions on this list are site owners or those who were given explicit 'Full Control' access before the list was created.

To add/remove users as designers, the user assigning the permissions must be a site owner or have Full Control access to the Workflows list. Therefore we have exposed the list through the user interface to work around the problem.

To add a user or group to the workflow designers group you will require Site Administrator rights.

Activate the "Site Actions" button's drop down then select "Site Settings". In the Nintex Workflow section, click the link "Allowed workflow designers".

The Nintex workflow site settings menu

From the permissions page below the members can be maintained by adding them in the standard SharePoint manner. Please ensure that users who require full access to the designer have "Full Control" set as their permissions.


Purge Workflow Data

Purge Workflow Data

The Purge workflow data provides the option to delete historic data from the Nintex Workflow database. This option is also available as a NWAdmin operation. Reasons that data may need to be removed:

  • Deleting old data to decrease the size of the Nintex Workflow content database(s).
  • Deleting data added during testing of a workflow.
  • Deleting data from lists that have been deleted.

Workflow data can be purged globally for the web farm, a specific site collection or individual sites.

To purge workflow data for the web farm:

  • Navigate to SharePoint Central Administration.
  • Click on Application Management tab, in the Nintex Workflow Management section, click on Purge workflow data.

To purge workflow data for the site collection:

  • Navigate to the top level site home page.
  • In the Site Actions menu, click on Site Settings.
  • In the Nintex Workflow section, click on Purge workflow data.
  • Click on Switch to site collection settings.

To purge workflow data for a site:

  • Navigate to the top level site home page.
  • In the Site Actions menu, click on Site Settings.
  • In the Nintex Workflow section, click on Purge workflow data.

To purge workflow data:

Navigate to the Purge workflow data settings.

  • In the Select workflow instances to purge, specify filters to select the workflow instances for which data will be purged.
  • Where the list or library has been deleted: removes historic data for any workflows that are associated to a list that has been deleted.
  • Use custom filter: set the filter parameters
    • Initiator is: removes historic data for workflows that were started by a specific user.
    • Instance ID is: removes historic data for a specified workflow instance where the instance ID matches the GUID.
    • Last activity is before: removes historic data for workflow where the last action was before a specific time, specified in server local time.
    • List ID is: removes historic data for workflows associated with a specific internal GUID of a list.
    • List name is: removes historic data for workflows associated with a specific list name. Please note that this option is only available when purging workflow data on a site level.
    • State is: removes historic data for workflows with a specific state (Completed, Cancelled, Error).
    • Workflow name is: removes historic data for workflows with a specific name.
  • Click on Query. This will provide a preview of the database entries matching all entered criteria.
  • Click on Purge. This will delete historic data as specified from the content database(s).

Note: Once data has been purged, it cannot be recovered without restoring a backed up version of the Nintex Workflow content database.


Workflow Error Notifications

Workflow Error Notifications

The Workflow error notification settings provides the options to specify to whom workflow error and cancellation notifications are sent.

Workflow error and cancellation notification can be set globally for the web farm, a specific site collection or individual sites.

To set the workflow notification settings for the web farm:

  • Navigate to SharePoint Central Administration.
  • Click on Application Management tab, in the Nintex Workflow Management section, click on Workflow error notifications.

Note: By default the settings will inherit from the parent settings. A site will inherit its settings from the site collection and a site collection from the farm. If the setting is changed at a specific level, it will no longer inherit the settings from the parent.

To set the workflow notification settings for the site collection:

  • Navigate to the top level site home page.
  • In the Site Actions menu, click on Site Settings.
  • In the Nintex Workflow section, click on Workflow error notifications.
  • Click on Switch to site collection level settings.

To set the workflow notification settings for a site:

  • Navigate to the site level home page.
  • In the Site Actions menu, click on Site Settings.
  • In the Nintex Workflow section, click on Workflow error notifications.

Workflow Error and Cancellation Notification Settings

The Send notifications to the workflow initiator option notifies the user who started the workflow if the workflow errors or is cancelled.

For additional users to be notified when a workflow errors or is cancelled, specify the email address of the user in the Specify other email addresses that will receive the notifications text field.

Notifications can be turned off by selecting No for Send notifications to the workflow initiator and leaving the Specify other email addresses that will receive the notifications text field empty.


Using the Workflow Designer

Nintex Workflow 2007
Using the Workflow Designer

Topics in "Using the Workflow Designer"
23 items

Help and How-to
Getting started with the Nintex Workflow designer

Help and How-to
Error Handling

Help and How-to
Home Server Picker

Help and How-to
Importing and exporting workflows

Help and How-to
Importing a SmartLibrary workflow

Help and How-to
Inline functions

Help and How-to
Inserting reference fields

Help and How-to
LDAP Picker

Help and How-to
Using lookups

Help and How-to
MailStore Picker

Help and How-to
Managing Workflows

Help and How-to
Opening and saving workflows

Help and How-to
Printing

Help and How-to
Publishing a workflow

Help and How-to
Set action labels

Help and How-to
Verbose logging

Help and How-to
Workflow Snippets

Help and How-to
Workflow start data

Help and How-to
Workflow start options

Help and How-to
Workflow templates

Help and How-to
Workflow Constants

Help and How-to
Workflow gallery

Help and How-to
Workflow variables


Getting started with the Nintex Workflow designer

Getting started with the Nintex Workflow designer

Getting started with the Nintex Workflow designer

Creating a workflow

There are two ways to create a workflow. First, navigate to a library or list then click the "Settings" button. Then:

  1. Select the "Create Workflow" option. The Workflow Designer page will load with the Workflow Template picker at the front.
  2. Select the "Manage Workflows" option. The Workflow Gallery page will load. You can then select "Create" from near the top of the page.

The Workflow Designer canvas

Once you have arrived at the workflow designer page, you will see two major sections. At the left of the page is the "Workflow Actions" palette and the section on the right (occupying the majority of the page) is the design canvas.

The Workflow Actions palette

The actions palette displays the activities that can be used in the design canvas to create workflows. The actions are divided into groups of related actions. Click the heading of a group to expand it and close the one that is currently open. The default groupings are:

  • Commonly used
  • Integration
  • Libraries and lists
  • Logic and flow
  • Operations
  • Provisioning
  • Publishing
  • Sites and workspaces
  • SharePoint profiles
  • User interaction
  • My Snippets (after a snippet has first been created)

The names of workflow actions and the groupings can be edited by an administrator. For more information please refer to the Managing workflow actions help page.

Floating the Actions palette

If you design a complex workflow, the Actions palette can become lost because as the page requires scrolling down, the palette remains anchored to the top of the page. To overcome the problem there are two solutions:

  1. Detach the palette from the left navigation area by clicking the pin at the top. The palette will then float and can be dragged around the page. Click the pin again to reattach it to the left navigation area.

Adding actions to the design canvas

To design a workflow, you need to add actions to it. That is done visually in one of two ways:

  1. Left click and drag an action from the palette and drop it onto a blue "pearl" on the design canvas.
  2. Right-click a pearl on the design canvas, mouse-over "Insert Action" and select the action you require from the list.

Configuring actions

To change the settings used by the action, left click in the action's title bar to activate an item's drop-down. You will see a number of options:

Configure: allows you to configure the various options that define how the action will work.

Edit Labels: When a workflow action is added to the design canvas, it appears with a frame around it and a title bar. There are four areas in which labels can be applied. The title bar is the most obvious, and there are editable areas under the action icon as well as to the left and right. Custom labels can be added according to your preferences, including in the title bar. There is no maximum length for the labels, however they are most effective when they are as short as possible or at least of similar lengths on both the left and right.

Copy: The Copy function allows you to copy an action, with all its configuration settings, and paste it in another location on the design canvas. This function can be especially useful when using the "Send a notification" action which is likely appear a number of times when dealing with documents and approvals. Once you select "Copy", find the appropriate pearl on the design canvas, right-click it and select "Paste". The configuration of the pasted action can then be modified independently of the original.

Delete: Selecting delete will remove the action and any modifications made to it from the workflow.

Zoom Options

Click the zoom buttons on the top right of the design canvas to increase or decrease the designer canvas viewing size. Click 1:1 button to restore the view to its normal state.

At the top of the design canvas are two buttons, "Actions" and Settings". The options and related Help files are all listed below.

The Actions button

  • New: Clicking "New" will clear the current design canvas and load the Workflow Gallery
  • Open: Please refer to Opening and saving workflows
  • Save: Please refer to Opening and saving workflows
  • Save As: Allows two options, to save as a "Snippet" (see Workflow Snippets) or a Template (see Workflow Templates)
  • Publish: Please refer to Publishing a workflow
  • Print: Please refer to Printing
  • Export: Please refer to Importing and exporting workflows
  • Import: Please refer to Importing and exporting workflows

The Settings Button

  • Title and description: The title of the workflow and its description appear when selecting a workflow in libraries and lists and can be important to ensure clarity amongst users that select workflows.
  • Startup Options: Please refer to Workflow start options
  • Start Data: Please refer to Workflow start data
  • Workflow Variables: Please refer to Workflow variables


Error Handling

Error Handling

The error handling panel available in some actions allows the workflow designer to capture errors that occur during the execution of the action, and create their own logic to handle it.

The error handling panel

Error handling options

Capture Errors

This option specifies whether or not to turn on capturing of errors. If this option is set to 'Yes' an error in the action will no longer cause the workflow to fail. Instead, the values described in the next two sections will be populated. This option can be set explicitly or a Yes / No workflow variable can be used.

Store error occurrence in

A yes / no workflow variable that will store whether or not an error has occurred. The variable will be set to Yes if an error occurred and No if the action execution completed.

Store error text in

A text workflow variable that will store details of an error if one occurs. This value will be set to empty if no error occurs.

The error occurrence and error text workflow variables will not be modified if Capture Errors is set to No.


Home Server Picker

Home Server Picker

* This topic applies to Nintex Workflow Enterprise Edition only

Many activities require connection information to lookup Active Directory.

The Enable LCS/OCS Activity requires an LDAP address in order to specify the Primary Home Server. Generally, this will be an object called "LC Services"

When the HomeServer Picker is initially opened, it will attempt to connect to Active Directory using the information in the Activity dialog "LDAP Path" text box. It will then attempt to find any available "LC Services" folders. An error will occur if further credentials are required.

Select an "LC Services" object by clicking on it, then press the "Close" button. The selected object will be pasted into the Activity dialog window.

Options within this action

LDAP Path

An LDAP path specifying the Active Directory location. E.g. LDAP://Nintex.com/DC=nintex,DC=com

If your domain name is MyCompany.com, then the LDAP Path will be LDAP://MyCompany.com/DC=MyCompany,DC=com

You can specify Containers or organizationalUnits by adding "CN=" or "OU=". E.g. LDAP://MyCompany.com/CN=Users,DC=MyCompany,DC=com or LDAP://MyCompany.com/OU=Servers,DC=MyCompany,DC=com

Username

A username with the required permissions to access the LDAP Path entered.

Password

A password for the above username.

Click on the padlock to select from a list of Credential Workflow Constants, maintained in Site Settings by your system administrator.

Accessing the HomeServer Picker

The HomeServer Picker is available from the following dialogs:

  • Provisioning Activities - Enable LCS/OCS


Importing and exporting workflows

Importing and exporting workflows

Using the import or export workflow option will enable you to either convert the workflow currently displayed in the design canvas into a file or open a file of the same format in the design canvas.

Exporting a workflow

A workflow can be exported and saved in the file format ".nwf" in order to be used in another location. To export a workflow, click the "Actions" button at the top of the design canvas then select "Export".

You will be prompted about downloading the file that you create and its filename will be inherited from the title of the workflow. If you have not specified a title, the default value of "Newworkflow.nwf" will be used. Click the "Save" button then choose a location for the file.

Importing a workflow

To import a workflow to a library or list, navigate to the library or list in question. You will then need to create a workflow.

There are two ways to create a workflow. First, navigate to a library or list then click the "Settings" button. Then:

  1. Select the "Create Workflow" option. The Workflow Designer page will load with the Workflow Template picker at the front.
  2. Select the "Manage Workflows" option. The Workflow Gallery page will load. You can then select "Create" from near the top of the page.

Now click the "Actions" button at the top of the design canvas then select "Import > From file".

Locate the file using the file system then click the "Import" button.

PLEASE NOTE: Only workflows created by Nintex Workflow 2007 can be imported.

The previously designed workflow, with all its settings should now be displayed on the design canvas. All actions can be re-configured to your specifications.


Importing a SmartLibrary workflow

Import a SmartLibrary workflow

Nintex Workflow can read workflow files that have been exported from SmartLibrary 2.1 and generate a workflow with similar functionality.

Importing a SmartLibrary workflow

Navigate to the library or list in question. You will then need to create a workflow.

There are two ways to create a workflow. First, navigate to a library or list then click the "Settings" button. Then:

  1. Select the "Create Workflow" option. The Workflow Designer page will load with the Workflow Template picker at the front.
  2. Select the "Manage Workflows" option. The Workflow Gallery page will load. You can then select "Create" from near the top of the page.

Now click the "Actions" button at the top of the design canvas then select "Import > From SmartLibrary".

Locate the previously exported SmartLibrary XML file using the file system then click the "Import" button.

PLEASE NOTE: due to vastly different architectures, some features that were available in SmartLibrary have no equivalent in Nintex Workflow. Most notable is the ‘user choose approver’ option, authenticating as the last approver and the ability to force a workflow to restart if the item is modified.

After importing a SmartLibrary workflow, a summary will display to outline any issues.


Inline functions

Inline functions

In any text input that supports inserting references, an inline function can be entered that will evaluate when the workflow runs.

A number of functions are provided out of the box, and additional functions can be added with the NWAdmin.exe tool. See the Nintex Workflow 2007 SDK for more information.

Functions can also be used as arguments for other functions.

Example use of functions

Function behavior

The parsing engine first replaces any inserted reference tokens, and then the resulting text is evaluated for functions. If a function contains another function as an argument, the inner most function will be evaluated first. As reference tokens are replaced first, the reference token can also contain function syntax that will be evaluated. If text used for a function argument contains function syntax (i.e. a brace or comma character) but is not intended to be interpreted by the parser, wrap the text with {TextStart} and {TextEnd} markers to inform the parser that the block should only be treated as text and not evaluated. For example, if a number variable that contains a decimal value is passed to the function, and the decimal separator for your region is a comma, the {TextStart} and {TextEnd} tokens will need to be used.

Function reference

fn-Abs

Returns the absolute value of a number.

Example

fn-Abs({WorkflowVariable:Number})

Arguments

  • Number The number to return the absolute value of.

fn-Currency

Represents a numeric value as a currency formatted text.

Example

fn-Currency({WorkflowVariable:Cost})

Arguments

  • Number A variable containing a numeric value.

fn-DateDiffDays

Determines the number of days between two dates. The result can be a decimal value including partial days.

Example

fn-DateDiffDays({WorkflowVariable:StartDate}, {WorkflowVariable:EndDate})

Arguments

  • Start date The starting date and time to calculate the difference between.
  • End date The end date and time to calculate the difference between.

fn-DateDiffHours

Determines the number of hours between two dates. The result can be a decimal value including partial hours.

Example

fn-DateDiffHours({WorkflowVariable:StartDate}, {WorkflowVariable:EndDate})

Arguments

  • Start date The starting date and time to calculate the difference between.
  • End date The end and time date to calculate the difference between.

fn-DateDiffMinutes

Determines the number of minutes between two dates. The result can be a decimal value including partial minutes.

Example

fn-DateDiffMinutes({WorkflowVariable:StartDate}, {WorkflowVariable:EndDate})

Arguments

  • Start date The starting date and time to calculate the difference between.
  • End date The end and time date to calculate the difference between.

fn-DateDiffSeconds

Determines the number of seconds between two dates. The result can be a decimal value including partial seconds.

Example

fn-DateDiffSeconds({WorkflowVariable:StartDate}, {WorkflowVariable:EndDate})

Arguments

  • Start date The starting date and time to calculate the difference between.
  • End date The end and time date to calculate the difference between.

fn-FormatDate

Represents a date time value in text of a specific format.

Example

fn-FormatDate({WorkflowVariable:MyDate}, d)

Arguments

  • Date A variable containing a date value.
  • Format string Text describing how the date time value should be formatted. Information on how to format the value can be found on this page: Standard Date and Time Format Strings and this page Custom Date and Time Format Strings.

fn-Insert

Adds text in to a larger string.

Example

fn-Insert({WorkflowVariable:Text}, 4, {ItemProperty:Title})

Arguments

  • Text The text to modify.
  • Start position The character position to insert the new text at. The first character in the string is at position 0.
  • New text The additional text that will be added at the start position.

fn-Length

Returns the number of characters in a string.

Example

fn-Length({WorkflowVariable:Text})

Arguments

  • Text The string to count the characters of.

fn-Max

Returns the greater of two numbers.

Example

fn-Max({WorkflowVariable:Number1}, {WorkflowVariable:Number2})

Arguments

  • Number 1 The first number to compare.
  • Number 2 The second number to compare.

fn-Min

Returns the lesser of two numbers.

Example

fn-Min({WorkflowVariable:Number1}, {WorkflowVariable:Number2})

Arguments

  • Number 1 The first number to compare.
  • Number 2 The second number to compare.

fn-NewGuid

Generate a globally unique identifier.

Example

fn-NewGuid()

fn-PadLeft

Returns the provided string right aligned and padded to the total length with a specific character.

Example

fn-PadLeft({WorkflowVariable:Text}, 6)

fn-PadLeft({WorkflowVariable:Text}, 6,-)

Arguments

  • Text The string to pad.
  • Length The target total length of the padded result.
  • Character Optional. The character to pad the original string with. A space character is used by default.

fn-PadRight

Returns the provided string left aligned and padded to the total length with a specific character.

Example

fn-PadRight({WorkflowVariable:Text}, 6)

fn-PadRight({WorkflowVariable:Text}, 6,-)

Arguments

  • Text The string to pad.
  • Length The target total length of the padded result.
  • Character Optional. The character to pad the original string with. A space character is used by default.

fn-Power

Raises a number to the specified power.

Example

fn-Power({WorkflowVariable:Number}, {WorkflowVariable:Power})

Arguments

  • Number The number to raise to the power.
  • Number The power to raise number to.

fn-Remove

Removes a section of text in a larger string.

Example

fn-Remove({WorkflowVariable:Text},xxx,{ItemProperty:Title})

Arguments

  • Text The text to modify.
  • Start position The character position from which to remove the following characters. The first character in the string is at position 0.
  • Length Optional. The number of characters from the start position to remove. All remaining characters will be removed by default.

fn-Replace

Replaces a section of text in a larger string.

Example

fn-Replace({WorkflowVariable:Text},xxx,{ItemProperty:Title})

Arguments

  • Text The text to modify.
  • Old value The text to search for and replace.
  • New value The text to replace Old value with.

fn-Round

Rounds a decimal value to the nearest integer.

Example

fn-Round({WorkflowVariable:Number})

Arguments

  • Number The decimal number to round.

fn-SubString

Extracts a portion of text from a string.

Example

fn-SubString({WorkflowVariable:Text},5,10)

Arguments

  • Text The text to extract a value from
  • Start index The position in the text of the first character to retrieve. The first character in the string is at position 0.
  • Number of characters The number of characters to retrieve from the start index.

fn-ToLower

Formats text in a string to all lower case.

Example

fn-ToLower({WorkflowVariable:Text})

Arguments

  • Text The string to convert to all lower case.

fn-ToTitleCase

Formats text in a string to title case.

Example

fn-ToTitleCase({WorkflowVariable:Text})

Arguments

  • Text The string to convert to title case.

fn-ToUpper

Formats text in a string to all upper case.

Example

fn-ToUpper({WorkflowVariable:Text})

Arguments

  • Text The string to convert to all upper case.

fn-Trim

Removes leading and trailing whitespace from a string.

Example

fn-Trim({WorkflowVariable:Text})

Arguments

  • Text The text to remove leading and trailing whitespace characters from.

fn-XmlEncode

Encodes a string to make it safe for viewing in html.

Example

fn-XmlEncode({WorkflowVariable:Text})

Arguments

  • Text The text to encode.

fn-XmlDecode

Decodes a html safe string to regular text.

Example

fn-XmlDecode({WorkflowVariable:Text})

Arguments

  • Text The text to decode.


Inserting reference fields

Inserting reference fields

By using references you can construct text for use within workflow actions containing context specific information pertaining to the list item and this instance of the workflow. To insert a reference either double click on an item from the list or select the item and click on the "Insert" button.

Insert Reference tool as used in customising notifications

Reference information is divided into 3 categories:

  • Common: these are lookup values specific to the workflow, the context of the item and the current task within the workflow.
  • Item Properties: these are meta data columns for the item the workflow is attached to.
  • Workflow Variables: these are the internal workflow variables configured for the workflow.

Create a hyperlink built from this data

The Hyperlink build section of the Insert Reference tool

When inserting a reference into a Rich Text box you can insert hyperlinks. Once you select the create hyperlink option you will see two fields to contain the address and display text of the hyperlink. By placing the cursor within one of the fields, selecting items from the property list and clicking on the "Add" button you can build each of these values with a combination of lookup data and plain text typed manually.

You can also enter display text to be displayed in place of the hyperlink. To complete the reference, click the "Insert" button at the bottom of the pop-up window.

A third option for the hyperlink, in which any of the references can be used, is to add a starting URL (for example a portal search address or a Google search address) and then add the lookup reference to it. Remember to use the correct protocol (http:// or https:// etc). To complete the reference, click the "Insert" button at the bottom of the pop-up window.

'Common' Lookup References

  • All Approver Comments: All comments made by all approvers in ALL Request Approval Actions about the item in the workflow are displayed.
  • Approver Comments: All comments made by all approvers in the last Request Approval Action about the item in the workflow are displayed.
  • Current Date: The current date.
  • Current Time: The current time.
  • Is Document Writable: Resolves to 'yes' if the file in a document library can be updated. Resolves to 'no' if it is checked out or being edited. Note this will always resolve to 'yes' in a list.
  • Initiator: The username (domain\username) who caused the item to be entered into the workflow.
  • Initiator's Display Name: The display name of user who caused the item to be entered into the workflow.
  • Item URL: The url of the item in workflow.
  • Last Task Respondent: The username (domain\username) of the user who last registered a response to a task.
  • Last Task Respondent Display Name: The display name of the user who last registered a response to a task.
  • List ID: The unique ID of the list containing the item in workflow (Advanced).
  • List Name: The name of the list in which the workflow item is located.
  • Manager: The username (domain\username) of the workflow initiator's manager.
  • Manager's Display Name: The display name of the workflow initiator's manager.
  • Site Name: The title of the site in which the workflow item is located.
  • Start Date: The date the item's workflow was started.
  • Start Time: The time the item's workflow was started.
  • Web Url: The full URL of the site in which the workflow item is located.
  • Workflow Instance ID: The unique ID given to the running workflow instance (Advanced).
  • Workflow Log URL: The URL where the status of the workflow can be viewed in textual form.
  • Workflow Status URL: The URL where the status of the workflow can be viewed.
  • Workflow Title: The title of the workflow.

The following references are available from within request approval notifications

  • Approval Url: The URL in SharePoint where an approval for the item in the workflow can be made.
  • Approver Name: The display name of the user currently required to approve the document.
  • Approve: A url that will approve the task without requesting further input. Can be appended with a querystring confirmationpage=url to show to display a custom confirmation page. Can be appended with querystring hsl=[true|false] to determine whether to show the workflow status link on the default confirmation form.
  • Reject: A url that will reject the task without requesting further input. Can be appended with a querystring confirmationpage=url to show to display a custom confirmation page. Can be appended with querystring hsl=[true|false] to determine whether to show the workflow status link on the default confirmation form.
  • Delegate Url: The URL in SharePoint where an approver can delegate a task if allowed.

Inline functions

In addition to inserting tokens, inline functions can be used to do additional processing in the text. See the inline functions topic for more information.


LDAP Picker

LDAP Picker

Many activities require connection information to lookup Active Directory.

Activities such as Query LDAP and Create AD Account require an LDAP address in order to connect to an Active Directory data store.

When the LDAP Picker is initially opened, it will attempt to connect to Active Directory using the information in the Activity dialog "LDAP Path" text box. An error will occur if further credentials are required.

Select an Active Directory object by clicking on it, then press the "Close" button. The selected object will be pasted into the Activity dialog window.

Options within this action

LDAP Path

An LDAP path specifying the Active Directory location. E.g. LDAP://Nintex.com/DC=nintex,DC=com

If your domain name is MyCompany.com, then the LDAP Path will be LDAP://MyCompany.com/DC=MyCompany,DC=com

You can specify Containers or organizationalUnits by adding "CN=" or "OU=". E.g. LDAP://MyCompany.com/CN=Users,DC=MyCompany,DC=com or LDAP://MyCompany.com/OU=Servers,DC=MyCompany,DC=com

Username

A username with the required permissions to access the LDAP Path entered.

Password

A password for the above username.

Click on the padlock to select from a list of Credential Workflow Constants, maintained in Site Settings by your system administrator.

Accessing the LDAP Picker

The LDAP Picker is available from the following dialogs:

  • Integration Activities - Query LDAP
  • Provisioning Activities - Add User to AD Group
  • Provisioning Activities - Create AD Account
  • Provisioning Activities - Create AD Group
  • Provisioning Activities - Decommission AD Account
  • Provisioning Activities - Enable LCS/OCS
  • Provisioning Activities - Remove User from AD Group
  • Provisioning Activities - Update AD Account


Using lookups

Using lookups

Many of the actions within Nintex Workflow allow you to set values at runtime with lookups. When the popup is displayed you will be given the option to select one of three sources for this value.

Value

The value source form

The value source allows you to type a value that will not change at runtime.

Workflow Data

The workflow data source form

The workflow data source allows you to use the runtime value of the custom workflow variables with the matching type you have configured and manipulated within the workflow.

List Lookup

The list lookup source is a powerful feature allowing you to make reference to any property of the current item or any item within a list in the current site. When this option is selected click on the lookup button to see the "Lookup Details" popup tool.

Lookup details current item properties

The default option is to use a value from the current item. All fields that match the type of value you are setting will be shown in the field list.

Lookup value being selected from an alternate site item

Alternatively you can locate a property on another item in any list within the site. After selecting a source list select a field containing the value to be used. Using the 'When' and 'Equals' fields locate an item in the source list. In the above case we have selected to use the ID of an item "Shared Documents" where the name of the item is "Finance Jan 2007".

Advanced Designer Tip: This is a useful method for solving the problem of environment-specific configuration values. By creating a list to hold the configuration variables you can use this lookup to retrieve the settings at runtime that may differ between your development, acceptance and production environments. This helps avoid hard-coding these settings into the workflow templates and having to change them as they are deployed between environments.

For information about lookups used in the Nintex Workflow Message Templates, please refer to the Message Templates help page.


MailStore Picker

MailStore Picker

* This topic applies to Nintex Workflow Enterprise Edition only

Many activities require connection information to lookup Active Directory.

The Provision User on Exchange Activity requires an LDAP address in order to specify the Mailbox Container (or Exchange Database if provisioning an Exchange 2007 mailbox). Generally, this will be an object called "Mailbox Database", residing under a "Storage Group" object

When the MailStore Picker is initially opened, it will attempt to connect to Active Directory using the information in the Activity dialog "LDAP Path" text box. It will then attempt to find any available "Mailbox Database" folders. An error will occur if further credentials are required.

Select a "Mailbox Database" object (or another location in which you want the mailbox to reside) by clicking on it, then press the "Close" button. The selected object will be pasted into the Activity dialog window.

Options within this action

LDAP Path

An LDAP path specifying the Active Directory location. E.g. LDAP://Nintex.com/DC=nintex,DC=com

If your domain name is MyCompany.com, then the LDAP Path will be LDAP://MyCompany.com/DC=MyCompany,DC=com

You can specify Containers or organizationalUnits by adding "CN=" or "OU=". E.g. LDAP://MyCompany.com/CN=Configuration,DC=MyCompany,DC=com or LDAP://MyCompany.com/OU=Servers,DC=MyCompany,DC=com

Note that you must connect to the Configuration Container to access Exchange MailStore objects. E.g. LDAP://Nintex.com/CN=Configuration,DC=nintex,DC=com

Username

A username with the required permissions to access the LDAP Path entered.

Password

A password for the above username.

Click on the padlock to select from a list of Credential Workflow Constants, maintained in Site Settings by your system administrator.

Accessing the MailStore Picker

The MailStore Picker is available from the following dialogs:

  • Provisioning Activities - Provision User on Exchange


Managing Workflows

Managing Workflows

Each list or library in a site enabled with Nintex Workflow 2007 will have two additional items in its list settings menu as shown below. The second last option in the menu links to the "Manage Workflows" page for that specific list or library.

The list settings menu with the manage workflows option

When the "Manage Workflows" page loads you will see a list of all the workflows that belong to the current list. These are broken up into those that are published (available for selection by users) as well as those which are unpublished (saved but unavailable).

The manage workflows page

From here there are three options:

  • Create a new workflow: click on the "Create" button in the toolbar to create a new workflow.
  • Edit an existing workflow: click on the linked name of an existing workflow in order to open it for editing in the Nintex workflow designer.
  • Delete an existing workflow: click on the Delete button button next to the workflow to be deleted. After confirming the deletion the workflow will be permanently removed from the system.

Un-publishing A Workflow

If you wish to un-publish a workflow this can be done within SharePoint itself. Open the Library/List Settings page and select the "Workflow settings" option in the menu.

The list settings page with the workflow settings link

A list of all published versions of the active workflows within the list or library with the number of currently running workflows will be displayed. To remove one or more from the "Published" list click on the "Remove a workflow" link.

The workflow settings page

From the "Remove workflows" page, select the "Remove" radio button to the right of the workflow title to remove it. Note that when removing a workflow here it is not removed from the system, only from the list of workflows available to users (published workflows).

The remove workflows page

Click the "OK" button to commit your changes.


Opening and saving workflows

Opening and saving workflows

This help topic describes how to open and save workflows. For information about making a workflow available to users in libraries and lists, please refer to the Publishing a workflow help page.

Opening a workflow

There are two ways to open an existing workflow:

Navigate to the workflow designer by choosing to create a new workflow. Open any of the workflow templates that are displayed, then from the top of the design canvas, click the "Actions" button, then select "Open".

A dialog box will open that displays all the workflows that are associated with the list or library that you are using.

Select the workflow you wish to open then click the "Open" button at the bottom of the pop-up window (not shown).

Versioning

The open dialog supports opening a previously published version of a workflow. To see the available versions click the + button. Every time the workflow was published will be listed. If a workflow was saved, and not published, it will not be listed. The latest published version will be marked as (current). To open a previously published version, select one of the versions from the list and press Ok. The previous version will open in the workflow designer. If this workflow is then modified and published, a new version will be created and this new version will be the current version that is used when a workflow is started.

The other way to open a workflow is to use the "Manage Workflows " link provided from the SharePoint library or list view. For more information, please refer to the Manage Workflows help page.

Saving a workflow

You can save a workflow at any point in the design process and edit it again at a later time. To save a workflow, click the "Actions" button at the top of the design canvas, then select "Save". If this is the first time you have saved the workflow and have not already set the title, a pop-up box will appear asking you to enter one, along with an optional description of the workflow:

If you leave the default title, which is "New workflow", it could overwrite other workflows with the default name, so it is recommended that you supply a unique title for the workflow. Click the "Save" button when you are ready. A progress pop-up will appear. When the workflow has been saved, it will change and you can click the "OK" button to continue.


Printing

Printing

Use the Print button in the Actions menu to print the workflow design.

Note: The Print feature prepares the workflow design page for printer friendly viewing on the web browser. The browser's standard printing function is then used to send the page to the printer.

Click the Print icon on the page to launch the browser's standard print functions.


Publishing a workflow

Publishing a workflow

Before a workflow becomes available to users within SharePoint lists and libraries it must be published.

Once you are happy with your workflow select the "Publish" option from the Actions menu on the Nintex Workflow design canvas. The application will then validate the workflow and publish it, ready for SharePoint. For information about which users can publish workflows, please refer to the Security Settings help page.

The publish option in the Actions menu

This process of validation and publish may take a few seconds before you will see the success message as shown below. When the workflow is published it can be managed additionally by the standard SharePoint tools as well within the "Manage Workflows" page.

Publish Sucessful message

If there are errors in the workflow, including actions that are not configured, the workflow will not publish.


Set action labels

Set action labels

You can configure the text displayed around an activity by clicking on the activity's drop-down menu and selecting "Edit Labels".

You can now configure the action title and text to display to the left, right and bottom of the action. Note: The action title is used in workflow reports to indicate the current status of a running workflow.

You can also configure the "Expected duration" for an action. This is typically used in actions that require human interaction. The expected duration is used in workflow reports to indicate if an action is overdue.

Hide from workflow status

This option allows you to specify that this action, and any child actions, are not displayed in the workflow history or graphical progress view. This will also cause the action to not be tracked in the workflow database. Note that the "Request Approval", "Request Review" and "Request Data" actions can be hidden from the graphical status view, but will still be displayed in the workflow history and logged in the database.


Verbose logging

Verbose logging

Introduction

Verbose logging adds increased context data when viewing the history of a workflow instance. The value of all workflow variables and item properties are stored before and after each workflow action, along with additional diagnostics information such as the process the workflow was running in and the server which was executing the workflow.

Enabling verbose logging

Verbose logging must first be enabled in the farm before it can be enabled in a workflow. To enable verbose logging, browse to Global Settings and enable the option to allow verbose logging. A workflow with verbose logging enabled will add a larger amount of data to the workflow database than one without, therefore there is an automatic purge process to remove verbose information after a number of days. The number of days to keep verbose logs is set here.

After changing these settings, iisreset or wait 15 minutes for the settings to automatically refresh.

Once verbose logging is enabled in the farm, it can be enabled in a workflow. The option to enable verbose logging is in the start options for the workflow.

Viewing verbose logs

Verbose information is available from the graphical workflow status of a workflow. If the instance ran with verbose logging enabled, and the verbose data has not yet been cleared, a message in the workflow information panel will state that verbose logging information is available. If verbose data is available, each workflow action can be clicked on to bring up the verbose information panel. The panel shows each data item available to the workflow, with the values before and after the action executed. If any value changed, it will be highlighted.

There are options to export the verbose information for a particular action or the entire verbose log to an xml file.

Considerations when using verbose logging

Verbose logging adds a significant amount of data to the Nintex Workflow database. The data is not intended to be kept for a long time. The verbose logging feature is intended as an assistant for workflow development and testing, and is not intended to be left on in production.


Workflow Snippets

Workflow Snippets

The "Snippets" feature is useful for advanced users who create numerous workflows. Those users who find they are creating the same set of actions in the same sequence repeatedly can choose to save these sets of actions as a snippet, for reuse in either the current workflow or other workflows on the same instance of SharePoint.

Creating Snippets

There are two ways to create a snippet. The first involves saving an entire workflow as a snippet. To do this, from the actions menu as shown below, select "Save As" then the "Snippet" option.

Save as snippet option

The second method is specifically attached to the use of the "Action Set" action as shown on the right. This action itself allows you to package up a number of actions, and potentially hide these nested actions. By clicking on the title bar you will notice the "Save as Snippet" option.

The action set - save as snippet option

In both cases the "New Snippet" popup will be presented.

The new snippet form

To save the new snippet the only information needed is the unique name to save it under.

Using Snippets

My snippets section of the actions pallette

Once a snippet has been saved a new section will appear in the Actions palette called "My Snippets". It is from here that you can reuse the snippet at your convenience with all its preconfigured settings ready to go.

To use the snippet in the workflow, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. When the snippet is released onto the pearl, it will be rendered as a set of worklfow actions - the snippet icon will not appear on the workflow canvas.

If a snippet needs to be removed from the Actions palette you can right-click on the snippet itself and select the "Delete" option from the context menu that appears.


Workflow start data

Workflow start data

Using the start data option, you can configure information that must be collected when the workflow is started. When a user starts the workflow, they will be presented with a form requesting this information. This data is stored as workflow variables and is referenced by other actions in the workflow.

Please note: If you have created variables already, the variables created here must have different names.

For more information please refer to the Workflow Variables help page.


Workflow start options

Workflow start options

The "Workflow start options" determine how a workflow can be started and are accessed by clicking the "Settings" button above the design canvas then selecting "Startup options". There is an also a statistics setting where an estimate of how long the workflow process is expected to take can be set.

The options (including two automatic) provided are:

Start manually: A user wishing to apply workflow to an item must manually select a workflow from a list of those available. Only workflows that have the option "Start manually" enabled will be listed.

Start when items are created: when a library or list item is created or uploaded, all workflows in the library or list with this option enabled will start.

Start when items are modified: when a library or list item is modified, all workflows in the library or list with this option enabled will start. Checking-in a document in any way will not trigger a workflow to start.

Publish without validation: Advanced option. Specifies that a validation step is skipped when the workflow is published. Not validating the workflow is not recommended. If the workflow is large and takes a significiant length of time to publish, choosing to skip validation will help decrease how long the publish operation takes. However, if a validation issue is missed, the workflow may show unexpected errors.

Expected workflow duration: the workflow will record this duration in the database for reporting purposes.

Task List: all tasks created by a workflow are stored in a SharePoint tasklist on the teamsite. This option allows the task list that the workflow uses to be changed from the default.

PLEASE NOTE: Workflows are associated with a library or a list. Folders and sub-folders within libraries are subject to the same workflows as the parent library. Therefore, if you set a workflow to start when items are created or modified, any item, regardless of how many folders or sub-folders down it is stored, will trigger all the workflows that are set to start automatically. That behaviour is governed by SharePoint.


Workflow templates

Workflow templates

Workflow templates allow you to create and store workflows that are common throughout your business.

Workflow templates are tied to site collections so a template that may be visible in one part of SharePoint may not be visible in another. In these instances, you may need to Import from another team site or location.

Template Pop-up

When you first select to Create or Edit a workflow, a popup box will appear like the one shown below.

Please note: Templates shown may differ from those available

You can stop showing the template popup by unchecking 'Show template page when creating a new workflow'. You can reenable this option from the open workflow dialog.

If this popup does not appear, you may have pop-ups blocked. If this is the case a box will appear in the workflow palette like the one below.

You will also have a warning appear at the top of your web browser like the one below

By clicking on this warning once, you will be presented with the following options

Clicking on "Temporarily Allow Pop-ups" will allow the templates pop-up to appear in the interim. Selecting "Always Allow Pop-ups from This Site..." will mean you do not receive these prompts anymore.

By default you will be presented with the option of starting a blank workflow. Depending on what version of Nintex Workflow 2007 you purchased, you may also be able to select a pre-loaded template. Any template categories available will be listed in the template box. By hovering over a template the description of the template and its use will appear. This description is also shown in the right hand column under the template name, along with the category of the template, the last date modified and the last person to modify the template as shown below.

Which template have I selected?

The currently selected template will appear with a thick orange border and orange mirrored background. When not mousing-over any templates, the template name and description of the currently selected template will be shown in the right hand column.

Once you have chosen a template (blank or otherwise), simply double-click the one of relevance or click the Create button at the bottom right of the template pop-up.

How do I save a workflow as a template?

Once you've designed a workflow that you wish to publish as a template simply click on the "Actions" menu at the top of the workflow palette, then click "Save As" and select "Template".

You will then be presented with the New Template dialog box as shown below

Name is the title you would like to give the template.

Category is the group title for related templates. You can select an already created category or you can create a new one as shown below

Description is a brief description of the purpose of the template and helps users identify which template they should select.

How do I delete a template?

A Site Owner can delete a template. To do so, click the "Site Actions" button then "Site Settings". Then, in the "Nintex Workflow" section you will need to click on "Workflow Templates", where the full list of templates is stored. Simply delete the template as you would any item or document.


Workflow Constants

Workflow Constants

Workflow Constants are values that can be set globally for all workflows, either at the Farm, Site Collection or Site level. Once defined, they can be used within workflows by inserting them from the Insert Reference dialog where available.

When a workflow designer uses a constant in a workflow, they do not need to know the actual value stored. Workflow Constants are good for storing data such as URL's, LDAP paths or SQL Connection Strings.

New workflow constants are created by clicking the "Manage workflow constants" from the Nintex Workflow site settings panel.

When creating a workflow constant, the following options are presented:

Title

The name of the constant that will display in the insert reference list.

Type

The data type of the workflow constant. Choices are String, Number, Date and Credential.

The Credential type allows a username and password to be stored securely. Constants that are created as credentials are available for inserting when a dialog specifically has a username and password field with a padlock lookup icon. They cannot be used in regular insert reference lookups.

Administrators can set reusable credentials with privileges required to complete a workflow action without the workflow designer needing to know the actual username and password.

Value

The value that the constant will be replaced with when the workflow is run.

Description

Additional notes about the constant.

Sensitive

If a constant is marked as sensitive, it is only available in certain insert reference dialogs where a sensitive value may be required. For example, the insert reference box on the "Execute SQL" action dialog connection string field supports sensitive constants but the body and subject fields of the "Send a Notification" do not.

Sensitive constants are stored encrypted. Credential constants are also stored encrypted.

Edit permissions

Permissions can be set on workflow constants so only specified users or groups are allowed to see and use the workflow constant when designing a workflow.

If an existing workflow is modified by another user (workflow designer) who does not have permissions to see and use a workflow constant being used in that workflow, the workflow will save but cannot be republished. Only users (workflow designers) that have been granted permission to see and use the workflow constant will be able to publish the workflow.

The security check for a workflow constant is performed when the workflow is published. Therefore, if the permissions for a workflow constant are changed, a workflow that is already using the constant will continue to use the value successfully.

To add/edit permissions for a workflow constant:

  • Navigate to the Manage workflow constant settings.
  • Select the workflow constant to apply permission on.
  • In the Ribbon, click on the Edit permission button.

By default permissions is set to "Everyone".


Workflow gallery

Workflow gallery

The workflow gallery is a central repository for you to manage all Nintex Workflows created for a team site. Workflow galleries will normally be managed by a Team Site Administrator or SharePoint Administrator.

The workflow gallery can be accessed from the "Site Settings" page.

It is then located under the Nintex Workflow header as shown below

In the Workflow Gallery you will be presented with all the currently published workflows for this team site. The name of the workflow including the description, who last modified the workflow and what list the workflow is tied to will all be displayed.

Clicking on any of the workflows will present you with a graphical display of the workflow that is not editable. Scrolling over each workflow action will provide you with information on how the workflow action is configured.

From this display you will be able to export the workflow to another team site by clicking on the Export this workflow button at the top left as shown below


Workflow variables

Workflow variables

At first glance workflow variables may not seem to be needed much in most workflows. In truth, for basic approval workflows built ad-hoc by users as required they are not needed often. However, as a workflow gets more complicated and the need for implementing complex business rules and logic arises, the advanced, technically minded user will find them useful.

Some examples of when workflow variables are useful:

  • The workflow requires a value for conditional actions which is a combination of values that exist already in the system. For example, these values can be set using the "Math Operation" or "Build Dynamic String" actions.
  • You develop the workflow in a development environment for deployment to testing and production environments. To avoid using hard coded values in the workflow that must be manually updated during deployment, workflow variables can be used to load values from other lists via lookups. e.g. a URL to be used in an email may be different for each environment, this can be sourced at runtime from a configuration list within each environment using the "Set Variable" action.
  • A workflow may require the creation of another list item that you will need to query later using a lookup or delete automatically depending on further logic in a workflow. e.g. a new report requires that a meeting is organised, but during the workflow an administrator has rejected the report. Therefore the calendar event needs to be deleted.

It is not always appropriate or possible to store some of these values as meta data of the item attached to the workflow. To provide the means and flexibility to handle these kinds of scenarios Nintex provides workflow variables.

The workflow designer settings menu with workflow variables link

Managing Workflow Variables

In order to create or delete a variable attached to a workflow, select the "Settings" button and then the "Workflow Variables" option.

This will open a popup as shown below with a list of all the current variables that are configured with their type (text, number, yes/no, date time, list item ID, action ID and collection) listed in brackets. If there are no existing variables, the create variable panel will be displayed automatically. To delete an existing variable click on the The delete variable button next to that item.

To create an item click on the "Create variable" button. The "Create a new variable" form will be displayed to allow you to configure the name and type of your new variable.

Creating a new workflow variable

Please note that throughout Nintex Workflow 2007, actions that refer to workflow variables are restricted so that items of different types cannot be intermixed. In other words apples can only be compared with apples and not with bananas. Hence:

  • for math operations you will only be able use number variables;
  • when creating a list item only a List Item ID variable can be used to store the ID of the new item;
  • a conditional action that is comparing the created date can only use a DateTime variable.

Once you are happy with the variables please ensure you click on the "Save" button, otherwise none of your changes will be saved to the database.


Workflow Interaction with Sharepoint

Nintex Workflow 2007
Workflow Interaction with Sharepoint

Topics in "Workflow Interaction with Sharepoint"
11 items

Help and How-to
About LazyApproval

Help and How-to
Approving, Rejecting and Reviewing Items

Help and How-to
Configuring the Graph Viewer Webpart

Help and How-to
Configuring the Report Viewer Webpart

Help and How-to
Delegating Approval Tasks

Help and How-to
My Workflow Tasks web part

Help and How-to
Scheduling a workflow

Help and How-to
Starting a workflow

Help and How-to
Viewing workflow history

Help and How-to
Viewing workflow status

Help and How-to
Workflows I have started web part


About LazyApproval

About LazyApproval

The "LazyApproval" feature of Nintex Workflow 2007 enables approvals or rejections of an item to be registered when the approver replies to the notification email with a permitted word or phrase. That word or phrase is recognized and interpreted by the system as meaning "Approve" or "Deny" and applied to the item in the workflow.

LazyApproval is not automatically enabled at the time of installation, it has to be manually enabled. For more information, please refer to the Managing LazyApproval settings help page.

The LazyApproval feature is used in conjunction with the "Request Approval" and "Request Data" workflow actions. At the time of configuring the workflow action, the designer needs to check the box "Allow LazyApproval". Also, please note, LazyApproval ONLY works when email is selected as the delivery method.

When LazyApproval is used, an addition to the standard email template footer is added that explains how to use LazyApproval. When the system receives the return email it will scan the top 20 lines of the reply for a recognized LazyApproval term. It scans from the top of an email downwards and uses the first recognized term it finds that is an exact match for a permitted whole word or whole phrase on a line by itself. Recognized words or phrases that appear with unrecognized other text on the same line will cause the word or phrase to be ignored and will be skipped.

You can customize the footer text from the LazyApproval settings page in Central Administration.

If a term is not found, a return email will be sent to the user informing him/her that their response was not able to be interpreted. The user can then reply to that email with a recognized term for the approval or rejection to take effect.

IMPORTANT NOTE: When LazyApproval emails are sent, a specific piece of identification code is appended to the email subject. Please do not edit or remove the identification code as any change to it will mean that the LazyApproval thread cannot be traced and approval by email will not be possible for the user involved. That user will have to approve the item by navigating through the SharePoint library or list where the item and workflow are being used. For more information, please refer to the Approving and rejecting items help page.

A system administrator can edit or add to the list of acceptable and recognized terms. For more information, please refer to the Managing LazyApproval settings help page. LazyApproval terms are not case sensitive. The default set of terms is: "approve", "approved", "decline", "declined", "no", "ok", "reject", "rejected" and "yes" as seen below:


Approving, Rejecting and Reviewing Items

Approving, Rejecting and Reviewing Items

During runtime, when a human task is created as part of a workflow, the configured users will be processed, tasks will be assigned and the notification message/s sent. The tasks assigned to a user can be seen at any one time via the My Workflow Tasks web part or the Nintex workflow task list setup within the site.

Items pending approval web part

To process an assigned task, click the item's hyperlink (if configured and allowed) within the notification email or on the left hand side of the My Workflow Tasks web part. This will open the "Approve Reject" page ready for the user's response.

Approve Reject form

Sections on the "Approve Reject" page

Status

When the task has been generated by the "Request approval" action, the user can choose to approve or reject the item in the workflow. The selection made will consequently determine the path followed by the workflow. When the task has been generated by the "Request review" action, there is no response to process as the item is deemed satisfactory when the user is finished with it.

Depending on the configured workflow action, the user may be given the option of delegating the task to another user.

Comment

Use this field to enter any comments about why the item was approved or rejected.

Item Properties

Listed in the Item Properties section is the meta data related to the item in the workflow. To view the full details of the item click the hyperlink next to the "Item" property heading. Similarly, to view the status of the workflow graphically, click on the "View" link provided.

The Item Properties panel also displays the field values of the item the workflow is running on (not shown in this screenshot). You can determine which fields are displayed by creating a view called 'Workflow Task View'. The name of the view to use is configurable in the Global Settings in SharePoint Central Administration.


Configuring the Graph Viewer Webpart

Configuring the Graph Viewer Webpart

* This topic applies to Nintex Workflow Enterprise Edition only

Use the Nintex Chart Viewer web part to display a Nintex Workflow report in graph/chart view.

To use the web part, it must be added to the home page of a site. Navigate to the home page of the site to which you want to add the web part then click "Site Actions" then "Edit Page".

The web part is best added to the left zone of the page so that the columns it contains have sufficient space to display items. In the left zone, click the link "Add a Web Part", then select the Nintex Chart Viewer web part.

To edit the settings for the web part, click the "Edit" button then "Modify Shared Web Part".

A series of options will be shown in the tool pane to the right of the page that are specific to this web part.

Report to display

Select the chart to display from the drop down list.
Note this list is configurable by your system administrator via Central Admin.

Configuration

Chart Display Settings

Click on the Configure display settings link to set the chart type, size, colors, and other settings.

Columns Used in the Chart Display

Click on the Configure Columns used link to select which columns are shown in the chart. By default, all columns are included.

Chart Filters

Click on the Configure Filter Values link to set filter values for the report.
Note that not all reports accept filter values.


Configuring the Report Viewer Webpart

Configuring the Report Viewer Webpart

* This topic applies to Nintex Workflow Enterprise Edition only

Use the Nintex Report Viewer web part to display a Nintex Workflow report in tabular view.

To use the web part, it must be added to the home page of a site. Navigate to the home page of the site to which you want to add the web part then click "Site Actions" then "Edit Page".

The web part is best added to the left zone of the page so that the columns it contains have sufficient space to display items. In the left zone, click the link "Add a Web Part", then select the Nintex Report Viewer web part.

To edit the settings for the web part, click the "Edit" button then "Modify Shared Web Part".

A series of options will be shown in the tool pane to the right of the page that are specific to this web part.

Report to display

Select the report to display from the drop down list.
Note this list is configurable by your system administrator via Central Admin.
Click the Show Filter checkbox to allow users to specify filter values

Records displayed per page

Enter a number to specify how many records should be displayed per page. Leave this setting blank to display all records on the one page.

Configuration

Filter

Click on the Configure Filter Values link to set filter values for the report.
Note that not all reports accept filter values.


Delegating Approval Tasks

Delegating Approval Tasks

Delegation is processed from the Approval or Review task pages when the human task is configured to allow delegation. When the link is selected the delegation screen is displayed.

Delegate

The mandatory delegate field is used to specify the user to assign the selected task to. To select a user click on the address book icon on the right to see the Select People or Group popup similar to that used in the Approval Request action.

After the form is filled in and submitted the selected task will be reassigned to this selected user.

Comment

The comment field is mandatory and allows you to provide instructions to the new user. This text is actually appended to the approval required notification that is sent to the new user.

Setting personal delegation preferences

Each user that is involved in workflows can delegate their tasks to another user in case of absence. To set your personal preferences, activate the drop down from the logged-in user name link at the top of a page, mouse-over Nintex Workflow 2007 then select "Task Delegation".

If you have not set up delegation before, the summary area will be empty. To set a user and dates, click the link "Delegate tasks to a user between specific dates".

You will see 4 sections that need to be set.

  • From the beginning of: the date when delegation begins, at midnight in the morning. Click the date picker tool icon to ensure the date is set in the appropriate format for your environment.
  • Until the end of: the date when delegation ends, at midnight that night. Click the date picker tool icon to ensure the date is set in the appropriate format for your environment.
  • Delegate To: click the Lookup button and search for the appropriate user.
  • Scope: check the box for delegation to apply only to the current site, otherwise delegation will be applied throughout the entire SharePoint farm.

Note: long term task delegations are only used when a task is initally assigned to a user. If a task is re assigned via the 'Delegate workflow task' action, or by another user manually, the task will be assigned to the specified user, even if they have long term delegations defined.


My Workflow Tasks web part

My Workflow Tasks web part

The "My Workflow Tasks" web part is used to display a list of workflow related tasks that require the attention of the user that is currently logged in.

Note: tasks that are no longer valid due to missing information will display a link to remove the entry from the web part.

To use the web part, it must be added to the home page of a site. Navigate to the home page of the site to which you want to add the web part then click "Site Actions" then "Edit Page".

The web part is best added to the left zone of the page so that the columns it contains have sufficient space to to display items. In the left zone, click the link "Add a Web Part".

The "My Workflow Tasks" web part is listed as follows in the "Add Web Parts" dialog.

Check the box to its left then click the "Add" button at the bottom of the dialog box.

The page will reload with the web part in place. If you left click and keep the mouse button depressed, you can drag the web part up or down to re-position where it appears on the page.

The default web part settings will display:

  • The item's title.
  • The name of the workflow.
  • The status of the workflow related task (relative to the "expected duration" set at the time of workflow construction).
  • How long the current task has been necessary and not completed.
  • The action for which the running workflow is waiting.

If you would like to use the web part with its default settings, then click "Exit Edit Mode".

To edit the default settings for the web part, click the "Edit" button then "Modify Shared Web Part".

A series of options will be shown to the right of the page that are specific to this web part.

Web Part Options

  • Show tasks from: You can choose to show workflows from the current site or from all the sites in the site collection. Enterprise Licenses can also choose the entire Farm.
  • Paging: You can choose how many items are displayed on the page by the webpart.
  • Display:
    1. Prefer filenames: By default, document titles are displayed in the web part. If there is no document title set, the document's filename is displayed.
    2. Show tasks for all users: You can choose to display the tasks for the current user only (default) or for all users (another column is added).
    3. Time elapsed: Adds a column to show the time elapsed since the item was created.
    4. Initiator: Adds a column to display the user who initiated the workflow.
    5. Status indicator: The status indicator has three states, "New", an orange circle and a red circle. Setting the interval here determines how much time before the "Expected duration" the red circle is displayed. The same interval is used for the other two states. For example, if the status indicator interval is set at 8 hours, and the Expected duration is set at 5 days, then the red indicator will be displayed 8 hours before the duration is reached, the orange icons will be displayed between 8 hours and 16 hours and all time before that that status is displayed as new.
  • Item name URL: Specifies where the user is directed to when they click on the list item name in the web part.
    1. Task display form: Directs to the view page of the task item. Please note: The default view form for 'Request approval', 'Request review' and 'Assign a Flexi task' has the same behavior as the edit form.
    2. Task edit form: Directs to the edit page of the task.
    3. Item display URL: Directs to the item that the task is associated to.
    4. Custom: Specify a custom page to direct to. The following placeholders can be added to the query string:
      • {TaskListID}: The GUID of the task list.
      • {TaskItemID}: The ID of the task item in the task list.
      • {ListID}: The GUID of the list that the workflow associated to the task is running in.
      • {ItemID}: The ID of the item that the workflow associated to the task is running on.
  • Default sorting: Specifies the order that records are displayed in.


Scheduling a workflow

Scheduling a workflow

A library or list item can be regularly subjected to a workflow to suit your business requirements.

To schedule a workflow for an item, navigate to the item's location, activate the document drop-down and click the "Schedule Workflows" link.

If no schedules have been made before, you will need to create one. To do so, click the "Add Schedule" button.

A form will load in which you will need to configure a number of settings. The first is to choose a workflow from the drop-down menu.

You will then need to set a date and time for the workflow schedule to begin.

You can then set the frequency of the scheduled repetition. You can choose between hours, days and months. There is no maximum number that can be entered. Numbers entered must be integers (whole numbers, not decimals). Workdays are set by an administrator via the "Site Settings > Site Administration > Regional settings" section. Public holidays and any other special occasions are set using the "Site Settings > Nintex Workflow > Manage Holidays" page.

The end of the scheduling cycle can then be set. You can choose to end the schedule on a certain date and time, by defining the number of times the repetition should run or you can allow it to run indefinitely.

When you have finished configuring the page, click the "Save" button to continue. The scheduled workflow will appear on the "Scheduled Workflows" list page.

To configure an existing schedule, click the hyperlink of the schedule in the list and edit the settings in the same manner as above.

Please note : If you make a change to a schedule it will take effect immediately. If the document is currently in the workflow, changing the schedule will not disrupt it, the schedule will be updated once the workflow has been completed.


Starting a workflow

Starting a workflow

There are three ways to start a workflow, depending on how the workflow is configured.

Start manually: A user wishing to apply workflow to an item must manually select a workflow from a list of those available. Only workflows that have the option "Start manually" enabled will be listed. This help page will explain how to start a workflow manually.

Start when items are created: when a library or list item is created or uploaded, all workflows in the library or list with this option enabled will start.

Start when items are modified: when a library or list item is modified, all workflows in the library or list with this option enabled will start.

PLEASE NOTE: Workflows are associated with a library or a list. Folders and sub-folders within libraries are subject to the same workflows as the parent library. Therefore, if you set a workflow to start when items are created or modified, any item, regardless of how many folders or sub-folders down it is stored, will trigger all the workflows that are set to start automatically. That behavior is governed by SharePoint.

STARTING A WORKFLOW MANUALLY

To start a workflow manually, navigate to the list or library that contains the item you wish to push through a workflow. Locate the item then activate the item's drop-down menu then select the "workflows" link.

The SharePoint workflows page will load. A list of workflows that have been published and are available for manual initiation is displayed. To select a workflow, click the corresponding hyperlink.

The selected workflow will be displayed in the browser. All you have to do now is click the "Start" button and the workflow will be initiated.

You will be returned to the library or list and the progress of the selected workflow will be displayed in-line with the item. The item could be a part of a number of different workflows and that states will show up in the same way under the column heading named after the workflow.


Viewing workflow history

Viewing workflow history

To view the item's workflow history, locate the item in its library or list, activate its drop-down then click the "View Workflow History" link.

The Workflow Status page will be loaded. It shows workflows that are running, completed, cancelled and errored. Click on the title of the workflow you wish to check for more information. In the "Completed Workflows" and "Cancelled & Errored Workflows" sections there could be multiple identical titles, which will mean the item has been through the same workflow a number of times before. Ensure that you choose the relevant workflow instance. The easiest way is to choose by date.

The workflow will be loaded into the Workflow Viewer which gives a visual representation of the workflow. A summary is shown in the top left corner.

To access the Workflow History, click the link "Click here to show detail view". Please note - the green circle visible next to the user name in the screenshot above is only available when using Microsoft Office Live Communication Server, it is not a feature of Nintex Workflow 2007.

The Workflow History page will load.

The Workflow History has three sections:

  • Action History: The Action History shows every completed action associated with the workflow in order. Actions are added to the top of the list, so the first action to have completed is always at the bottom of the list. The action's start and end times and its time taken to complete (duration) are shown. Many workflow actions are instant, so expect to see many durations of "0 minutes".
  • Task History: The Task History section shows the status of tasks that were created by user interaction workflow actions such as the "Request approval" action. The start time, end time, outcome and any comments entered for the task are listed.
  • Workflow Messages: This section shows all messages that are generated by actions in the workflow. It also shows comments made by users (when required) and messages that are programmed to appear when the "Log in the history list" action is used.

You can toggle between the Workflow History view and the Graphical view of the workflow by using the "Show Graphical View" above the Action History.


Viewing workflow status

Viewing workflow status

When an item is in a workflow, sometimes it is necessary to know what stage the item has reached in the workflow.

To view the item's workflow status, locate the item in its library or list, activate its drop-down then click the "View Workflow History" link.

The Workflow Status page will be loaded. It shows workflows that are running, completed, cancelled and errored. Click on the title of the workflow you wish to check for more information. In the "Completed Workflows" and "Cancelled & Errored Workflows" sections there could be multiple identical titles, which will mean the item has been through the same workflow a number of times before. Ensure that you choose the relevant workflow instance. The easiest way is to choose by date.

The workflow will be loaded into the Workflow Viewer which gives a visual representation of the workflow.

A summary is shown in the top left corner. It contains the title of the item in the workflow, the name of the workflow, the initiator of the workflow, the date and time it was initiated and its status. As mentioned above, the possible workflow states are "Running", "Completed", "Cancelled" and "Errored". Clicking the detailed view link will display the workflow history in text format. For more information, please refer to the Workflow History help page.

Please note - the green circle visible next to the user name in the screen shot above is only available when using Microsoft Office Live Communication Server, it is not a feature of Nintex Workflow 2007.

If you mouse over an action's icon, it will provide information about it in a pop-up. In the case of the "Request approval" and "Request review" actions the states can be Approved, Rejected, Pending, Cancelled, Not required and Continue (Request review only).

COLOUR CODING

When an action is current, or waiting for some sort of action, its title bar, frame and interior will appear yellow.

When an action is complete, or "Request approval" or "Request review" action is approved, its title bar, frame and interior will appear green.

When a "Request approval" or "Request review" action is rejected, its title bar, frame and interior will appear red.

If an action has not yet occurred, or was not necessary, its title bar, frame and interior will remain gray.


Workflows I have started web part

Workflows I have started web part

The "Workflows I've started" web part is used to display a list of workflows that have been started by the user that is currently logged in.

To use the web part, it must be added to the home page of a site. Navigate to the home page of the site to which you want to add the web part then click "Site Actions" then "Edit Page".

The web part is best added to the left zone of the page so that the columns it contains have sufficient space to display items. In the left zone, click the link "Add a Web Part".

The "Workflows I've Started" web part is listed as follows in the "Add Web Parts" dialog.

Check the box to its left then click the "Add" button at the bottom of the dialog box.

The page will reload with the web part in place. If you left click and keep the mouse button depressed, you can drag the web part up or down to re-position where it appears on the page.

The default web part settings will display:

  • The item's title.
  • The name of the workflow.
  • When the workflow was initiated.
  • How long it has been idle or completed.
  • The action for which the running workflow is waiting (effectively the workflow's status).

If you would like to use the web part with its default settings, then click "Exit Edit Mode".

To edit the default settings for the web part, click the "Edit" button then "Modify Shared Web Part".

A series of options will be shown to the right of the page that are specific to this web part.

WEB PART OPTIONS

  • Show workflows from: You can choose to show workflows from the current site or from all the sites in the site collection. Enterprise Licenses can also choose the entire Farm.
  • Paging: You can choose how many items are displayed on the page by the webpart.
  • Display: By default, document titles are displayed in the web part. If there is no document title set, the document's filename is displayed. You can choose to always display filenames instead of document titles. You can also choose to display workflows that are completed, have errored or have been cancelled. Their status will be displayed in the "Current action" column.
  • Default sorting: Specifies the order that records are displayed in.


Workflow Actions

Nintex Workflow 2007
Workflow Actions

Topics in "Workflow Actions"
84 items

Help and How-to
Action Set

Help and How-to
Add User To AD Group

Help and How-to
Assign a ToDo Task

Help and How-to
Assign Flexi Task

Help and How-to
Build Dynamic String

Help and How-to
Calculate Date

Help and How-to
Call web service

Help and How-to
Cancel check out

Help and How-to
Change State

Help and How-to
Check in item

Help and How-to
Check Out Item

Help and How-to
Collection Operation

Help and How-to
Commit pending changes

Help and How-to
Compile Audience

Help and How-to
Complete Workflow Task

Help and How-to
Convert Value

Help and How-to
Copy an item

Help and How-to
Copy to fileshare

Help and How-to
Copy to SharePoint

Help and How-to
Create a Site

Help and How-to
Create AD Account

Help and How-to
Create AD Security Group

Help and How-to
Create an item

Help and How-to
Create Audience

Help and How-to
Create CRM record

Help and How-to
Create list

Help and How-to
Create Site Collection

Help and How-to
Create appointment

Help and How-to
Create task

Help and How-to
Decommission AD Account

Help and How-to
Decommission Site Collection

Help and How-to
Delay for

Help and How-to
Delay Until

Help and How-to
Delegate Task

Help and How-to
Delete a site

Help and How-to
Delete AD Group

Help and How-to
Delete an Item

Help and How-to
Delete Audience

Help and How-to
Delete/Disable CRM record

Help and How-to
Enable LCS/OCS

Help and How-to
End workflow

Help and How-to
Execute SQL query

Help and How-to
Filter

Help and How-to
For Each

Help and How-to
Get meeting suggestions

Help and How-to
Log in the History List

Help and How-to
Loop

Help and How-to
Math operation

Help and How-to
Provision User On Exchange

Help and How-to
Query BDC

Help and How-to
Query CRM

Help and How-to
Query Excel Services

Help and How-to
Query LDAP

Help and How-to
Query List

Help and How-to
Query User Profile

Help and How-to
Query XML

Help and How-to
Regular Expression

Help and How-to
Remove User From AD Group

Help and How-to
Request Approval

Help and How-to
Request Data

Help and How-to
Request Review

Help and How-to
Run If

Help and How-to
Run parallel actions

Help and How-to
Search Query

Help and How-to
Send / Receive BizTalk Message

Help and How-to
Send notification

Help and How-to
Set a condition

Help and How-to
Set a variable

Help and How-to
Set approval status

Help and How-to
Set field

Help and How-to
Set item permissions

Help and How-to
Start workflow

Help and How-to
State Machine

Help and How-to
Stop a workflow

Help and How-to
Submit Record

Help and How-to
Switch

Help and How-to
Task reminder

Help and How-to
Update AD Account

Help and How-to
Update CRM record

Help and How-to
Update item

Help and How-to
Update User Profile

Help and How-to
Update Xml

Help and How-to
Wait for an item update

Help and How-to
Web Request


Action Set

Action Set

The "Action set" action allows you to bundle a collection of actions in a container that can be collapsed and expanded to make workflow designing more convenient.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

Options for this action

This action does not require any configuration. It has a border that contains a pearl and when actions are added to the pearl inside the border, they become part of the action set.

You can minimize the action set by activating the title bar's drop down and clicking "Minimize".

Saving as a snippet

To save an action set as a snippet, activate the drop down menu on the action title bar and click "Save as Snippet ". For more information, please refer to the Snippets help page.


Add User To AD Group

* This topic applies to Nintex Workflow Enterprise Edition only

This workflow action will add a User to an Active Directory security group.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within this action

LDAP Path

An LDAP path specifying the Active Directory location. E.g. LDAP://Nintex.com/OU=External,DC=nintex,DC=com

In this example, the organization unit ‘External’ in the Nintex.com domain will be searched to find the User and Group.

You can click on the LDAP Picker button on the right of the LDAP Path field to browse an LDAP Path.

Username

The administrative username to use when connecting to LDAP. Note: This user must have access to add users to groups in the LDAP location specified above.

Password

The password of the administrative account used to connect to LDAP.

Click on the padlock to select from a list of Credential Workflow Constants, maintained in Site Settings by your system administrator.

Add User to AD Group

User

The username (sAMAccountName) of the Active Directory entry.

Group

The name of an existing Group to which the user will be added. E.g. Backup Operators. Multiple groups can be separated with semi-colons (;)

Error the workflow if the user already exists in the group

Selecting this option will cause the workflow to error if the user already exists in the group. By default this option is checked.


Assign a ToDo Task

Assign a ToDo Task

This action allows you to assign a SharePoint task to one or more users. The action can be configured to wait until all users have completed the task, or, continue after the first respondent. This action also encapsulates task reminders and escalation. This action includes functionality provided by the task reminder, delegate workflow task, and complete workflow task actions.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action from the "User Interaction" group within the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within this action

Assignees

The assignees list is a mandatory field that contains all users or groups that will be assigned the task when the workflow runs.

Users can be entered directly using their username, email address or full name and will be resolved where possible against the SharePoint user list or Active Directory.

In the case when a group is assigned the task and Expand Groups is not selected, all users in that group will receive the task notification however, the first respondent will represent the entire group. If Expand Groups is selected, an individual task will be assigned to every member of the group.
Note: Groups will only be expanded to one level. Groups within groups will not be expanded.

In order to search for users, click on the address book icon to the right.

Select People and Groups

Select People and Groups popup

This configuration popup allows you to search for and/or add users to the approvers list. Three tools are provided - click the title bar to expand or collapse each one. The three tools provided are:

  • Internal Search: By entering a partial display name, email or user account name and clicking on the magnifying glass, the system will provide you with a list of matching users and groups from SharePoint as well as Active Directory.
  • Add External Email Address: Allows you to enter an external email address manually. Where possible Nintex Workflow 2007 will resolve this to an actual user account.
  • Lookup: Allows you to add a dynamic reference as an approver. e.g. Workflow variable, list field.

Edit settings for

By changing this setting from the default "All Assignees", it allows you to configure unique notification options for each assignee in the list. Unless specifically configured, assignees will use the "All Assignees" settings. To override settings for a specific assignee, select their name from the drop down list.

Delegate task when Assigned To changes

When this option is selected, if the assignee field of the task is changed, Nintex Workflow will record the change as a task delegation and the new assignee will receive the Response Required Notification. If this option is not selected, Nintex Workflow will not track the change to the assignee and Nintex Workflow reports and web parts will not reflect the new assignee.

Notification Settings

There are two different notifications that can be configured:

  • Response Required: Sent when the task is assigned to a user. This is also used when the task is delegated by one user to another.
  • Response No Longer Required: Sent when the user no longer needs to respond to the task. This can occur when a task is assigned to multiple users but only one is required to respond, when the workflow is terminated prior to the task being processed, or when an error occurs in the workflow.

Delivery Type

Delivery type is the method of delivering the notification to the primary and, if included, auxiliary user(s).

You can choose between None, Email, Instant Message or "User preference". For information on "User preference", please refer to the User Preferences Help Page.

CC

The CC field sets auxiliary user(s) who will receive the notification.

To set the auxiliary user(s) click on [image] to open the 'Select People and Groups' popup.

From

The From field, if specified, overrides the default sender of the notification. By default the sender is configured to use the setting configured in Global Settings.

Importance

The priority of the notification. This is only applicable when using email notifications.

Subject

The Subject is the title of the notification being sent and is a mandatory field. If an LCS/OCS message is being sent it will be pre-pended to the body of the notification.

You can either type the Subject of the notification manually or by clicking on [image] you are able to insert references from within the runtime instance of the workflow.

Show Attachments

Allows file attachments to be added to the notification .Please note: Files will not be received by a user when SMS or IM is selected as the delivery method.

Format

This sets the format of the email. If Rich Text is selected you will be able to italicize, bold, underline and indent information within your email using simple HTML styles provided by the SharePoint rich text tool bar. Plain Text is simply the text without any stylized formatting.

Notification Body

The body of the notification will adapt depending on whether the Plain Text or Rich Text format is selected. Within the space provided you can enter the content for notification as straight text and references from with the workflow.

Edit Task Description

Allows entry of dynamic text that will display on the task response form. This can be used to communicate additional information about the task to the responding user.

Reminders

Optionally, you can configure a notification reminder to be sent to each assignee who has not yet completed the task. As well as customising the notification, you can also configure the following reminder settings:

Number of reminders

The number of reminders to send.

Time between reminders

The delay before sending each reminder in days, hours and minutes. Note: The total time is calculated by summing all fields, regardless of the Time Calculation option selected. For example, 4 days and 4 minutes will be calculated as 96 (24x4) hours and 4 minutes.

Time calculation

Specifies whether or not hours outside the work week should be included when counting down to send a reminder. The 'During business days only' option will specify that weekends or holidays are not included in the countdown, but after hours on a business day are. The 'During business hours only' option specifies that only business hours are used in the countdown. If neither option is selected, all hours will be included in the countdown. The following two examples will further explain the behaviour of each option:

Example 1: The task is assigned Friday morning and is configured to wait 1 day before sending a reminder. The work week is defined as Monday to Friday.

Example 2: The task is assigned Wednesday at 4pm and is configured to wait 4 hours before sending a reminder. The work day is defined as Monday to Friday, 8am to 5pm.

During business days only

Example 1 will send a reminder Monday morning because weekends are not included in the count down.

Example 2 will send a reminder at 9pm on Wednesday because after business hours are included in the count down.

During business hours only

Example 1 will send a reminder Monday morning because weekends are not included in the count down.

Example 2 will send a reminder at 11am on Thursday because after business hours are not included in the count down.

Neither option

Example 1 will send a reminder Saturday morning because weekends are included in the count down.

Example 2 will send a reminder at 9pm on Wednesday because after business hours are included in the count down.

Escalation

Optionally, you can configure escalation. There are two possible escalation paths. Delegate task and complete task. Escalation occurs after all reminders have been sent and the specified "Time to escalation" has elapsed.

Delegate task will re-assign all pending tasks to the nominated user after the specified time.

Complete task will auto-respond to all pending tasks and set the overall outcome of the action to the indicated outcome after the specified time.

Task options

There are two behavioural alternatives to instruct Nintex Workflow how to handle tasks with multiple assignees. These are:

  • All must respond: All assignees must complete the task before the workflow will continue.
  • First response applies: After the first response is received, all other tasks will be set to 'not required'.

Content type

You can choose to use an existing, or instruct Nintex Workflow to create, a new content type. If using an existing content type, you will be able to select any content type that inherits from 'Workflow Task' but does not inherit from 'Nintex Workflow Task'. The 'Nintex Workflow Task' content type is reserved for request approval and request review actions. If selecting an existing content type, you can specify the value to assign to each field when the task is created.

Store task Ids in

When the workflow runs, the ID given to each task that is created will be stored into the selected collection variable.

Item Permissions

Set user permissions to: Sets the user permission on the item.

When task is complete, set user permissions to: Sets the user permission on the item after the task has been completed.

Note: Setting the item permissions could be useful when the task is delegated, this will give the delegated user the necessary permissions to view the item.


Assign Flexi Task

Assign Flexi Task

This action allows you to assign a task to one or more users and request a specific outcome. The list of possible outcomes is determined by the workflow designer. This action also encapsulates task reminders and escalation. It also includes functionality provided by the 'Task reminder', 'Delegate workflow task', and 'Complete workflow task' actions.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action from the "User Interaction" group within the list. You will need a string workflow variable to store the action outcome and a yes/no workflow variable to store whether or not an outcome was achieved.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within this action

Assignees

The assignees list is a mandatory field that contains all users or groups that will be assigned the task when the workflow runs.

Users can be entered directly using their username, email address or full name and will be resolved where possible against the SharePoint user list or Active Directory. Please note that users and groups that do not resolve automatically will require LazyApproval to complete their assigned task.

In the case when a group is assigned the task and Expand Groups is not selected, all users in that group will receive the task notification however, the first respondent will represent the entire group. If Expand Groups is selected, an individual task will be assigned to every member of the group.
Note: Groups will only be expanded to one level. Groups within groups will not be expanded.

In order to search for users, click on the address book icon to the right.

Select People and Groups

Select People and Groups popup

This configuration popup allows you to search and/or add users to the approvers list. Three tools are provided - click the title bar to expand or collapse each one. The three tools provided are:

  • Internal Search: By entering a partial display name, email or user account name and clicking on the magnifying glass the system will provide you with a list of matching users and groups from SharePoint as well as Active Directory.
  • Add External Email Address: Allows you to enter an external email address manually. Where possible Nintex Workflow 2007 will resolve this to an actual user account.
  • Lookup: Allows you to add a dynamic reference as an approver. e.g. Workflow variable, list field.

Edit settings for

By changing this setting from the default "All Assignees", it allows you to configure unique notification options for each assignee in the list. Unless specifically configured, assignees will use the "All Assignees" settings. To override settings for a specific assignee, select their name from the drop down list.

Allow Delegation

When this option is selected the assignee at runtime can delegate the task to another user. For more information, please refer to the Delegating Approval Tasks help page.

Allow Lazy Approval

If LazyApproval has been enabled for your server, you can permit the assignees to use Lazy Approval. LazyApproval allows users to respond to tasks via email by replying to the task notification message with their chosen outcome.

Notification Settings

There are two different notifications to configure

  • Response Required: Sent when the task is assigned to a user. This is also used when the task is delegated by one user to another.
  • Response No Longer Required: Sent when the user no longer needs to respond to the task. This can occur when a task is assigned to multiple users but only one is required to respond, when the workflow is terminated prior to the task being processed, or when an error occurs in the workflow.

Delivery Type

Delivery type is the method of delivering the notification to the primary and if included, auxiliary user(s).

You can choose between None, Email, Instant Message or "User preference". For information on "User preference", please refer to the User Preferences Help Page.

CC

The CC field sets auxiliary user(s) who will receive the notification.

To set the auxiliary user(s) click on [image] to open the Select People and Groups popup.

From

The From field, if specified, overrides the default sender of the notification. By default the sender is configured to use the setting configured in Global Settings.

Importance

The priority of the notification. This is only applicable when using email notifications.

Subject

The Subject is the title of the notification being sent and is a mandatory field. If an LCS/OCS message is being sent it will be pre-pended to the body of the notification.

You can either type the Subject of the notification manually or by clicking on [image], you are able to insert references from within the runtime instance of the workflow.

Show Attachments

Allows file attachments to be added to the notification. Please note: Files will not be received by a user when SMS or IM is selected as the delivery method.

Format

This sets the format of the email. If Rich Text is selected you will be able to italicize, bold, underline and indent information within your email using simple HTML styles provided by the SharePoint rich text tool bar. Plain Text is simply the text without any stylized formatting.

Notification Body

The body of the notification will adapt depending on whether the Plain Text or Rich Text format is selected. Within the space provided you can enter the content for the notification as straight text and references from with the workflow.

Edit Task Description

Allows entry of dynamic text that will display on the task response form. This can be used to communicate additional information about the task to the responding user.

Reminders

Optionally, you can configure a notification reminder to be sent to each assignee who has not yet completed the task. As well as customising the notification, you can also configure the following reminder settings:

Number of reminders

The number of reminders to send.

Time between reminders

The delay before sending each reminder in days, hours and minutes. Note: The total time is calculated by summing all fields, regardless of the Time Calculation option selected. For example, 4 days and 4 minutes will be calculated as 96 (24x4) hours and 4 minutes.

Time calculation

Specifies whether or not hours outside the work week should be included when counting down to send a reminder. The 'During business days only' option will specify that weekends or holidays are not included in the count down, but after hours on a business day are. The 'During business hours only' option specifies that only business hours are used in the count down. If neither option is selected, all hours will be included in the count down. The following two examples will further explain the behaviour of each option:

Example 1: The task is assigned Friday morning and is configured to wait 1 day before sending a reminder. The work week is defined as Monday to Friday.

Example 2: The task is assigned Wednesday at 4pm and is configured to wait 4 hours before sending a reminder. The work day is defined as Monday to Friday, 8am to 5pm.

During business days only

Example 1 will send a reminder Monday morning because weekends are not included in the count down.

Example 2 will send a reminder at 9pm on Wednesday because after business hours are included in the count down.

During business hours only

Example 1 will send a reminder Monday morning because weekends are not included in the count down.

Example 2 will send a reminder at 11am on Thursday because after business hours are not included in the count down.

Neither option

Example 1 will send a reminder Saturday morning because weekends are included in the count down.

Example 2 will send a reminder at 9pm on Wednesday because after business hours are included in the count down.

Escalation

Optionally, you can configure escalation. There are two possible escalation paths. 'Delegate task' and 'Complete task'. Escalation occurs after all reminders have been sent and the specified "Time to escalation" has elapsed.

'Delegate task' will re-assign all pending tasks to the nominated user after the specified time.

'Complete task' will auto-respond to all pending tasks and set the overall outcome of the action to the indicated outcome after the specified time. The specified outcome does not have to be one of the configured possible outcomes.

Behaviour

There are five behavioural alternatives to instruct Nintex Workflow how to handle tasks with multiple assignees. These are:

  • First response applies: The first response received will be used for the overall outcome. All other pending tasks will be set to "not required".
  • Majority must choose a specific outcome: The majority of assignees must agree on the same outcome. If a majority is not reached, the "outcome achieved" variable will be set to "no" and the overall task outcome will be blank. As soon as Nintex Workflow determines that a majority cannot be reached, the action will complete and all pending tasks will be set to "not required".
  • All must agree on a specific outcome: All assignees must select the outcome specified in the "Outcome" drop down list. If any assignee chooses an alternative outcome, all pending tasks will be set to "not required", the "outcome achieved" variable will be set to "no" and the overall task outcome will be blank.
  • Majority decides: The Outcome variable will be set to the most popular outcome. If Nintex Workflow can determine the most popular outcome before all assignees have completed the task, all pending tasks will be set to "not required". If two or more outcomes have the same number of responses after all tasks are completed, the "outcome achieved" variable will be set to "no" and the overall outcome will be blank.
  • All must agree: All assignees must agree on the same outcome. If an assignee responds with an outcome which differs to a previous respondent, all pending tasks will be set to "not required", the outcome achieved variable will be set to "no" and the overall task outcome will be blank.

Outcomes

The outcomes define all the possible responses to the task. When completing the task, assignees must choose from one of the listed outcomes. You can add new outcomes by clicking "Add outcome" or remove/edit existing outcomes using the icons. Each outcome is configured with a name and an optional description. The description is displayed on the task response form and can be used to provide instructions and more detail. Whether or not the assignee must provide comments for the outcome can be configured as optional, required or none.

Advanced Options

Do not create branches

When this option is selected, the workflow canvas will not show branches under the Flexi task action. Branching logic can then be implemented manually.

Include an 'Other' branch

When this option is selected, an additional branch will be rendered to capture any outcome that is not explicitly defined in the 'Outcomes' panel. The other branch can be used to capture the case when no outcome is achieved or a custom outcome is used with the 'complete task' escalation option. This option is only available when the 'Do not create branches' option is not selected.

Do not use LazyApproval terms

When this option is selected, LazyApproval responses must be an exact match to an outcome name specified in this Flexi task action. When this option is not selected, any outcome name that is recognized as an 'approve' or 'reject' term as defined in the LazyApproval settings can be responded to with any other 'approve' or 'reject' term.

Store outcome in

After an outcome is reached, this workflow variable will be populated with the chosen outcome. See the Behaviour section for more detail on how the outcome is determined.

Store outcome achieved in

In some circumstances, it is possible that an outcome is not reached. After this action is completed, this workflow variable will be populated to indicate whether or not an outcome has been reached. See the Behaviour section for more details.

Task Name

Allows the title of the task to be defined. This is the title that appears in a SharePoint task list. If left blank, the action title will be used by default.

Task content type

Allows a task content type other than the default to be used. This option will only display if an alternative content type is available on the site. Alternative content types are primarily used to enable custom task response forms.

Priority

Specifies the value that should be assigned to the priority flag for the task.

Item Permissions

Set user permissions to: Sets the user permission on the item.

When task is complete, set user permissions to: Sets the user permission on the item after the task has been completed.

Note: Setting the item permissions could be useful when the task is delegated, this will give the delegated user the necessary permissions to view the item.


Build Dynamic String

Build Dynamic String

The "Build dynamic string" action allows the workflow to perform basic string concatenations for use within other actions in the workflow at runtime.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

The build dynamic string form

Options within the action

Build string

The build string workspace allows you to combine straight text with references from within the workflow and site at runtime.

Parse for tokens twice

When this option is selected, tokens will be searched for twice. For example, if a token called {WorkflowVariable:EmailTemplate} is inserted into the text area, and the resulting value contains the text {ItemProperty:Title}, the title token will also be replaced when this option is selected.

Store result in

The result of the string that is built at runtime will be stored in a text workflow variable that is selected from this list.


Calculate Date

Calculate Date

This workflow action allows a time period to be added or subtracted from a date to create a new date.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within the action

Date

The date to use as a base for the calculation. The time period change will be applied to this date. It can be a specific date, a lookup from a variable or list, or the current date.

Timeframe

The number of years, months, days, hours and minutes to add to the date. Negative values can be used for a subtraction operation.

Store Date in

A date/time workflow variable in which to store the result of the calculation.

Store ISO 8601 Date string

A text variable that contains the date in the xml friendly ISO 8601 format.


Call web service

Call web service

The "Call web service" action is for advanced users and allows the workflow to make a call to a SOAP web service method.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within the action

The call web service form

URL

A mandatory field that represents the full url of the SOAP web service to call. Once a URL has been entered, the Refresh button can be pressed to define the available methods.

Username

The username (including domain) to use when authenticating against the web service. This is an optional setting, however if left blank the web service must be open to anonymous access.

Password

An optional field that is the password used when authenticating against the web service. If left blank, the web service must be open to anonymous access.

Web service message

This defines the values to be sent to the web service. How the message is configured depends on the parameters required by the selected web service method. If the web service method only requires parameters of 'simple' data types, an input form is displayed to allow these values to be provided. This is the 'SOAP Builder' form. If the web service method requires �complex� parameters the SOAP Builder form cannot be displayed, and a single text box to edit the xml of the SOAP message directly is provided.

The SOAP message xml can also be edited directly when the selected web service method only requires simple data types. Choose the 'SOAP Editor' option to switch to this mode.

Editing the SOAP manually requires some advanced knowledge of web services, or at the very least a well documented web service that covers the request form in detail.

For more information on the SOAP standard please refer to http://www.w3.org/TR/soap12-part0.

Please note: due to their custom nature, Nintex does not provide support for troubleshooting Web Services.

If you wish to pass the byte array of the document under workflow, type [FileData] into any input field. At runtime Nintex Workflow will base64 encode the file and pass that as the value.

Encode inserted tokens

Specifies whether inserted tokens (workflow variables, list item properties, etc) should be encoded to ensure they are valid for sending to the web service.

XSL Transform

Allows a XSL transform to be defined. This transform will be applied to the web service results before they are stored in the workflow variable.

Store result in

This list contains all the workflow variables that are of text format and will be used to store the simple type result of the call.

Results format

Defines whether the web service result should be treated as XML or not. If XML is specified, the results will be embedded in a <xml> root element. This is important when designing an XSL or other processing.


Cancel check out

Cancel check out

The "Cancel check out" action allows the workflow to cancel a previously checked out document within the current site.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within the action

The cancel checkout form

Undo Checkout from

There are essentially two options when performing an undo, the workflow can either cancel the check out for the item in the workflow or it can cancel the check out for an item somewhere else in the current site. From the drop-down, you can select the current item or the required location.

Where

If the current item is not selected, use this section to specify which document should have a check out cancelled. Use the The lookup button button to configure the criteria based on a lookup.


Change State

Change State

The "Change State" action instructs a parent State Machine action which state it should run when the current state has finished. "Change State" actions can only be dragged on to the designer where it is in a State Machine action.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within this action

Select Next State

Choose a state from the drop-down to determine which state will be used after the one currently selected has completed.

Please note that the "Change State" action does not instantly change execution to the new state, it only sets which state should be run next.
Selecting ‘End State Machine’ will exit the State Machine construct when the current state has finished running.


Check in item

Check in item

The workflow action "Check in item" allows the workflow to check-in an item in an item that was checked out with the Check out item action. The workflow will error if checking in an item that was checked out by a user.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon . For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within the action

There are essentially two options when checking in a document, whether to check in for the item currently in the workflow or to check in an item somewhere else in the current site. From the drop-down, you can select the current item or the required location. If it is the current item, no filters need to be selected.

In the case of checking in an item from elsewhere in the site, a filter will need to be selected so Nintex Workflow knows which item to check in. First select the column that needs to be matched and then using the value lookup set the value to match on. You can then provide comments to explain why the item was checked in.

The form displayed when configuring check in item action

Comments

The comments entered will be stored with that items meta data as the check in comments

Please note: The comments are NOT stored in the Workflow History as Nintex Workflow has no access to where SharePoint stores them.

Check in type

The type of check in to perform regarding the document version. Options are Major Version, Minor Version, or No Version Change. The target document library version settings must match what is chosen in the configuration dialog.


Check Out Item

Check Out Item

The action "Check out item" allows the workflow to check out an item in a selected location to the initiator of the workflow. If a library is configured to require check outs, this action must be used to check out the item before an Update List Item action is used.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon . For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

The checkout item action form

When designing a workflow on a library, the default settings for this action dictate that the current item will be checked out by the workflow.

The check out alternate item form

When another item within the site is to be checked out some other settings are required to indicate which item it is. First select the list from the current site that contains the item. Once the list is selected the filter needs to be set by choosing the column to match on and the value to match using the lookup tool. In the example above you can see that we are checking out the document named "Jan 2007" in the Shared Documents library.

Please note: this action can only work on items within the site containing the workflow. It cannot be used to check-out items in a subsite of the originating site or in a parent site of the originating site.


Collection Operation

Collection Operation

The “Collection Operation” action provides direct access to the values in a collection variable.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Available Operations

The Target Collection parameter is required for each operation. This specifies the collection variable that the operation applies to.

Add

Adds the value specified in the 'value' parameter to the collection. Optionally, a variable storing the index of what position to insert the value in to the collection at can be used. If no index variable is selected, the value will be added to the end of the collection. If the index value is larger than the size of the collection, the workflow will error.

Clear

Removes all entries from the collection.

Count

Outputs a number indicating how many items are currently stored in the collection. The result is stored into a number variable specified for 'Store result in'.

Exists

Outputs a Yes / No value into 'Store result in' to indicate whether or not an item matching the specified value is currently stored in the collection. The comparison is done by comparing the text representation of the 'Value' parameter with the text representation of each item in the collection.

Get

Retrieves a value at a specified index and stores the value in a workflow variable. The output workflow variable must be compatible with the value being retrieved from the collection.

Join

Concatinates every value in the collection into a string which is stored in the 'Store result in' variable. Each value is separated by the specified delimiter value.

Pop

Retrieves the value at the end position of the collection and stores it in the 'Store result in' variable. After this operation, the value will no longer exist in the collection variable therefore the collection will be one item shorter.

Remove At

Removes the value stored in the collection at the specified index. This will cause the collection size to decrease by one.

Remove duplicates

Searches for and removes any values that exist more than once in the collection, leaving only one instance of each value. For text values, duplicate matching is case sensitive.

Remove by value

Removes all items from the collection that equal the specified value.

Sort

Sorts the values in the collection and stores the sorted collection in another collection variable specified in 'Store result in'. 'Store result in' can be the same as the source collection.


Commit pending changes

Commit pending changes

The "Commit pending changes" action forces all existing batched operations to be committed. Batched operations are operations performed by workflow actions that do not commit immediately. For example, the "Update list item" action does not actually update an item immediately, it waits until the workflow commits. The workflow commits at a delay action, a task action or the end of the workflow. When the update list item action runs, it just registers that it needs to update the item, the item actually updates when a commit happens.

An example of when to use the "Commit pending changes" is explained below:

The SharePoint workflow engine does not necessarily commit batched operations in the order they are displayed on the designer. For example, if the following actions are in this order:

  • Set item permissions action (Nintex)
  • Update list item action (Microsoft SharePoint)
  • Set item permissions action (Nintex)

These would actually execute in this order:

  • Set item permissions action (Nintex)
  • Set item permissions action (Nintex)
  • Update list item action (Microsoft SharePoint)

It executes it in this order, because there are actually two batches, the Microsoft batch and the Nintex batch (any other third party has their own batch). This is because third parties cannot add operations to the Microsoft batch. In addition, all items in a single batch are executed before actions in another batch. The batch that is executed first depends on the first activity; If the Microsoft SharePoint action was encountered first, then all the Microsoft actions would run before the Nintex actions.

The "Commit pending changes" action is another point where a workflow will execute all its batch operations.

Therefore, modifying the above example:

  • Set item permissions action (Nintex)
  • Update list item action (Microsoft SharePoint)
  • Commit pending changes
  • Set item permissions action (Nintex)

In this case the actions will run in the design order. The Nintex batch will run first because the Nintex action is first encountered, but in this scenario there is only one action in this batch. The "Update item" action will run. Then the workflow will commit, and the final "Set item permissions" action is in a new batch.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

This action has no settings to configure.


Compile Audience

Compile Audience

* This topic applies to Nintex Workflow Enterprise Edition only

* This action requires Microsoft Office SharePoint Server

This workflow action will compile an existing audience in the environment.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate the drop-menu, down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within this action

Audience name

The name of the audience to compile.

Credentials

An account with permissions to compile an audience.

Compile type

Specifies whether to perform a complete or incremental compilation.


Complete Workflow Task

Complete Workflow Task

This workflow action will complete any outstanding workflow tasks. It will process enough individual tasks to achieve the selected outcome, the workflow engine will then process the remaining individual tasks in accordance with the task settings.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within this action

Action ID

When configuring a task action, you can nominate a workflow variable of type Action ID to store the assigned workflow action ID. You must specify this workflow variable to nominate which task action to complete.

Complete after

Specifies how long to wait before the task is completed. If the task is completed manually in this period, the complete action will finish without performing any change to the task. Note that even if the task is set to complete immediately, the action will always wait at least a minute before processing. Note: The total time is calculated by summing all fields, regardless of the Time Calculation option selected. For example, 4 days and 4 minutes will be calculated as 96 (24x4) hours and 4 minutes.

Time calculation

Specifies whether or not hours outside the work week should be included when counting down to automatically complete the task. The 'During business days only' option will specify that weekends or holidays are not included in the count down, but after hours on a business day are. The 'During business hours only' option specifies that only business hours are used in the count down. If neither option is selected, all hours will be included in the count down. The following two examples will further explain the behavior of each option:

Example 1: The complete task action starts counting down Friday morning and is configured to wait 1 day. The work week is defined as Monday to Friday.

Example 2: The complete task action starts counting down Wednesday at 4pm and is configured to wait 4 hours. The work day is defined as Monday to Friday, 8am to 5pm.

During business days only

Example 1 will complete the task Monday morning because weekends are not included in the count down.

Example 2 will complete the task at 9pm on Wednesday because after business hours are included in the count down.

During business hours only

Example 1 will complete the task Monday morning because weekends are not included in the count down.

Example 2 will complete the task at 11am on Thursday because after business hours are not included in the count down.

Neither option

Example 1 will complete the task Saturday morning because weekends are included in the count down.

Example 2 will complete the task at 9pm on Wednesday because after business hours are included in the count down.

Task outcome

The value to set outstanding tasks to. Use 'Approved' or 'Rejected' for approval tasks, and 'Continue' for other task types.

Send 'response not required' message

If this is selected, pending approvers that the task completes the action for will receive an email informing them that their input is no longer required. Further tasks that are processed as a result of the complete task action will still receive response not required messages.

Comments

Comments to be recorded when the task is automatically completed. The comments will be added against each individual task that the Complete Task action must process to achieve the desired outcome.

Please note that there can be a delay between when the task is processed and when the workflow continues.


Convert Value

Convert Value

This workflow action will interpret a provided text value, and store it into a workflow variable of a different type. For example, if a text variable contains a number, this action will store the value as a numeric value in a number variable.

A common scenario for using this action is using it with an inline function or the result of a query that returns a text string that contains a number, and that number needs to be stored into a number field of a SharePoint list. The value cannot be stored into a number field while the value is stored in a text variable. This action will allow the number text to be evaluated and stored into a number variable. The example in the screenshot demonstrates processing a text variable by using an inline function to extract the first 4 characters (maybe the variable contains 1234-XXAB). These first 4 characters will then be interpreted and stored into a number variable.

Options within the action

Input

The value that is to be interpreted.

Store result in

This option specifies the variable that the resulting value will be stored in. If the input text cannot be converted into a value that is compatible with the selected variable, the workflow will error.

Date format

This option only appears when the 'Store result in' variable is a date time variable. This option allows the exact formatting of the input date to be specified. When a date format is specified, the input date will only be recognized if it is an exact match to the format. This URL lists the recognized date formatting values: http://msdn.microsoft.com/en-us/library/8kb3ddd4.aspx.

Culture (Advanced)

Specify the language information to use when attempting to convert the input value into another variable type. For example, if the provided input text contained a number in a European format, specifying a European culture identified (for example, de-DE for German) will ensure the value is interpreted correctly. When this parameter is blank, the current language settings of the SharePoint site will be used. This URL lists the recognized language codes: http://msdn.microsoft.com/en-us/library/0h88fahh(VS.85).aspx. The 'Short string' value should be used when specifying the 'Culture' parameter. Enter the text 'Invariant' to specify an invariant culture.


Copy an item

Copy an item

This workflow action copies an item from one list or library to another within the current site (not parent sites and not subsites). It only allows copying from the root level of a location (for example, a folder within a document library is not valid) to the root level of another location in the same site. The content type of the source must match the content type of the destination - the workflow will error if the source and destination are incompatible. If you would prefer to copy the library item in the workflow to another location in SharePoint (including folders and sub-folders of the same site), please use the "Copy to SharePoint" action.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon . For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options for this action

Copy from

This mandatory field is used to select the list or library where the item that is to be copied is located.

Where

This mandatory field allows you to choose from a drop-down the type of information about the item (for example, "Created By", "Title", "Content Type" etc) which is then defined in the field to the right. The information types available in the drop-down are dependent on what properties are used in the original location (set in the "Copy from" step).

To add the specific information to match in the right field, you can enter it yourself or you can use the look up feature by clicking on [image]. For more details on using lookups, please refer to the Lookups Help Page

Copy to

This mandatory field is used to select the destination in the current site for the item when it is copied. The destinations available in the drop-down are dependent on the content of the site. Please note, only root level locations are valid (folders and sub-folders are not supported).

Overwrite an existing item

If the item to copy is a file in a library, and a file with the same name already exists in the target library, this option will determine if the file will be overwritten. If this option is not selected, a time stamp will be added to the end of the filename. Note that overwriting a file does not increase its file version.

Once the mandatory fields have been completed, click Save at the bottom of the pop-up window and you will return to the design canvas.

If the mandatory fields within the "Copy an item" workflow action are not set, a warning icon like the one below will be shown on the design canvas. Until set, the workflow cannot be published.

Hovering over the workflow action on the design canvas will give you a warning box indicating what mandatory fields need to be set, as shown below.


Copy to fileshare

Copy to fileshare

The "Copy to fileshare" action downloads a copy of the current item to a specified location. This action is only available when designing the workflow on a library.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon . For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options for this action

Destination

This required field must be a valid UNC path accessible from the SharePoint server where Nintex Workflow 2007 is installed e.g. \\myfileserver\reports. If a file name is specified in the destination path, the file will be copied using this file name.

Username

The user to authenticate against when the document is copied to the specified location.

Password

The password to authenticate with when the document is copied to the specified location.


Copy to SharePoint

Copy to SharePoint

The "Copy to SharePoint" action allows the workflow to copy items in workflow to another library within SharePoint. When the workflow is running on document libraries, the item that the workflow is running on will be copied. In a list, any attachments on the list item that the workflow is running on will be copied.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options for this action

Destination Site

A site picker is displayed that allows you to navigate through the portal structure of the current SharePoint environment and select the library to which the document will be copied. Folders and sub-folders can be selected. Alternatively, the URL option can be selected to use lookups to determine the destination. To copy a file to a remote environment, the URL option must be used.

The Copy to SharePoint form

Copy InfoPath form / Copy embedded attachments

This option is available when designing a workflow on a form library. It allows for InfoPath attachments embedded in the form to be extracted and copied. The XPath query is used to indicate where in the form xml structure the attachments exist. If the XPath query evaluates to more than one attachment node, each attachment will be copied. To copy the actual form item in the form library, choose the 'Copy InfoPath form' option.

Overwrite options

Use this setting to determine the behavior when a file with the same name already exists in the destination.

Remove existing behavior

The file that already exists will be removed. If versioning is enabled in the destination the copy that is created will be an initial version.

Update existing item

The file that already exists will be overwritten. If versioning is enabled in the destination the version of the file will be incremented.

Rename new item

The file that already exists will be not be modified. The copied item will have a time stamp appended to its name.

Create folder structure

Check this box to replicate a folder structure in the target library if the item being copied is in a sub folder. This option is not applicable when the destination is a remote SharePoint environment.

Copy item meta data

Check this box to set the item properties on the target item to the same values as the source item. Only matching fields will have their values copied.

Store result in

Stores the new urls of the copied files into a text or collection variable.

Enter copy credentials

If the destination library is on a remote SharePoint environment, credentials with access to upload files are required. For copying files to a SharePoint site in the same environment as the workflow, the workflow automatically uses permissions with global SharePoint access if no other credentials are specified. To copy the item as a specific account in the local farm, enter the user credentials. Note: When a file is copied to the local farm with the global system account (i.e. no alternative credentials are specified), workflows in the destination location will not start automatically.


Create a Site

Create a Site

This feature allows you to create a site anywhere within your SharePoint environment using the workflow.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon . For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options for this action

Title

The Title is the name you wish to give the site and is a mandatory field. You can either type the name of the site manually or base it on a dynamic element provided by a lookup. To use the lookup feature, click on [image]. Click here for more information about lookups.

Description

The Description is a brief statement about the site and is a mandatory field. You can either type the description of the site manually or base it on a dynamic element provided by a lookup. To use the lookup feature, click on [image]. Click here for more information about lookups.

Inherit Permissions

Specifies whether or not to use the same permissions as the parent site.

If permissions are not inherited, a Site Owner must be specified. The Site Owner is the person who will manage the site that will be created. They will be given Administrator privileges for the created site. For more information on privileges and permissions, please refer to the SharePoint Help Files.

To set the Site Owner, click on [image] You will then have the option of choosing between an "Internal Search", "Add external email address" or "Lookup". For details on selecting between these options please click here for more information about lookups.

Parent Site

The Parent Site is the site that will contain the created site and is a mandatory field. A site picker will allow you to navigate through the portal structure and select the location where you would like to create the new site. Click the site under which you want the new site to be created. Alternatively, the 'Enter a URL' option can be selected to use lookups to determine the parent site.

URL

The URL is the web address for the created site and is a mandatory field. You can either enter the URL of the site that will be created or, by clicking on [image] you are able set the URL of the site to a field within the list or library where the workflow is being used. PLEASE NOTE: you only have to enter the part of the URL that relates to your site, not the absolute URL. For example to create a site with the URL "http://ourcompanyportal/parentsite/mynewsite", you only need to enter "mynewsite".

Template

The template is the SharePoint site template you wish to apply to the site that will be created. If multiple languages are installed in the environment, an option to choose the language for the site is available.

Simply click on the drop down box and select the desired template.

For more information on SharePoint site templates, please refer to the SharePoint Help Files.

Use navigation from the parent site

Specifies whether or not to use the same navigation as the parent site.

Display on the Quick Launch of the parent site

This option displays a link to the created list on the left hand navigation (Quick Launch) of the parent site.

Display on the top link bar of the parent site

This option displays a link to the created site on the top navigation of the parent site.

Store URL in

"Store URL in" allows you to store the URL for the created site in a text workflow variable and is an optional field. If there are no workflow variables created for the workflow, the drop-down list will be blank. Only the short part of the URL, the part mentioned above in the "URL" section of this Help File, is stored. For more information on workflow variables, refer to the Workflow Variables help page.

If the data is stored within a workflow variable it can be used at a later date to delete a site.

If the mandatory fields within the "Create a site" workflow action are not set, a warning icon like the one below will be shown on the design canvas. Until correctly set, the workflow cannot be published.

Hovering over the workflow action on the design canvas will give you a warning box indicating what items need your attention.


Create AD Account

Create AD Account

This workflow action will create an Active Directory user account in the specified LDAP location.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within this action

LDAP Path

An LDAP path specifying where to create new user accounts. E.g. LDAP://Nintex.com/OU=External,DC=nintex,DC=com

In this example, user accounts will be created in the Nintex.com domain in the organization unit ‘External’.

You can click on the LDAP Picker button on the right of the LDAP Path field to browse an LDAP Path.

Username

The administrative username to use when connecting to LDAP. Note: This user must have access to create user accounts in the LDAP location specified above.

Password

The password of the administrative account used to connect to LDAP.

Click on the padlock to select from a list of Credential Workflow Constants, maintained in Site Settings by your system administrator.

New Account Details

sAMAccountName

A unique username to specify for the Active Directory entry. This must be unique within the Domain.

Common Name

The Active Directory Common Name value. This must be unique within the Container in which it will be created.

Display Name

The display name of the new account.

Given Name

The given name of the new account.

Surname

The surname of the new account

e-mail

The e-mail address of the new account

Generate password

If checked, a random password will be automatically generated by the action. If unchecked, you have the ability to specify the password for the new account.

Store generated password

The automatically generated password can be stored in a text type workflow variable. This can then be used in other actions.

Account Options

Use this property to set the following account options:

  • User must change password at next logon
  • User cannot change password
  • Password never expires
  • User cannot change password AND Password never expires

Leaving all 3 checkboxes unticked will remove all options. Note that the only valid multiple selection is User cannot change password AND Password never expires. The 'Account Options' field is available from the 'Other fields' drop down menu.

Other Fields

In addition to the above standard LDAP properties, you can select from the drop down list or manually enter additional attributes to set on the new account. In the example above, the ‘mobile’ attribute has been selected to set the new account’s cell phone property.


Create AD Security Group

Create AD Security Group

* This topic applies to Nintex Workflow Enterprise Edition only

This workflow action will create an Active Directory group in the specified LDAP location.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within this action

LDAP Path

An LDAP path specifying where to create the security group. E.g. LDAP://Nintex.com/OU=External,DC=nintex,DC=com

In this example, a group will be created in the Nintex.com domain in the organization unit ‘External’.

You can click on the LDAP Picker button on the right of the LDAP Path field to browse an LDAP Path.

Username

The administrative username to use when connecting to LDAP. Note: This user must have access to create security groups in the LDAP location specified above.

Password

The password of the administrative account used to connect to LDAP.

Click on the padlock to select from a list of Credential Workflow Constants, maintained in Site Settings by your system administrator.

Group Details

Group Scope

Specify the scope for the group. Available options are: Domain local, Global or Universal

Group Type

Specify the type of group to be created. Available options are: Security or Distribution

Group Name

The name of the group to be created. E.g. Testers


Create an item

Create an item

This workflow action creates a new list item in a list within the current site.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure". For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options for this action

Create item in

This mandatory field is used to select a list to create an item in.

Content Type

The content type to use when creating the item. If a folder content type is selected, a folder is created. Likewise, if a document content type is selected, the appropriate blank template will be used.

Overwrite an existing item

If you would like to overwrite an existing item in the destination document library tick this check box. If you do not chose to overwrite an item, an identifier will be appended to the filename. Document libraries only.

Store New Item ID in

The created item will be assigned an ID. You can store this new item ID in a List Item Id Workflow Variable. For more information on Workflow Variables, please refer to the Workflow Variables Help Page. You can then use this workflow variable throughout the workflow should you wish to delete or update the item.

Field

The fields you can add to the created item will be dependent on what fields have been created in the destination list. For each field you can enter a value or you can use the look up feature by clicking on [image]. For more details on using lookups, please refer to the Lookups Help Page

Note: To create a document in a sub folder, for the name of your document specify the foldername\itemname and it will create the folder for you as well as the item. If the foldername already exists the document will be created in that folder.


Create Audience

Create Audience

* This topic applies to Nintex Workflow Enterprise Edition only

* This action requires Microsoft Office SharePoint Server

This workflow action will create a new audience in the environment.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate the drop-menu, down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within this action

Audience name

The name that the new audience should be called.

Credentials

An account with permissions to create an audience.

Description

Additional information to describe the audience.

Owner

The user who will be listed as the owner of the audience.

Include users who

Specify whether audience membership requires users to match any of the audience rules or all of the audience rules.

Audience Rules

Audience rules specify the requirements that a user must meet to be considered a member of this group. Multiple rules can be added by clicking the 'Add Rule' link.


Create CRM record

Create CRM record

* This topic applies to Nintex Workflow Enterprise Edition only

This workflow action will create a single record in Microsoft Dynamics CRM 4.0 (CRM). A record can be created for any entity, including custom entities.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer.

Options for this action

Server URL

The URL of the CRM server to connect to.

Organization name

The Organization located within CRM.

Credentials

The credentials used to connect to the CRM server and organisation.

Entity

The type of CRM record to be created.

Store record ID in

Specify a workflow variable in which to store the newly created CRM record ID. This could be used as a reference to the CRM record ID in other steps of the current workflow.

Attributes

Selecting an Entity will load any Required and Business Required attributes. This will then allow the entry of data for the attributes that relate to the entity selected.


Create list

Create list

This workflow action permits the creation of a new list anywhere in the web application.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon . For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options for this action

Title

The Title is the name you wish to give the new list and is a mandatory field. You can either type the title of the list manually or base it on a dynamic element provided by a lookup. To use the lookup feature, click on [image]. Click here for more information about lookups.

Description

The Description is a brief statement about the new list. You can either type the description of the list manually or base it on a dynamic element provided by a lookup. To use the lookup feature, click on [image]. Click here for more information about lookups.

List Template

The template is the SharePoint list template you wish to apply to the new list and is a mandatory field. Simply click on the drop down box and select the desired template. For more information on SharePoint list templates, please refer to the SharePoint Help Files.

Teamsite

A site picker is loaded that allows you to navigate through the portal structure and select the site or subsite in which the new list will be created. Select the required site or subsite by clicking it. Alternatively, the 'Enter a URL' option can be selected to use lookups to determine the parent site.

Display on the Quick Launch of the parent site

This option displays a link to the created list on the left hand navigation (Quick Launch) of the parent site.

PLEASE NOTE: Account credentials are not required to create the list. The workflow uses permissions with global sharepoint access.


Create Site Collection

Create Site Collection

This workflow action will provision a new site collection in the farm. All the options available in the SharePoint Central Administration "Create site collection page" are available. For more information on any option, see the SharePoint documentation.

Options within the action

Credentials

The username and password to use when creating the site collection.

Title

The name of the new site collection.

Description

The description of the new site collection.

Primary administrator

The administrator of the new site collection.

Secondary administrator

The secondary administrator of the new site collection.

Web application

The SharePoint web application that will contain the new site collection.

Url

The URL for the new site collection.

Template

The site template to use to create the site collection.

Quota template

The quota template to limit the resources used by the new site collection.

Store URL in

The variable in which to store the complete URL of the new site collection.


Create appointment

Create appointment

* This topic applies to Nintex Workflow Enterprise Edition only

This action allows you to create a calendar appointment or meeting request in Exchange 2007.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options for this action

Exchange 2007 Connection Details

This action connects to Microsoft Exchange Server 2007 using the Exchange web services. You must enter the url to the Exchange web service and a username and password of an account that has rights to create appointments in the mailbox of the user specified in the For field.

Editor Mode

Specifies whether to use the UI to build the appointment, or edit the appointment XML manually. You can use the Advanced mode to set appointment options not listed in the UI builder. See the Microsoft Exchange 2007 Web Services SDK for more details.

Appointment Details

This section defines the appointment to be created. When the action runs, the calendar appointment will be created in the calendar of the user specified in the For field. No meeting request will be sent to this user. The account credentials specified above must have write access to this user's mailbox.

Attendees

This section allows you to specify additional meeting attendees. These users will receive meeting requests.


Create task

Create task

* This topic applies to Nintex Workflow Enterprise Edition only

This action allows you to create a task in Exchange 2007.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options for this action

Exchange 2007 Connection Details

This action connects to Microsoft Exchange Server 2007 using the Exchange web services. You must enter the url to the Exchange web service and a username and password of an account that has rights to create task in the mailbox of the user specified in the Assign To field.

Editor Mode

Specifies whether to use the UI to build the task, or edit the task XML manually. You can use the Advanced mode to set task options not listed in the UI builder. See the Microsoft Exchange 2007 Web Services SDK for more details.

Task Details

This section defines the task to be created. When the action runs, the task will be created in the Exchange task list of the user specified in the Assign To field. The user will not receive any notification. The account credentials specified above must have write access to this user's mailbox. A task can only be assigned to a single user.


Decommission AD Account

Decommission AD Account

* This topic applies to Nintex Workflow Enterprise Edition only

This workflow action will disable or remove a User from an Active Directory.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within this action

LDAP Path

An LDAP path specifying the Active Directory location. E.g. LDAP://Nintex.com/OU=External,DC=nintex,DC=com

In this example, the organization unit ‘External’ in the Nintex.com domain will be searched to find the User.

You can click on the LDAP Picker button on the right of the LDAP Path field to browse an LDAP Path.

Username

The administrative username to use when connecting to LDAP. Note: This user must have access to disable and delete users in the LDAP location specified above.

Password

The password of the administrative account used to connect to LDAP.

Click on the padlock to select from a list of Credential Workflow Constants, maintained in Site Settings by your system administrator.

Decommission User

User

The username (sAMAccountName) of the Active Directory entry.

Action

Whether to disable or delete a user. Disable ticks the "Disabled" option against the AD user. Delete will permanently remove the user from AD.


Decommission Site Collection

Decommission Site Collection

This workflow action will limit the use of an existing site collection.

Options within the action

Credentials

The username and password to use when decommissioning the site collection.

Url

The URL to the site collection to decommission.

Action

The decommission action to apply.

Read only

Users can access the site but cannot make changes. This option provides an input to specify the reason this action was taken.

No access

Users cannot access the site, but the site collection is not deleted. This option provides an input to specify the reason this action was taken.

Delete

The site collection is removed.


Delay for

Delay for

This workflow action will pause the workflow at this step and delay it for a period of time defined by the designer of the workflow.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

By default, the delay period will be set to 5 minutes.

You then have the ability to set the delay in periods of years, months, days, hours and minutes. You can insert numeric references to define these values. You can also specificy to incorporate business hours in the calculation of the delay period. When checked, the action will ignore non business hours when counting down.


Delay Until

Delay Until

The "Delay until" workflow action will pause the workflow at this step and delay it until a set date and time defined by the designer of the workflow.

To use this workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon . For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

You can set the date and time at which the workflow will recommence by:

  • using your regional date format (for example mm/dd/yyyy) and typing the date, then selecting the hour and minute using the drop down boxes;
  • using [image] to select a date with the Calendar Picker, then selecting the hour and minute using the drop down boxes;
  • using [image] to set the date value to a date workflow variable or a date field within the site the workflow is tied to;


Delegate Task

Delegate Task

This workflow action will delegate outstanding workflow tasks to a specific user. This allows for escalation scenarios as seen below. In this example, an approval task is assigned to a user and after a set delay, if the user has not responded, the task is delegated to another user.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within this action

Action ID

When configuring a Request Approval, Request Review or Request Data action, you can nominate a workflow variable of type Action ID to store the assigned workflow action ID. You must specify this workflow variable to nominate which request approval/review/data action to delegate.

Delegate after

Specifies how long to wait before the task is delegated. If the task is completed in this period, the delegate action will complete without performing any change to the task. Note: The total time is calculated by summing all fields, regardless of the Time Calculation option selected. For example, 4 days and 4 minutes will be calculated as 96 (24x4) hours and 4 minutes.

Time calculation

Specifies whether or not hours outside the work week should be included when counting down to automatically delegate the task. The 'During business days only' option will specify that weekends or holidays are not included in the count down, but after hours on a business day are. The 'During business hours only' option specifies that only business hours are used in the count down. If neither option is selected, all hours will be included in the count down. The following two examples will further explain the behavior of each option:

Example 1: The delegate task action starts counting down Friday morning and is configured to wait 1 day. The work week is defined as Monday to Friday.

Example 2: The delegate task action starts counting down Wednesday at 4pm and is configured to wait 4 hours. The work day is defined as Monday to Friday, 8am to 5pm.

During business days only

Example 1 will delegate the task Monday morning because weekends are not included in the count down.

Example 2 will delegate the task at 9pm on Wednesday because after business hours are included in the count down.

During business hours only

Example 1 will delegate the task Monday morning because weekends are not included in the count down.

Example 2 will delegate the task at 11am on Thursday because after business hours are not included in the count down.

Neither option

Example 1 will delegate the task Saturday morning because weekends are included in the count down.

Example 2 will delegate the task at 9pm on Wednesday because after business hours are included in the count down.

Delegate to

The user or group to delegate to.

Comments

Comments to be recorded when performing the delegation. These comments will appear on the workflow history page.

Apply to

All pending tasks will reassign all tasks that have not already been actioned to the delegate. First pending task will only reassign the first non-actioned task to the delegate, and all other pending tasks will be set to not required.


Delete a site

Delete a site

This action allows you to delete a site anywhere within your SharePoint environment.

To use this workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click on the action's icon . For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options for this action

Parent Site

The Parent Site is the site that contains the site to be deleted and is a mandatory field. The site picker allows you to navigate through the portal structure. Alternatively, the 'Enter a URL' option can be selected to use lookups to determine the parent site.

URL

The URL is the web address for the deleted site and is a mandatory field. You can either enter the URL of the site to be deleted or, by clicking on [image] you are able set the URL of the site to a field within the list or library where the workflow is being used.

PLEASE NOTE: You only have to enter the part of the URL that relates to your site, not the absolute URL. For example to delete a site with the URL "http://ourcompanyportal/parentsite/sitefordeletion", you only need to enter "sitefordeletion".


Delete AD Group

Delete AD Group

* This topic applies to Nintex Workflow Enterprise Edition only

This workflow action will delete an Active Directory security group.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within this action

LDAP Path

An LDAP path specifying where to find the security group. E.g. LDAP://Nintex.com/DC=nintex,DC=com

You can click on the LDAP Picker button on the right of the LDAP Path field to browse an LDAP Path.

Username

The administrative username to use when connecting to LDAP. Note: This user must have access to delete security groups in the LDAP location specified above.

Password

The password of the administrative account used to connect to LDAP.

Click on the padlock to select from a list of Credential Workflow Constants, maintained in Site Settings by your system administrator.

Group Details

Group Name

The name of the group to be deleted. E.g. Testers


Delete an Item

Delete an Item

This workflow action deletes a list item in a list within the current site.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options for this action

Delete from

This mandatory field is used to set the location of the list where the item to be deleted resides.

Where

Once the "Delete from" field is completed, the "Where" field will appear, this too is a mandatory field.

Use the "Where" field to select which item to delete, using the available fields. The fields you can choose will be dependent on what fields are in the list you selected in the "Delete from" drop-down.

To select the criterion by which items will be deleted you can enter it yourself, or you can use the look-up feature by clicking on [image] For more details on using lookups, please refer to the Lookups Help Page

Once the mandatory fields have been completed, click Save at the bottom of the pop-up window and you will be taken back to the workflow design canvas.


Delete Audience

Delete Audience

* This topic applies to Nintex Workflow Enterprise Edition only

* This action requires Microsoft Office SharePoint Server

This workflow action will delete an existing audience in the environment.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate the drop-menu, down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within this action

Audience name

The name of the audience to delete.

Credentials

An account with permissions to delete an audience.


Delete/Disable CRM record

Delete/Disable CRM record

* This topic applies to Nintex Workflow Enterprise Edition only

This workflow action will delete or disable a record in Microsoft Dynamics CRM 4.0 (CRM). A record can be deleted or disabled for any entity, including custom entities.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer.

Options for this action

Server URL

The URL of the CRM server to connect to.

Organization name

The Organization located within CRM.

Credentials

The credentials used to connect to the CRM server and organization.

Action

Delete: Permanently remove the selected record.

Disable: Maintains the record but sets the status to hide it from the active views.

Entity

The type of CRM record to be deleted/disabled.

Record to delete

Specify the GUID of the CRM record to be deleted/disabled.

Note: It is recommended that the Query CRM action be used to obtain the GUID of the record and stored in a workflow variable which can then be specified in the Record to delete field.


Enable LCS/OCS

Enable LCS/OCS

* This topic applies to Nintex Workflow Enterprise Edition only

This workflow action will enable LCS/OCS for an existing an Active Directory user account.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within this action

LDAP Path

An LDAP path specifying access to the Active Directory on which the account resides. E.g. LDAP://ws03r2eeexchlcs.contoso.com/OU=External,DC=nintex,DC=com

In this example, a connection will be made to ws03r2eeexchlcs.contoso.com.

You can click on the LDAP Picker button on the right of the LDAP Path field to browse an LDAP Path.

Username

The administrative username to use when connecting to LDAP. Note: This user must have access to enable LCS/OCS for user accounts in the LDAP location specified above.

Password

The password of the administrative account used to connect to LDAP.

Click on the padlock to select from a list of Credential Workflow Constants, maintained in Site Settings by your system administrator.

Account to Enable

The username (sAMAccountName) of the Active Directory entry.

LCS Settings

Enable User

Tick to enable LCS/OCS for this AD Account. If left unticked, other properties will still be set.

SIP Address

The sip address for the AD Account. E.g. sip:john.smith@somecompany.com

Primary Home Server

Primary Home Server for your organization. E.g. CN=LC Services,CN=Microsoft,CN=WS03R2EEEXCHLCS,CN=Pools,CN=RTC Service,CN=Microsoft,CN=System,DC=contoso,DC=com

You can click on the LDAP Picker button on the right of the Primary Home Server field to browse an LDAP Path.


End workflow

End workflow

This workflow action will terminate the workflow and if included, will log a user defined message in the history list

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon . For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

There are no mandatory fields to complete in this workflow action however you can include a message in the history list. To do this, simply click in the white text box and type your message.

When you've finished the message, click Save at the bottom of the dialog box.

For details on the SharePoint History List, please refer to SharePoint Help Pages.


Execute SQL query

Execute SQL query

The “Execute SQL” action is for advanced users and allows the workflow to run a SQL command.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon . For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options for this action

Connection String

A SQL connection string to use when connecting to the remote database. For examples of connection strings, see this page. Provider options are MS SQL, ODBC, OLEDB and Oracle.

Query

An SQL statement to run. Within this field you can insert references from the workflow to include runtime values in the statement.

Escape reference values for use in strings

Use this option to ensure any value chosen from the 'Insert Reference' button is escaped for use in a SQL string. If the entire sql statement is contained in a single variable, then this option must be unchecked.

Store result in

This list contains all the workflow variables that can be used to store the result of a SQL ‘select’ query. A collection variable can be used to store multiple records. If the variable can only store a single value, and multiple records are returned, only the first record will be stored. If multiple columns are returned, only the value of the first column will be stored.


Filter

Filter

The action "Filter" is very similar to that of the "Set a condition" action in that it allows you to set a condition to dictate the logic that is processed at runtime. In this case the action causes the workflow branch to stop when the condition does not evaluate to true.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon . For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

For more information on each of the condition types please refer to the "Set a condition" action.

Multiple Conditions

You can construct complex conditions by choosing the 'Add condition' option. This allows you to specify 'And' or 'Or' and add another condition statement.


For Each

For Each

The “For Each” action is used to loop through each value in a collection variable. Other actions can be dragged on to the designer as child action of the For each action, and these actions will be executed for each value in the collection. The current value of the collection is accessible to each of the child actions via a workflow variable.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within the action

Target Collection

The collection variable to loop through

Store result in

As the action loops through each value in the Target Collection, the value will be assigned to this variable. Actions that are children of the For Each action can use this variable to access the current value of the collection.

Any variable type can be selected here, the workflow designer must ensure that it is compatible with the values stored in the collection.

Index

Optionally, a number variable can be selected to store the position of each item in the collection as it is accessed. The first item will be at position 0.


Get meeting suggestions

Get meeting suggestions

* This topic applies to Nintex Workflow Enterprise Edition only

This workflow action will retrieve a series of meeting time suggestions based on a specified criteria.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer.

Options for this action

Microsoft Exchange connection details

This action connects to Microsoft Exchange using the Exchange web services.

URL

The URL of the Exchange web service.

The credentials of an Exchange account that has the rights to create appointments in the mailbox of the users specified in the Attendees field.

Meeting Suggestion Properties

Attendees

The users that are to be invited to the proposed meeting.

Start after

The beginning of the time span for the meeting suggestion.

End by

The end of the time span for the meeting suggestion.

Meeting duration (minutes)

The length of the meeting suggestion.

Store result in

The results of the meeting suggestions will be stored in the workflow variable specified.

Advanced

Maximum results per day

The maximum number of meeting suggestions that will be returned for any given day.

Maximum non-business-hours results

The maximum number of meeting suggestions that will be returned that occur outside of the business hours set on the Exchange server.

Define "Good" threshold for attendance

The Good threshold for attendance is the percentage of attendees that must be able to attend a meeting suggestion for the suggestion to be given a "Good quality" status.

Minimum suggestion quality

The minimum meeting suggestion quality that is required for a meeting suggestion to be returned.

Result format

The format that the results will be returned as.


Log in the History List

Log in the History List

This workflow action will log a user-defined entry into the workflow history list.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options for this action

You can add a log in the history list by clicking in the white text box and typing your message. You can also include references from the list the workflow is being used in by clicking on [image]. Click here for more information about lookups.

There is a maximum length of 255 characters in the history list entry. Additional text will be trimmed.

When you've finished the message, click Save at the bottom of the dialog box.

For details on the SharePoint History List, please refer to the SharePoint Help Pages.

If the mandatory fields within the "Log in the history list" workflow action are not set, a warning icon like the one below will be shown on the design canvas. Until configured, the workflow cannot be published.

Hovering over the workflow action on the design canvas will give you a warning box indicating what fields need to be set as shown below.


Loop

Loop

The action "Loop" is very similar to that of the "Set a condition" action in that it allows you to set a condition to dictate the logic that is processed at runtime. In this case the action set contained within the loop action will be executed repeatedly while the condition evaluates to true.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon . For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

The condition form

For more information on each of the condition types please refer to the "Set a condition" action.

As with all loops, remember to ensure that within the set of actions that runs repeatedly, the condition properties update so that at some point the loop will finish.

Multiple Conditions

You can construct complex conditions by choosing the 'Add condition' option. This allows you to specify 'And' or 'Or' and add another condition statement.


Math operation

Math operation

The "Math operation" action allows the workflow at runtime to perform basic calculations for use within other actions in the workflow.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

The math operation form

Operand 1

To configure this action two values need to be specified as well as the operation. The mathematical operations available to be selected are plus, minus, divided by, multiplied by and modulus.

Store Result In

Finally the result of the calculation needs to be stored somewhere for future reference. The dropdown list will present you with the workflow variables.

PLEASE NOTE: For this action to work, you must have previously configured a workflow variable of type 'number' to store the result.


Provision User On Exchange

Provision User On Exchange

* This topic applies to Nintex Workflow Enterprise Edition only

This workflow action will provision a mailbox for an Active Directory user account in the specified mailbox container or mailbox database location.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within this action

Web Service URL

The path to the Nintex Workflow Exchange Connector Service. E.g. http://www.contoso.com/NW2007ECS/EmailProvisioning.asmx

In this example, the contoso website contains a virtual directory called NW2007ECS, which must be created by the Nintex Workflow Exchange Connector Service installer. EmailProvisioning.asmx is the web service created by the installer.

Username

The IIS account created in the prerequisite section of the Nintex Workflow Exchange Connector Service installation manual.

Password

The password of the IIS account created in the prerequisite section of the Nintex Workflow Exchange Connector Service installation manual.

Click on the padlock to select from a list of Credential Workflow Constants, maintained in Site Settings by your system administrator.

New Account Details

Version

The version of Microsoft Exchange Server. Supported versions are Microsoft Exchange Server 2003, 2007 and 2010.

Mailbox Container (Microsoft Exchange Server 2003)

The LDAP path to the Mailbox container in which the mailbox will be located. E.g. LDAP://nintex.com/CN=Mailbox Store (SERVERB),CN=First Storage Group,CN=InformationStore,CN=SERVERB,CN=Servers,CN=First Administrative Group,CN=Administrative Groups,CN=MLG,CN=Microsoft Exchange,CN=Services,CN=Configuration,DC=nintex,DC=com

You can click on the LDAP Picker button on the right of the Mailbox Container field to browse a Mailbox Container.

Exchange Database (Microsoft Exchange Server 2007 and Microsoft Exchange Server 2010)

The Exchange Database in which the mailbox will be located. This can be provided in the following formats:

  • database name
  • GUID of the database
  • server name\database name
  • server name\storage group\database name

You can click on the LDAP Picker button on the right of the Exchange Database field to browse an Exchange Database.

User (Microsoft Exchange Server 2003)

The sAMAccountName of the account to be created. E.g. jsmith

User (Microsoft Exchange Server 2007 and Microsoft Exchange Server 2010)

The identity of the account to be created. This can be provided in the following formats:

  • GUID
  • Distinguished name (DN)
  • Domain\Account
  • User principal name (UPN)


Query BDC

Query BDC

* This topic applies to Nintex Workflow Enterprise Edition only

* This action requires Microsoft Office SharePoint Server

This workflow action will retrieve data from the Business Data Catalog (BDC).

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate the drop-menu, down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within this action

Application name

The BDC Application to query.

Instance name

The Instance of the application to query.

Username and password

Valid credentials to access the BDC.

Entity name

The type of entity in the BDC application to query. Available entities are listed on the BDC administration pages in SharePoint Shared Services.

Entity property

The property of the entity to query. Available properties are listed on the BDC administration pages in SharePoint Shared Services.

Filters

Used to determine which instances of the selected entity to retrieve data from. Multiple filters can be added by clicking the 'Add filter' link. Only entities matching all of the filters will be retrieved.

Filter name: The property of the entity to filter on.

Filter value: The value that the filter property must match for the entity to be retrieved.

Store result in

Specifies the workflow variable that the resulting data will be stored in. If the variable can only store a single value, and multiple entities are returned, only the selected property from the first entity will be used. If a collection variable is used, the selected property from each returned entity will be stored.


Query CRM

Query CRM

* This topic applies to Nintex Workflow Enterprise Edition only

This workflow action will retrieve data from Microsoft Dynamics CRM v4.0 (CRM). The action mimics the Advanced Find functionality available in CRM.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate the drop-menu, down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options for this action

Server URL

The URL of the CRM server to connect to.

Organization name

The Organization located within CRM.

Credentials

The credentials used to connect to the CRM server and organisation.

Attributes to Return

The results returned can either be in XML or individual attributes can be specified and stored in a workflow variable.

Primary Entity

The type of entity to be queried.

Return as

XML: The returned results are structured as XML and all attributes of the primary entity will be returned for each record retrieved.

Variable: Each specified attribute will be returned and can be stored in a workflow variable.

Filters

Where there is

Used to specify/narrow down the records returned for the Primary entity selected.


Query Excel Services

Query Excel Services

* This topic applies to Nintex Workflow Enterprise Edition only

* This action requires Microsoft Office SharePoint Server

This workflow action will retrieve data from a Microsoft Excel workbook via Excel Services.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate the drop-menu, down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within this action

Workbook path

The location of the Excel workbook to query. The workbook must be in a configured Excel Service trusted location.

Sheet name

The name of the Excel sheet in the workbook that will be queried.

Username and password

Valid credentials to access the Excel Services web service. The credentials must have access to the workbook.

Update cell values

Specifies cells that should be set in the workbook before data is retrieved. Changes to these cell values are not committed to the workbook, they are only used to determine the values of the cells to retrieve information from. For example, if the cell to retrieve is the sum of E2 and E4, E2 and E4 can be set in this section and the result will be reflected in the cell to retrieve data from. Multiple cells can be updated by clicking the 'Add cell to update' link.

Cell position: The location of the cell to update. The cell location must be specified in the 'A1' format. Note that only single cells can be updated, you cannot specify a range with multiple cells.

Cell value: The value to update the cell with.

Cells to retrieve

The range of cells to retrieve values from. A single cell must be specified in the 'A1' format. Cell ranges must be specified in the 'A1:B2' format.

Store result in

The workflow variable to store the resulting value in. If the selected variable can only contain a single value and a range is returned, only the first cell in the range will be used. In a collection, values are stored left to right, top to bottom. For example, if the range to return is A1:B3, the values will be stored in this order: A1, A2, A3, B1, B2, B3.

Retrieve as formatted text

Specifies whether or not to keep the cell formatting, or only return the plain value. For example, if a cell is formatted to display numbers as currency, selecting this option will return a string with the currency symbol matching the display in Excel. If this option is not selected, only the numeric value of the cell is stored.

A note on date values: When an unformatted date value is stored into a collection, it will be stored as a numeric representation of the date because this is how Excel Services provides the data. The action cannot determine the difference between a number and a date represented as a number, so the value will be treated as a number when added to the collection. When returning a date result into a Date Time variable, the action will assume the value being retrieved is a date and store it as such.


Query LDAP

Query LDAP

The “Query LDAP” action is for advanced users and allows the workflow to query an LDAP compliant data source such as Microsoft Active Directory.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within the action

LDAP Path

A path to the entry point to begin searching the LDAP directory.

You can click on the LDAP Picker button on the right of the LDAP Path field to browse an LDAP Path.

Username

Optional username to use when authenticating to the LDAP directory.

Password

Optional password to use when authenticating to the LDAP directory.

Click on the padlock to select from a list of Credential Workflow Constants, maintained in Site Settings by your system administrator.

Query

An LDAP query to run. Within this field you can insert references from the workflow to include runtime values in the query.

Property to retrieve

The property to retrieve from the item found.

Store result in

This list contains all the workflow variables that are of text format and can be used to store the selected property of the result from the LDAP query.

Advanced Options

Authentication type

Specify the method used to authenticate to the LDAP server.

Search scope

Determines how the query should behave. The default is 'Sub tree'. Details of each scope are as follows:

(taken from msdn)

Perform paged query

Specify that paging should be enabled on the result set. If the query result set does not contain all expected results because only the first result page is being returned, enabling this option can help. This option is not supported in all environments.


Query List

Query List

The “Query List” action allows for list item data queries and stores the results in a workflow variable. The action performs a CAML site data query.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within the action

Editor Mode

Specifies whether to use the UI to build the query, or edit the CAML manually. Note that the builder can build queries for a single list in the same team site as the workflow. You must use the CAML Editor mode to create more advanced cross list queries.

In the Query Builder mode, the following elements will build the query. You can view the CAML at any time by switching to the CAML Editor mode.

List

Select the list to query data from. Lists in the current teamsite are displayed.

Field

The field in the list to select. If no field is selected (by using the CAML editor) the ID field will be retrieved.

Recursive

This option will include querying for items within folders and subfolders.

Filter

The criteria that selected list items must match in order to be selected.

Sort

The order in which selected values should be returned.

Alternative site

When 'CAML editor' is specified for 'Editor mode', there is an option to specify that the query should be run on a site other than the site the workflow is running in. To query an alternative site, select the 'Alternative site' option and enter the url to a SharePoint site. The site must exist in the same farm as the workflow, but can be in a different site collection or web application. If 'Alternative site' is selected, the query builder mode is disabled.

Store result in

The workflow variable to store the values selected from the query. If a variable that is not a collection is selected, only the first result will be stored.

Note that you can only select a single field with the Query List action. If the CAML query specifies multiple field references, only the first encountered will be used in the results.

Include HTML formatting in rich text columns

This option determines how a value queried from a rich text field is returned. When this option is selected, the HTML markup from the field will be preserved. When this option is not selected HTML markup is removed, leaving only the text.

For more information about CAML queries and Site Data queries, see the Windows SharePoint Services SDK.


Query User Profile

Query User Profile

* This topic applies to Nintex Workflow Enterprise Edition only

* This action requires Microsoft Office SharePoint Server

This workflow action will retrieve information about a user from their profile.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate the drop-menu, down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within this action

User

The login name of the user whose profile should be queried. Multiple users can be specified.

Credentials

An account with permissions to query the user profiles.

Properties to retrieve

A list of available profile properties that the action can read. Multiple properties can be selected.

Store result in

The workflow variable to retrieve the property values to. If the workflow variable can only hold one value, the first profile property of the first specified user will be retrieved. If a collection variable is selected, the action will store all the profile properties for the first account, followed by the properties for the second account, and so on.


Query XML

Query XML

This workflow action allows you to read, transform or query XML Data.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within the action

XML Source

Depending on what type of List or Library you are applying this Action to, you may have up to 3 options for your XML source.

Current item: Item in the list or library which this workflow is associated to. This option is only available if you are applying this action to a document library.

URL: A URL to the XML source you wish to process. You may optionally enter in a username and password to be used when accessing the specified URL. If no credentials are specified, the request will be made anonymously.

XML: Direct XML entered in the configuration dialog.

Process using

None: The resulting XML will not be processed. This allows you to read the XML file or source without processing.

XPath: Allows querying of XML to retrieve specific chunks of data. The expression must return a node set.

If your XML includes an explicit default namespace, you must use 'defaultNS' as the prefix when selecting nodes in that namespace.

XSLT: Allows the transformation of XML.

Store Result

This is a required field. It specifies where to store the resulting text.


Regular Expression

Regular Expression

This workflow action allows a regular expression to be performed on a block of text. A regular expression is a pattern that can match various text strings. It can be used to either check if the text matches a regular expression pattern or replace parts of the text that match a regular expression with different text.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within the action

Pattern

The regular expression pattern to apply to the text. This action uses the Microsoft .NET regular expression syntax.

Ignore case

Use this option to specify that the pattern should be treated as case insensitive. When this option is selected, a pattern that matches 'T' will also match 't'.

Operation

Replace Text

Replaces the text matching the pattern with the replacement text.

Check Match

Outputs a yes/no value to indicate if the input text matches the pattern.

Split

Divides the input text into sections using the pattern as a delimiter. The output value is a collection containing each portion of the split text.

Extract

Searches the input text for sub strings that match the pattern. Each matching substring is stored in the collection output value.

Text

The input text to which the regular expression will be applied.

Store result in

The workflow variable in which to store the output from the operation. The drop-down will list "Yes/No" variables in "Check Match" mode, Text variables in "Replace Text" mode and Collection variables in the "Split" and "Extract" modes.


Remove User From AD Group

* This topic applies to Nintex Workflow Enterprise Edition only

This workflow action will remove a User from an Active Directory security group.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within this action

LDAP Path

An LDAP path specifying the Active Directory location. E.g. LDAP://Nintex.com/OU=External,DC=nintex,DC=com

In this example, the organization unit ‘External’ in the Nintex.com domain will be searched to find the User and Group.

You can click on the LDAP Picker button on the right of the LDAP Path field to browse an LDAP Path.

Username

The administrative username to use when connecting to LDAP. Note: This user must have access to remove users from groups in the LDAP location specified above.

Password

The password of the administrative account used to connect to LDAP.

Click on the padlock to select from a list of Credential Workflow Constants, maintained in Site Settings by your system administrator.

Remove User from AD Group

User

The Active Directory username (sAMAccountName) of the user. E.g. jsmith

Group

The name of an existing Group from which the user will be removed. E.g. Finance


Request Approval

Request Approval

This feature allows you to request one user or more to process an approval as part of your workflow. For more details on the actual process please refer to approving and reject items.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action from the "User Interaction" group within the list. Visible on the design canvas will be two branches that dictate the path followed by the workflow depending on the response from the task approvers, to the right is the approval branch and the left the rejected branch.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or alternatively double click on the actions icon with the left mouse button. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options for this action

Approvers

The approvers list is a mandatory field that contains all users or groups that will be assigned the approval task during the running of the published workflow.

Users can be entered directly by their username, email address or full name and will be resolved where possible against the SharePoint user list. Please note that users and groups that do not resolve automatically with the system users will require lazy approval to complete their assigned task.

In the case that a group is assigned the approval task and Expand Groups is not selected, all users in that group will receive the task but the first response will represent the whole group. If Expand Groups is selected, an individual task will be assigned to every group member. Note that groups will only be expanded at one level. Groups within groups will not also be expanded.

In order to search for the approvers click on the address book icon to the right.

Select People and Groups

Select People and Groups popup

This configuration popup allows you to search and/or add users to the approvers list. Three tools are provided - click the title bar to expand or collapse each one. The three tools provided are:

  • Internal Search: By entering a partial display name, email or user account name and clicking on the magnifying glass the system will provide you with a list of matching users and groups from SharePoint as well as Active Directory.
  • Add External Email Address: Allows you to enter an external email address manually. Where possible Nintex Workflow 2007 will resolve this to an actual user account.
  • Lookup: Allows you to select a non fixed user or group to add to the list.

Edit settings for

By changing this setting from the default "All approvers" you are setting separate notification options for each approver in the list. In such a case please ensure you check the settings for each user. Changes to "All Approvers" will not affect users who are given custom settings.

Allow Delegation

When this option is selected the assigned approver at runtime can delegate the task to another user. For more information, please refer to the Delegating Approval Tasks help page.

Allow Lazy Approval

If SharePoint has been configured correctly you can permit the approvers to use Lazy Approval. Lazy Approval means that an approval or rejection can be registered when the approver replies to a notification email with an approved word or phrase. A system administrator can edit or add to the list of acceptable terms. For more information, please refer to the Managing Lazy Approval settings help page.

Notification Settings

There are two different notifications to configure for the Approval Request.

  • Approval Required: Sent when the approval tasks are assigned. This is also used when the task is delegated by one user to another.
  • Approval No Longer Required: Sent when the the user no longer needs to approve or reject an item. This can happen when an approval is assigned to multiple users but only one is required, the workflow is terminated prior to an approval being processed, or alternatively when an error occurs in the workflow at runtime.
The notifications inherit default messages which can be edited by an Administrator. For more information, please refer to the Defining Message Templates help page.

Delivery Type

Delivery type is the method of delivering the notification to the primary and if included, auxiliary user(s).

You can choose between None, Email, Instance Message or "User preference". For information on "User preference", please refer to the User Preferences Help Page.

PLEASE NOTE: Nintex does not provide support for troubleshooting email, SMS or LCS systems.

CC

The CC field sets auxiliary user(s) who will receive the customized notification and is an optional field.

To set the auxiliary user(s) click on [image] to open the Select People and Groups popup as described above.

From

The From field sets the user who will appear as the sender of the message. This setting applies to emails only. If no From user is specified, the From address configured in Global Settings will be used.

Importance

The Importance field sets the priority flag of the message. This setting applies to emails only.

Subject

The Subject is the title of the notification being sent and is a mandatory field. If an LCS/OCS message is being sent it will be pre-appended to the body of the notification.

You can either type the Subject of the notification manually or by clicking on [image], you are able to insert references from within the runtime instance of the workflow.

Attach file/Include attachments

If you are in a library the "Attach file" option will allow you to attach the document to the notification. Within a list, the "Include attachments" option will allow you to attach list item attachments to the notification. Please note: Files will not be received by a user when SMS or LCS are the delivery methods.

Plain Text/Rich Text

This sets the format of the email. If Rich Text is selected you will be able to italicize, bold, underline and indent information within your email using simple HTML styles provided by the SharePoint rich text tool bar. Plain Text is simply the text without any stylized formatting.

Notification Body

The body of the notification will adapt depending on whether the Plain Text or Rich Text format is selected. Within the space provided you can enter the content for notification as straight text and references from with the workflow.

Edit Task Description

Allows entry of dynamic text that will display on the task response form. This can be used to communicate additional information about the task to the responding user.

Approval Options

There are four options that will determine which approvals are required at runtime in case of multiple assigned users.

  • All must approve: Each user in the Approvers list must approve the item for it to qualify as approved. If even one of the users denies or rejects it, the item will be considered denied or rejected.
  • First response applies: The first response, whether it is approved or denied/rejected is the one that is accepted. All other approval requests will subsequently no longer be required.
  • Only one approval is required: Of all the responses to the item in the workflow, the task will be deemed as approved as soon as one approval response is accepted. All other approval requests will subsequently no longer be required.
  • Vote: The number of approvals from users required for the document to be considered approved can be set using the "Vote" option. A text field will appear and a whole number equal to or less than the total number of approvers set in the "Approvers" section can be entered.

Task Name

Allows the title of the task to be defined. This is the title that appears in a SharePoint task list. If left blank, the action title will be used by default.

Task content type

Allows a task content type other than the default to be used. This option will only display if an alternative content type is available on the site. Alternative content types are primarily used to enable custom task response forms.

Priority

Specifies the value that should be assigned to the priority flag for the task.

Store Action ID in

Allows a unique identifier for the action to be stored in an Action ID workflow variable. This identifier can be used to link the action to Delegate Workflow Task and Task Reminder actions. Please note that the Action ID does not correspond to the ID of the SharePoint task item that is created.

Item Permissions

Set user permissions to: Sets the user permission on the item.

When task is complete, set user permissions to: Sets the user permission on the item after the task has been completed.

Note: Setting the item permissions could be useful when the task is delegated, this will give the delegated user the necessary permissions to view the item.

When you have set all the options you require, click the "Save" button at the bottom of the pop-up window to commit them.

Custom approval forms

A custom task form can be used to respond to an approval task. Please download the Nintex Workflow 2007 SDK from http://www.nintex.com/Nproducts/Workflow2007SDK.aspx for more information.


Request Data

Request Data

The “Request Data” action assigns a task to a specified user. To complete the task, the user must provide a value for each data item specified in the action configuration. The workflow will wait for the task to be completed before continuing execution. Once the task is completed, the data that the user entered is available within the workflow.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within the action

Collect Data From

The user or group to retrieve data from. This task can only be assigned to a single principal. If it is assigned to a group, the first group member to respond will act on behalf of the entire group. The task can also be assigned to lookup values that will be resolved when the workflow runs.

Content Type

When the action runs, it creates a task for the user to complete. Each data item is created as a field in a task content type, and this content type is used when creating a task.

An existing content type can be used, or a new content type constructed. The list of existing content types will show all content types that inherit from the 'Workflow Task' content type. The new content type will also inherit from this parent. See the SharePoint documentation for more information on content types.

If an existing content type is chosen, the option will appear to make changes to the content type. This can include removing, adding or modifying existing fields. This option should be used with caution, as changes may affect other workflows or applications that use the content type.

A content type is only created or modified when the workflow is published, not when it is saved. If you define a new content type, then save the workflow, your changes will be lost when you edit the workflow next.

Field list

In this panel the data items to request from the user are defined. Each represents a field in the selected Content Type.

Each field has the option to store the value in a workflow variable. This will enable the value to be used directly in the workflow without it having to be looked up manually with a Set Variable action.

Further options for each field can be set from the SharePoint Content Type settings page.

The content type is only updated when the workflow is published.

Publish task form

When the workflow is published, it will generate a form for the task. This form is associated with the task content type and will overwrite an existing form if it exists. This option allows the designer to specify whether to publish the form or not when the content type already exists. If other applications use the form, or the form has been customised, the designer may not want to republish it so the changes are not lost.

Only show fields with variables assigned

When this option is selected, only data fields that have a variable selected for 'Store Result In' will have a visible input field on the published form. If this option is not selected, all the data items displayed in the field list will have input fields on the form.

The generated form is a standard list item edit page and can be customized in SharePoint Designer. The form is stored in the Workflows/NintexWorkflows/workflowname folder and will be named the same as the content type.

Note that the form is only published when the workflow is published.

Display link to workflow item on the task form

When this option is selected, the published task form will have a field called 'Link' containing a hyperlink back to the item that the workflow is running on. This is used to provide context about the workflow item for the user responding to the task.

Display the item properties panel on the task form

When this option is selected, the published task form will display a panel with the field names and values of the item that the workflow is running on.

Show attachments

When this option is selected, the published task form will display a link to add attachments to the task item. The task respondent will then have the opportunity to optionally attach one or more files to the form.

Store attachment urls in

This option allows the selection of a collection workflow variable to store the url of each attachment that the task respondent added to the task. This option is only available if 'Allow attachments' is enabled, or if 'Publish task form' is disabled.

Edit task description

On the default task edit page, this text will appear at the top of the page before the input controls. It is stored in the task's description field.

Edit input required notification

Specifies the parameters used when notifying the target user that their input is required.

Edit input not required notification

Specifies the parameters used when notifying the target user that their input is no longer required.

Reminders

Optionally, you can configure a notification reminder to be sent to each assignee who has not yet completed the task. As well as customising the notification, you can also configure the following reminder settings:

Number of reminders

The number of reminders to send.

Time between reminders

The delay before sending each reminder in days, hours and minutes. Note: The total time is calculated by summing all fields, regardless of the Time Calculation option selected. For example, 4 days and 4 minutes will be calculated as 96 (24x4) hours and 4 minutes.

Time calculation

Specifies whether or not hours outside the work week should be included when counting down to send a reminder. The 'During business days only' option will specify that weekends or holidays are not included in the countdown, but after hours on a business day are. The 'During business hours only' option specifies that only business hours are used in the countdown. If neither option is selected, all hours will be included in the countdown. The following two examples will further explain the behaviour of each option:

Example 1: The task is assigned Friday morning and is configured to wait 1 day before sending a reminder. The work week is defined as Monday to Friday.

Example 2: The task is assigned Wednesday at 4pm and is configured to wait 4 hours before sending a reminder. The work day is defined as Monday to Friday, 8am to 5pm.

During business days only

Example 1 will send a reminder Monday morning because weekends are not included in the count down.

Example 2 will send a reminder at 9pm on Wednesday because after business hours are included in the count down.

During business hours only

Example 1 will send a reminder Monday morning because weekends are not included in the count down.

Example 2 will send a reminder at 11am on Thursday because after business hours are not included in the count down.

Neither option

Example 1 will send a reminder Saturday morning because weekends are included in the count down.

Example 2 will send a reminder at 9pm on Wednesday because after business hours are included in the count down.

Escalation

Optionally, you can configure escalation. There are two possible escalation paths. Delegate task and complete task. Escalation occurs after all reminders have been sent and the specified "Time to escalation" has elapsed.

Delegate task will re-assign all pending tasks to the nominated user after the specified time.

Complete task will auto-respond to all pending tasks and set the overall outcome of the action to the indicated outcome after the specified time.

Allow delegation

When this option is selected, the user whom the task was assigned to will have the option to reassign it to another user.

Enable responses by email using LazyApproval

When this option is selected, the user can respond to the task by replying to the notification email. The email will contain a basic form, providing a location for the user to enter each requested value. By default, the form is appended to the message body. To control the location of the form, use the following token in the Input Required message:

{LAZY_APPROVAL_DATA_FORM}

Note that email form only shows fields that have variables assigned.

For more information see the Lazy Approval help topic.

Task name

The title that will be assigned to the task.

Store action ID in

Action Ids are used to link a task action to other actions in the workflow that are task related, such as the Task Reminder. Select an Action ID workflow variable to link this task to another action.

Store task ID in

This will store the SharePoint list item ID of the created task into a List Item ID workflow variable. This value can then be used to reference the task list item directly in workflow lookups.

Item Permissions

Set user permissions to: Sets the user permission on the item.

When task is complete, set user permissions to: Sets the user permission on the item after the task has been completed.

Note: Setting the item permissions could be useful when the task is delegated, this will give the delegated user the necessary permissions to view the item.


Request Review

Request Review

This feature allows you to request one user or more to process an approval as part of your workflow. For more details on the actual process please refer to approving and reject items.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action from the "User Interaction" group within the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or alternatively double click on the actions icon with the left mouse button. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options for this action

Reviewers

The reviewers list is a mandatory field that contains all users or groups that will be assigned the review task during the running of the published workflow.

Users can be entered directly by their username, email address or full name and will be resolved where possible against the SharePoint user list.

In the case that a group is assigned the review task and Expand Groups is not selected, all users in that group will receive the task but the first response will represent the whole group. If Expand Groups is selected, an individual task will be assigned to every group member. Note that groups will only be expanded at one level. Groups within groups will not also be expanded.

In order to search for the reviewers click on the address book icon to the right.

Select People and Groups

This configuration popup allows you to search and/or add users to the reviewers list. Three tools are provided - click the title bar to expand or collapse each one. The three tools provided are:

  • Internal Search: By entering a partial display name, email or user account name and clicking on the magnifying glass the system will provide you with a list of matching users and groups from SharePoint as well as Active Directory.
  • Add External Email Address: Allows you to enter an external email address manually. Where possible Nintex Workflow 2007 will resolve this to an actual user account.
  • Lookup: Allows you to select a non fixed user or group to add to the list. These are broken up into common ones such as the initiator of the workflow and their manager, as well as properties from the current SharePoint list. The item properties that are included are any column that is of a "Person or Group" or contains the work "Email" in the name.

Edit settings for

By changing this setting from the default "All Reviewers " you are setting separate notification options for each reviewer in the list. In such a case please ensure you check the settings for each user. Changes to "All Reviewers" will not affect users who are given custom settings.

Allow Delegation

When this option is selected the assigned reviewer at runtime can delegate the task to another user. For more information, please refer to the Delegating Approval Tasks help page.

Notification Settings

There are two different notifications to configure for the Review Request.

  • Review Required: Sent when the review tasks are assigned. This is also used when the task is delegated by one user to another.
  • Review No Longer Required: Sent when the the user no longer needs to review an item. This can happen when a review task is assigned to multiple users but only one is required, the workflow is terminated prior to a review being processed, or alternatively when an error occurs in the workflow at runtime.

Delivery Type

Delivery type is the method of delivering the notification to the primary and if included, auxiliary user(s).

You can choose between None, Email, Instance Message or "User preference". For information on "User preference", please refer to the User Preferences Help Page.

PLEASE NOTE: Nintex does not provide support for troubleshooting email, SMS or LCS systems.

CC

The CC field sets auxiliary user(s) who will receive the customized notification and is an optional field.

To set the auxiliary user(s) click on [image] to open the Select People and Groups pop-up as described above.

From

The From field sets the user who will appear as the sender of the message. This setting applies to emails only. If no From user is specified, the From address configured in Global Settings will be used.

Importance

The Importance field sets the priority flag of the message. This setting applies to emails only.

Subject

The Subject is the title of the notification being sent and is a mandatory field. If an LCS/OCS message is being sent it will be pre-appended to the body of the notification.

You can either type the Subject of the notification manually or by clicking on [image], you are able to insert references from within the runtime instance of the workflow.

Attach file/Include attachments

If you are in a library the "Attach file" option will allow you to attach the document to the notification. Within a list, the "Include attachments" option will allow you to attach list item attachments to the notification. Please note: Files will not be received by a user when SMS or LCS are the delivery methods.

Plain Text/Rich Text

This sets the format of the email. If Rich Text is selected you will be able to italicize, bold, underline and indent information within your email using simple HTML styles provided by the SharePoint rich text tool bar. Plain Text is simply the text without any stylized formatting.

Notification Body

The body of the notification will adapt depending on whether the Plain Text or Rich Text format is selected. Within the space provided you can enter the content for notification as straight text and references from with the workflow.

Edit Task Description

Allows entry of dynamic text that will display on the task response form. This can be used to communicate additional information about the task to the responding user.

Review Options

There are two options that will determine which reviewers are required at runtime in case of multiple assigned users.

  • All must review: Each user in the Reviewers list must review the item. The workflow will not proceed until a response has been received from each reviewer or reviewer's delegate.
  • First response applies: The first response is registered and enables the workflow to continue. All other review requests will subsequently no longer be required.

Task Name

Allows the title of the task to be defined. This is the title that appears in a SharePoint task list. If left blank, the action title will be used by default.

Task content type

Allows a task content type other than the default to be used. This option will only display if an alternative content type is available on the site. Alternative content types are primarily used to enable custom task response forms.

Priority

Specifies the value that should be assigned to the priority flag for the task.

Store Action ID in

Allows a unique identifier for the action to be stored in an Action ID workflow variable. This identifier can be used to link the action to Delegate Workflow Task and Task Reminder actions. Please note that the Action ID does not correspond to the ID of the SharePoint task item that is created.

Item Permissions

Set user permissions to: Sets the user permission on the item.

When task is complete, set user permissions to: Sets the user permission on the item after the task has been completed.

Note: Setting the item permissions could be useful when the task is delegated, this will give the delegated user the necessary permissions to view the item.

When you have set all the options you require, click the "Save" button at the bottom of the pop-up window to commit them.

Custom review forms

A custom task form can be used to respond to a review task. Please download the Nintex Workflow 2007 SDK from http://www.nintex.com/Nproducts/Workflow2007SDK.aspx for more information.


Run If

Run If

The "Run If" action is very similar to the "Set a condition" action in that it allows you to set a condition to dictate the logic that is processed at runtime. In this case the actions contained within the Run If action will only execute if the condition evaluates to true.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon . For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

The condition form

For more information on each of the condition types please refer to the "Set a condition" action.

Multiple Conditions

You can construct complex conditions by choosing the 'Add condition' option. This allows you to specify 'And' or 'Or' and add another condition statement.


Run parallel actions

Run parallel actions

This workflow action allows you to run at least two workflow actions simultaneously.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

There is no configuration required for this workflow action. However, it is important to note that the workflow will not continue until all workflow paths have been completed. If you wish to run more than two actions at a time, left-click on the action title and select "Add Branch". You can leave a branch empty and the workflow will continue to run.


Search Query

Search Query

* This topic applies to Nintex Workflow Enterprise Edition only

* This action requires Microsoft Office SharePoint Server

This workflow action will retrieve property values by perform a SharePoint search query.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate the drop-menu, down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within this action

Search scope

The search scope to use for the query.

Search for

Searches for SharePoint content that have properties matching the criteria. Individual words should be separated by a space character.

Result type

Specify a file type filter for the search. A pre defined file type can be selected, or a custom filter entered into the text input box. To not filter the results by file type, select 'all results' or clear the text input box.

Property restrictions

Allows further narrowing of the search results by only returning items where the property restriction rules are true.

Properties to return

Determines which property data will be retrieved from the search result. Multiple properties can be selected.

Results as xml

This option specifies whether to return the result set in an xml string. Returning the results as xml allows further processing and styling to be applied with the Query XML action. A text workflow variable must be chosen to store the result in if Return as xml is selected.

Store result in

Specifies the workflow variable to store the search results in. If the workflow variable can only hold a single value, only the first property of the first search result will be returned. If a collection variable is selected, each property of each search result is stored.


Send / Receive BizTalk Message

Send / Receive BizTalk Message

* This topic applies to Nintex Workflow Enterprise Edition only

The Send/Receive BizTalk action is used to enable interaction with BizTalk Server 2006. The action can send messages into a BizTalk orchestration and/or wait for a message from BizTalk. The action allows a workflow to interact with any external system that BizTalk interoperates with.
For more information on setting up Nintex Workflow to interoperate with a BizTalk orchestration, please download the Nintex Workflow 2007 SDK.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within the action

Action

Specifies whether the workflow is only sending a message to BizTalk, waiting for a message to arrive from BizTalk or both.

Message Id

A unique identifier that is used by Nintex Workflow when the BizTalk message handler receives a message. Nintex Workflow uses this value to determine which workflow a message is intended for.

BizTalk Web Service Endpoint Settings

These settings define the web service location where the BizTalk orchestration is published. These items are only required when the action is sending a message into BizTalk. These details are defined when running the BizTalk Web Services Publishing Wizard tool.

Url

The url of the published BizTalk web service.

Method

The web method of the web service to invoke.

Namespace

The namespace of the web service.

Username / Password

Credentials, if required, to access the web service.

Message Settings

This section defines the data that is sent to BizTalk, and the data that is expected in message from BizTalk.

Xml Namespace

The Xml Namespace for the messages that are generated. This will be reflected in the schema.

Send Workflow file (Document and Form Libraries only)

This option allows the current workflow item to be sent to BizTalk, instead of defining individual data from the workflow. If this option is used, the schema must be provided by the user.

Data to send

Allows selection of the data that must make up the message to send to BizTalk. Each data item will be presented as an element in the resulting message

Data to receive

Allows selection of the data that is expected in a message from BizTalk. Only workflow variables can be selected. After the message has been received, the workflow variables will hold the values that they were mapped to in BizTalk.

Export to XSD

Nintex Workflow generates the schema file for both the data to send and data to receive messages. These schema file can be imported into BizTalk to define messages. Each definition contains a header section containing information used by Nintex Workflow for routing the message, and a content section containing the data items specified.


Send notification

Send notification

This workflow action will send customizable workflow notifications to users via Email, SMS or Instant Message via Microsoft Office Communication Server or Live Communications Server. For more information on Office Communication Server, please refer to the Microsoft Office Communication Server website.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon . For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options for this action

To

The "To" field sets the primary user(s) who will receive the customized notification and is a mandatory field. To set the primary user(s) click on [image]. Click here for more information about inserting references.

Send individual notifications

When selected, each specified user will receive a separate notification that is only addressed to them in the 'to' field. When it is not selected, only one notification will be sent, with all users in the 'to' field. This option only applies to email notifications.

CC

The "CC" field sets auxiliary user(s) who will receive the customized notification and is an optional field. To set the auxiliary user(s) click on [image]. Click here for more information about inserting references.

From

The "From" field sets the user who will appear as the sender of the message. This setting applies to emails only. If no "From" user is specified, the "From" address configured in Global Settings will be used. To set the from user click on [image]. Click here for more information about inserting references.

Importance

The "Importance" field sets the priority flag of the message. This setting applies to emails only.

Subject

The "Subject" is the header or title of the notification being sent and is a mandatory field. If an IM message is being sent it will be pre-appended to the body of the notification. If an email is sent it will appear as the header or title of the email. You can either manually type the Subject of the notification or by clicking on the insert reference button [image], you are able set the Subject to a field within the list or library where the workflow is being used. Click here for more information about inserting references.

Notification Body

Show Attachments

Allows file attachments to be added to the notification.Please note: Files will not be received by a user when SMS or IM is selected as the delivery method.

Rich Text/Plain Text

This sets the format of the email. If Rich Text is selected you will be able to italicize, bold, underline and indent information with the rich text toolbar. Plain Text is simply the text without any stylized formatting.

Insert Reference

By clicking on insert reference icon you are able to include information from the list or library item that is being passed through the workflow in the Notification Body. For more information, please refer to the Insert Reference help page.

Include message header and footer

Specifies whether or not the configured message header and footer template should be used in this email notification. This option is only available when enabled by an administrator.

Delivery type

"Delivery type" is the method of delivering the notification to the selected user(s). You can choose between Email, Instance Message or User preference. For information on User preference, please refer to the User Preferences Help Page.

If the mandatory fields within the "Send a notification" workflow action are not set, a warning icon like the one below will be shown on the design canvas. Until set, the workflow cannot be published.

Hovering over the workflow action on the design canvas will give you a warning box indicating what fields need to be set, as shown below.


Set a condition

Set a condition

The action "Set a condition" allows you to process logic within the workflow that will run when a certain condition evaluates to true or false.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

After inserting the action you will note that there are 2 branches coming off the shape. To the right is the yes branch which is the path followed if the condition evaluates to true while to the left is the branch followed when it is false.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon . For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Condition Types

There are nine types of conditions that can be used here. These are:

Compare Field (current item's location)

Compare field form

This condition type allows you to evaluate if an individual property of the current item matches or compares to a certain value/column within the current items library or list. The options within this condition are quite extensive as you can use equals, not equals to, greater than, less than, is empty, contains and regular expressions, among others. To set the value of the condition click on Lookup button or manually type information in the text box.

Compare Any Data Source

Compare any data source form

This condition type is quite powerful as it allows you to use two lookups to compare at runtime. Again it has the same options as the Compare Field type in that an "equals", "not equals to" (et al) comparator can be used. To set the value of each side of the condition click on Lookup button .

Title Field Contains Keywords

A straight forward condition where a comparison is performed that determines if the item's title contains certain specific values. To set the value of the condition click on Lookup button or manually type information in the text box.

Modified In A Specific Date Span

This condition evaluates to true if the current item is modified between two specified dates. The advantages in this condition can be found when using lookups that refer to other items or internal workflow variables set within another part of the workflow. To set the value of each side of the condition range click on Lookup button or manually type information in the text box.

Modified By A Specific Person

A straight forward condition which evaluates to true if the item has been modified by a specific person. To set the value of the condition click on Lookup button or manually type information in the text box. If you manually enter information, ensure that you enter the user ID in the form: "domain\username". This field is case sensitive. Typing the user's display name will not work.

Created In A Specific Date Span

Similar to the modified in a specific date span condition this one matches instead the created date of the item. The power in this condition would come by using lookups that refer to other items or internal workflow variables set within another part of the workflow. To set the value of each side of the condition range click on Lookup button or manually type information in the text box. If you manually enter information, ensure that the date format matches that used in your SharePoint environment.

Created By A Specific Person

Similar to the modified by a specific person condition this one matches instead the creator of the item. To set the value of type person or group for the condition click on Lookup button or manually type information in the text box. If you manually enter information, ensure that you enter the user ID in the form: "domain\username". This field is case sensitive. Simply typing the user's display name will not work.

File Type Is A Specific Type

This condition evaluates to true if the item is a document and the type of the document matches the type specified. To set the value of the type for the condition click on Lookup button .

File Size Is In A Specific Range Of Kilobytes

This condition evaluates to true if the current item is a document and its size is between the specified numeric range of kilobytes. To set the values for the limits of the range for the condition click on Lookup button or manually type information in the text box.

Multiple Conditions

You can construct complex conditions by choosing the 'Add condition' option. This allows you to specify 'And' or 'Or' and add another condition statement.

And Or Conditions

When there is multiple conditions, they are evaluated bottom to top. For example, the last two conditions will be evaluated, then that result evaluated against the next condition. That pattern will continue until a final result is reached.


Set a variable

Set a variable

This workflow action will set the value of a workflow variable.

Please note: At least one workflow variable needs to be created for this action to be relevant.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Option for this action

Depending on what type of workflow variable is defined, the steps to set a variable will be different. Below are the different workflow variables types and the process to set each one.

Boolean also known as Yes/No

First select the boolean workflow variable from the drop-down. You can then set the value to yes or no or you can use [image] to set the value using a lookup.

Date / Time

First select the date workflow variable from the drop-down. You can then set the date workflow variable by

  • using your regional date format eg: mm/dd/yyyy and entering the date, then selecting the hour and minute using the drop down boxes
  • using [image] to select a date with the Calendar Picker, then selecting the hour and minute using the drop down boxes
  • using [image] to set the date value using a lookup
  • ticking the "Use date when action is executed" check box. This will set the date when the set a variable action is reached within the workflow

Number

First select the number workflow variable from the drop-down. You can then set the number workflow variable to the desired number or you can use [image] to set the number value using a lookup.

Text

First select the text workflow variable from the drop-down. You can then set the text workflow variable to your desired text or you can use [image] to set the text value using a lookup.

List Item ID

First select the List Item ID workflow variable from the drop-down. You can then set the List Item ID workflow variable to your desired value or you can use [image] to set the List Item ID value using a lookup.


Set approval status

Set approval status

The "Set approval status" action is used by the workflow to update the built-in SharePoint approval status of the current item.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options in this action

The set approval form

Set the status to

This mandatory field determines the status attributed to the item.

Comments

The comments entered here will be associated with the update to the status of the item. To insert references values to be evaluated at runtime, click on the The insert reference button button.

List Settings

In order for this action to work properly, the library or list to which it is attached must have SharePoint "Content approval" activated. To do this you will need to access the "Settings" button from with the library or list, select "Document Library Settings" (or "List Settings" etc) then click on the "Versioning settings" link under the "General Settings" section.

The content approval option within the list settings.


Set field

Set field

This workflow action allows you to update one of the fields of the item currently in the workflow.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon . For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options for this action

Set

To select the field you wish to add information to, select from the fields available in the drop-down. To the right of the drop-down you can enter information manually in the blank text box or you can use the lookup feature by clicking on [image]. For more details on using lookups, please refer to the Lookups Help Page.

Once all the options have been configured to your satisfaction, click the "Save" button at the bottom of hte pop-up window.

If the mandatory fields within the "Set field value" workflow action are not set, a warning icon like the one below will be shown on the design canvas. Until configured, the workflow cannot be published.

Hovering over the workflow action on the design canvas will give you a warning box indicating which fields need your attention, as shown below.

Wait until document is available to edit

For document libraries only. If a user has the document checked out when the workflow attempts to edit it, the workflow will fail. Selecting this option will cause the workflow to poll the check out status of the item, and only continue when it is checked in. If the library requires check out to edit, and a Check Out Item action is used earlier in the workflow, the item is recognised as ready to edit. Note that the workflow will delay each time before checking if the item is available, therefore there will be a pause before the change is checkout status is recognised.


Set item permissions

Set item permissions

This "Set item permissions" action allows the permissions to be changed for an item on which the workflow is running.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within the action

Inherit permissions from parent

This drop-down is used to break the link to the parent permission set (the permissions used in the library or list that contains the item in workflow). Once the option "No" is selected, specific permissions for specific users can be set.

Remove Existing Permissions

This option specifies whether or not to clear the permissions that are currently set on the item before adding the new permissions defined in the action. When selected, permissions that are defined in the action will be the only resulting permissions on the item. When it is not selected, permissions that are defined in this action will be added to the current permissions. If the item currently inherits its permissions from the parent list when the action runs, unselecting this option will cause these inherited permissions to be copied to the item.

User(s)

Allows you to select a user or group to whom you wish to assign access permissions for the item in the workflow.

Permission

The level of permissions you can select to assign to a user or group for the item in the workflow. Unless Remove Existing Permissions is selected, the permission will be added to the user's existing rights. You can choose the 'Remove' option the drop down list to remove all permissions from a user or group. Permissions are processed in the order that they are configured, therefore permissions can be cleared from a user in the first panel, then a single permission can be added in the second panel.

Add row

Click this link to enable you to add another user or group to whom you can assign specific permissions.

It is important to note that if the Initiating user of the workflow does not have read permissions, the workflow may error. This is because the workflow is running as the user and requires the ability to read the list item.


Start workflow

Start workflow

This workflow action will initiate a different workflow in the current library or list.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon . For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

From the drop-down that is presented, choose the title of a workflow to start. Only published workflows in the list or library in which the current workflow is operating will be available.

If the workflow was created with Nintex Workflow and has start data specified, a form will be displayed to provide values. For a workflow that is provided out of the box, or installed as a Feature, a panel will be provided to edit the association xml.

Options within the action

Start mode

Start immediately: Specifies that the target workflow will start when this executes.

Schedule: Creates a new workflow schedule for the target workflow. The target workflow will then run when then execute based on the schedule. For more information on workflow schedules see the Scheduling a workflow help page.

Do not start the workflow if it is already running

When this option is checked, the current workflow will not run the specified workflow if it is in progress.

Run within the workflow batch

This option applies only when 'Start immediately' is chosen. Some workflow actions that operate on list items do not execute their job instantly, but rather add it to a work batch that runs when the workflow reaches a delay or task action, or ends. It is preferable to run the start workflow action in the work batch to avoid issues around locking of the workflow item as the second workflow starts. However, sometimes starting the second workflow can take too long, resulting in time out errors in the SharePoint Unified Logging Service (ULS) logs on the web server and the workflow not starting. In these cases, this option can be unselected and the workflow will start instantly.

Schedule Builder

When 'Schedule' is selected as the start mode, this panel will display to allow the settings for the schedule to be selected. Note that when a date is typed in, it must be in the ISO8601 format.

The schedule panel can also be switched to show the 'Schedule XML'. This is the format the schedule is stored as and can be edited directly.


State Machine

State Machine

The "State Machine" action provides a construct to define a number of states that the workflow can be in. Each state contains actions that will execute when the workflow is in that state. The workflow moves between states until it is instructed to end the state machine.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page. Note that the state machine action cannot be copied.

Options within this action

Initial state

Select a state from the drop-down to determine which will be used first when the workflow is run.

States

The state machine supports the configuration of number of states. States can be added, deleted and renamed. Deleting a state will delete all actions currently added to it.

The state machine uses "Change State" actions to set which state to run next. For example, the actions in a state will repeat until a "Change State" action is used to set a different state. Workflow execution does not move to the next state instantly when the Change State action is run, it will only move to the next state once all actions in the current state have completed executing.

The following example image shows the "Change State" actions in a State Machine. A "Change State" action can set the next state to be any of the others available in the state machine. The states can be made to run in any order and conditions in one state can cause another state to be re-run. The State Machine part of your workflow will continue until the state has been set to “End State Machine” in one of the "Change State" actions. If there are other workflow actions below the State Machine, they will execute once the State Machine has completed.

The "Change State" action does not instantly change execution to the new state, it only sets which state should be run next. Selecting 'End State Machine' will exit the State Machine construct when the current state has finished running. Essentially, it always will occur at the end of all the actions in the step.

Nintex Workflow state machine construct is very different from a Visual Studio created State Machine. Nintex workflows' are Windows Workflow Foundation sequential workflows. Nintex made the 'state machine' by wrapping up loops, parallel branches, if statements and variables to control it. It's not a real state machine, but rather a construct to provide the ability to jump around between steps and mimic some of the scenarios that a state machine might be used for.

.NET 3.0 workflows come in 2 varieties. Sequential (like a flow chart) and state machines. With SharePoint declarative workflows (like the ones Nintex Workflow designs), these can only be sequential. To achieve the effect of a state machine in a sequential workflow, under the covers there is some clever logic made up of a while loop, parallel actions and various conditions.

With each iteration of the loop, a common workflow variable, used to store the current state, is evaluated to see if it should exit. Otherwise, it begins down each branch of the parallel action. At the top of each branch (state) is a condition to determine if the workflow should process actions in this branch. (if state = current state) The change state action sets the value of the current state workflow variable. Upon the next iteration of the loop, this determines which branch (state) to execute.

You can have complex logic within each state to determine the next. Using the 'wait for item update' action, or 'request approval' you could have the state machine wait on user input before deciding which state to process next.

If you wanted 'states' that transitioned based on mutually exclusive inputs, you may be better off having several workflows that run when the item is modified. At the start of each workflow, use the filter action to check if the input conditions are met. If it is not, the workflow will end. In this scenario, each workflow essentially becomes a state.


Stop a workflow

Stop a workflow

This workflow action can be used to terminate any running or errored workflow on the current item.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon . For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

To stop a workflow, make a selection from the drop-down box. You can either select a single, specific workflow that has been associated with the parent list or all workflows except the current workflow. Only workflow instances on the current item will be cancelled.


Submit Record

Submit Record

* This topic applies to Nintex Workflow Enterprise Edition only

* This action requires Microsoft Office SharePoint Server

This workflow action will submit the item that the workflow is running on to the SharePoint Records Center that has been configured in the environment.

This action is only available in workflows being created on document libraries.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate the drop-menu, down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within this action

Record series

The 'Record series' can be used to overwrite the default Record Center behaviour by specifying which routing record this item should follow. If 'Record series' is left empty, the default routing record for the item content type will be used.

Record status

When a record is submitted, a status message is returned to describe the result of the submission process. The 'Record status' can be used to select a workflow variable to store the outcome status message.


Switch

Switch

This workflow action directs the flow of actions based on the value of a single variable. A branch for each configured possible value is used to determine which actions will run.

Each time this action runs, either a single child branch or no child branch will execute - the workflow will continue to follow the main path of the workflow if none of the variables return matching values, bypassing the Switch construct completely.

Options within the action

Variable to evaluate

This is the variable that the action will evaluate to determine which child branch to run. Variables of type Text, Number, List Item ID and Action ID can be chosen.

Possible values

This section lists the allowed values for the variable. A child branch will be rendered in the workflow designer for each specified value. Each specified value must be compatible with the data type of the selected variable. Only one value is allowed for any single branch.

Click 'Add switch value' to add a new value. Click the cross button to remove a value. Removing a value will remove any actions configured to run when the variable is equal to this value.

Include an "other" value branch

Choose this option to add an additional child branch that will run if the variable value does not match any of the listed possible values. Using this option provides an alternative set of actions to the main workflow instead of the Switch construct simply being bypassed.


Task reminder

Task reminder

This workflow action will send notifications to the approvers or reviewers of an outstanding task. This allows for reminder scenarios as seen below.

In this example, an approval task is assigned to a set of users and after a configured delay, if any approvers are still required to respond, they will receive a notification. The approval task will repeat waiting and sending messages 3 times. If the original approval task allows LazyApproval, the reminder notification will include the LazyApproval token in the subject to allow the workflow replies send to it.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within the action

Action ID

When configuring a Request Approval, Request Review or Request Data action, you can nominate a workflow variable of type Action ID to store the assigned workflow action ID. You must specify this workflow variable to nominate which request approval/review/data action to send reminders regarding.

Number of reminders

The action will repeat the delay and notifications this number of times.

Time to reminder

The delay the action will wait inbetween sending each reminder. The action will start with a delay, so no external delay action is required. Note: The total time is calculated by summing all fields, regardless of the Time Calculation option selected. For example, 4 days and 4 minutes will be calculated as 96 (24x4) hours and 4 minutes.

Time calculation

Specifies whether or not hours outside the work week should be included when counting down to the next reminder. The 'During business days only' option will specify that a reminder will not be sent on a weekend or holiday, but can be sent after hours on a business day. The 'During business hours only' option specifies that a reminder will only be sent during business hours. If neither option is selected, a reminder can be sent at any time. The following two examples will further explain the behavior of each option:

Example 1: A reminder starts counting down Friday morning and is configured to wait 1 day. The work week is defined as Monday to Friday.

Example 2: A reminder starts counting down Wednesday at 4pm and is configured to wait 4 hours. The work day is defined as Monday to Friday, 8am to 5pm.

During business days only

Example 1 will send a reminder Monday morning because weekends are not included in the count down.

Example 2 will send a reminder at 9pm on Wednesday because after business hours are included in the count down.

During business hours only

Example 1 will send a reminder Monday morning because weekends are not included in the count down.

Example 2 will send a reminder at 11am on Thursday because after business hours are not included in the count down.

Neither option

Example 1 will send a reminder Saturday morning because weekends are included in the count down.

Example 2 will send a reminder at 9pm on Wednesday because after business hours are included in the count down.

CC

The CC field sets auxiliary user(s) who will receive the customized notification and is an optional field.

From

The From field sets the user who will appear as the sender of the message. This setting applies to emails only. If no From user is specified, the From address configured in Global Settings will be used.

Subject

The subject field of the notification.

Attach file/Include attachments

If you are in a library the "Attach file" option will allow you to attach the document to the notification. Within a list, the "Include attachments" option will allow you to attach list item attachments to the notification. Please note: Files will not be received by a user when SMS or LCS are the delivery methods.

Rich Text/Plain Text

This sets the format of the email. If Rich Text is selected you will be able to italicize, bold, underline and indent information with the rich text toolbar. Plain Text is simply the text without any stylized formatting.

Notification Message

The blank space proceeding the aforementioned options is the area in which the notification message should be written.

Delivery type

"Delivery type" is the method of delivering the notification to the selected user(s). You can choose between Email, Instance Message or User preference. For information on User preference, please refer to the User Preferences Help Page.


Update AD Account

Update AD Account

* This topic applies to Nintex Workflow Enterprise Edition only

This workflow action will update the properties of an Active Directory user account.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within this action

LDAP Path

An LDAP path specifying where to find the AD account. E.g. LDAP://Nintex.com/OU=External,DC=nintex,DC=com

You can click on the LDAP Picker button on the right of the LDAP Path field to browse an LDAP Path.

Username

The administrative username to use when connecting to LDAP. Note: This user must have access to update user accounts in the LDAP location specified above.

Password

The password of the administrative account used to connect to LDAP.

Click on the padlock to select from a list of Credential Workflow Constants, maintained in Site Settings by your system administrator.

Account to update

sAMAccountName

The username (sAMAccountName) of the Active Directory entry.

AD Fields to update

Select fields from the drop down list. You must select at least 1 field to update.
If the field to update is not available, select 'other', and type the property name, then click the 'Add' button. The 'Add' button will appear when you select 'other'.
The property name entered must be a valid Active Directory schema property. Some properties cannot be set with this Activity. E.g. memberOf must be updated via the Add User to AD Group and Remove User from AD Group Activities.

Country

If selected, this option correctly sets the 3 Active Directory properties; c, co and countryCode. You must use this drop down option to set country information.

Password

If selected, this option allows the resetting of a password. You must use this drop down option to set password information correctly.

Generate password

This is available if the 'Password' drop down option is selected. If checked, a random password will be automatically generated by the action. If unchecked, you have the ability to specify the password for the account.

Store generated password

The automatically generated password can be stored in a text type workflow variable. This can then be used in other actions.

Manager

If selected, this value must be the sAMAccountName of an existing Active Directory account.

Directory Location

Use this property to move the AD object from one location to another. Use the LDAP Picker to select a valid location, or enter an LDAP path, in the format LDAP://OU=someOU,DC=company,DC=country. E.g. LDAP://OU=archived users,DC=nintex,DC=com
Note that the credentials entered in the Username and Password fields at the top of page will be used to connect to the new AD location.

Rename

Use this property to rename an AD object. Use the format CN=[new name] or [new name]. E.g. CN=John Smith, or John Smith.
Note that setting this property will only affect the cn, canonicalName, distinguishedName and name properties in AD. You may also need to use the Display Name, Given Name and Last Name properties to complete a rename operation.
LCS/OCS properties such as SIP Address and email will need to be set separately. The 'Rename' field is available from the 'Other fields' drop down menu.

Account Activation

Use this property for the following operations:

  • An account is locked out, and you need to unlock it
  • An account is disabled and you need to re-enable it
  • You need to disable an account
  • Any combination of the above

Note that you cannot lock out an account. By unticking "Enable", you can disable the account. Leaving it ticked ensures it will be left in, or change to an enabled state. Ticking "Unlock" will unlock the account. The 'Account Activation' field is available from the 'Other fields' drop down menu.

Account Options

Use this property to set the following account options:

  • User must change password at next logon
  • User cannot change password
  • Password never expires
  • User cannot change password AND Password never expires

Leaving all 3 checkboxes unticked will remove all options. Note that the only valid multiple selection is User cannot change password AND Password never expires. The 'Account Options' field is available from the 'Other fields' drop down menu.

Other Fields

In addition to the above standard LDAP properties, you can select 'other' from the drop down list or manually enter additional attributes to set on the new account.


Update CRM record

Update CRM record

* This topic applies to Nintex Workflow Enterprise Edition only

This workflow action will update a record in Microsoft Dynamics CRM 4.0 (CRM). A record can be updated for any entity, including custom entities.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer.

Options for this action

Server URL

The URL of the CRM server to connect to.

Organization name

The Organization located within CRM.

Credentials

The credentials used to connect to the CRM server and organisation.

Entity

The type of CRM record to be updated.

Record to update

Specify the GUID of the CRM record to be updated.

Note: It is recommended that the Query CRM action be used to obtain the GUID of the record and stored in a workflow variable which can then be specified in the Record to update field.

Attributes

Selecting an Entity will load any Required and Business Required attributes. Select the attributes of the record to be updated and specify the updated value in the fields provided.


Update item

Update item

This workflow action will allow you to change multiple fields in an item, in one action.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

To update an item, you will first need to select what item you wish to update.

The most common use is to update the item that is going through the workflow. To edit the current item simply select "Current item" in the Update drop down box as shown below.

You will then need to select the fields in the current item to update as shown below

Alternatively, you can select the item to update from the lists available in the "Update" drop down box. They are divided into the different types of libraries and lists to make identification easier, as shown below

Following this path will mean you will need to set criteria for the workflow to identify which item(s) need to be updated. You do this by using the "Where" drop down box. As shown below

You can then enter the criteria details or you can use the Lookups feature by clicking on [image]. For more details on lookups, please refer to the Lookups Help Page.

Finally, select the fields you would like to update using the drop down box. The fields you select will be listed below each other, as shown below.

Should you include a field by mistake, simply click on [image] to delete the field.

Once all fields are selected, enter the updated data in each field or again, you could use the Lookups feature by clicking on

Wait until document is available to edit

For document libraries only. If a user has the document checked out when the workflow attempts to edit it, the workflow will fail. Selecting this option will cause the workflow to poll the check out status of the item, and only continue when it is checked in. If the library requires check out to edit, and a Check Out Item action is used earlier in the workflow, the item is recognised as ready to edit. Note that the workflow will delay each time before checking if the item is available, therefore there will be a pause before the change is checkout status is recognised.


Update User Profile

Update User Profile

* This topic applies to Nintex Workflow Enterprise Edition only

* This action requires Microsoft Office SharePoint Server

This workflow action will update the profile information of a user.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate the drop-menu, down then select "Configure" or double-click the action's icon. For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options within this action

User

The login name of the user whose profile should be updated. Multiple users can be specified.

Credentials

An account with permissions to modify user profiles.

Profile properties

Select the profile properties that the action will update. More than one property can be selected. When a property is selected, an input field is added to the dialog to allow a value to be specified.


Update Xml

Update Xml

This workflow action is used to alter XML data. It can be used to alter an XML file that the workflow is running on, including InfoPath forms.

Options within the action

Xml source

Specify the location of the XML to alter. A copy of this XML data is processed by the workflow action.

Current item

The item that the workflow is running on will be used as the source. This option is available for workflows designed on document libraries only.

Url

Data located at a nominated URL will be used as the source. The option allows entry of a username and password to use for the request. If no username or password is provided, the request will be anonymous.

Xml

Specify text or inserted references as the XML source.

Updates

A number of update operations can be performed by a single Update Xml action. Choose 'Add XML update' to define another update.

XPath query

The XPath query to the XML nodes that will be altered. The XPath query can resolve to a single node, or a node list. If the result is a node list, the selected change will be applied to each node.

Selected node(s) action

The operation to perform on the selected node. "Update node value" will set the value of the XML node to the supplied text. "Add child node" will add a new node from the supplied XML fragment.

Store result in

Specifies where the resulting XML should be stored. Text variables can be selected, as well as the following options:

Current item

The contents of the item on which the workflow is running will be overwritten with the new XML. Use this to update InfoPath form items. This option is available for document libraries only.

Url

The XML will be stored at a location specified by a URL. The URL does not have to point to a SharePoint location.


Wait for an item update

Wait for an item update

The "Wait for an item update" action pauses the workflow until a meta-data column on the current item meets a specified condition.

To use the workflow action, drag it from the Actions palette at the left of the page and drop it onto a blue "pearl" on the design canvas. Alternatively, you can right-click a pearl, mouse-over "Insert Action" and select the action you require from the list.

To change the settings used by the action, left click in the action's title bar to activate a drop-down then select "Configure" or double-click the action's icon . For more information on the other options in the drop-down, please refer to the Getting started with the Nintex Workflow designer help page.

Options for this action

The wait for item update config form

Wait for

The "Wait for" field allows you to select a column in the list or library where the current item is located. This column's value will be the one that the following condition needs to evaluate as true against to proceed in the workflow.

Condition

The condition contains the comparison that must be true for the workflow to move past this action. A comparison operator and a value must be specified. A lookup can be configured by clicking on the The lookup button button.


Web Request

Web Request

This workflow action performs an HTTP request to a URL. It can be used to perform a variety of HTTP operations.

Options within the action

Url

The URL that the HTTP request will be made to.

Credentials

The credentials that will be used for authentication to the URL. If no credentials are provided, the request will be made anonymously.

Operation

The Web Request action is capable of making many common HTTP calls. GET, POST, SOAP 1.1 and SOAP 1.2 are predefined and 'Other' can be selected to specify another operation. Input fields for required headers will be displayed if required for the operation.

Add headers

Specify the headers to be sent with the web request. Multiple headers can be selected by choosing the 'Add header' option.

Text

Specifies the textual data that is sent as the body of the web request. This option is available for all operations except GET. To include a base64 encoded copy of the file that the workflow is running on in the request text, type in [FileData] and it will be replaced at run time (document libraries only).

Send workflow file

Specifies that the bytes of the file the workflow is running on should be sent as the web request body. This option is only available for workflows that are created on a document library.

Keep alive

Allows for the 'Keep alive' option to be specified for the request.

Allow auto redirect

Allows for the 'Auto redirect' option to be specified for the request.

Store result in

The text workflow variable in which to store the contents of the response.

Store http status in

The text or number workflow variable in which to store the numeric http response code.

Store response headers in

The collection workflow variable in which to store each response header. Each header will be represented by a single item in the collection, and will be formatted as header name=header value.

Store response cookies in

The collection workflow variablein which to store each response cookie. Each cookie will be represented by a single item in the collection, and will be formatted as cookie name=cookie value.


Using Nintex Live Connector for Nintex Workflow 2007

Nintex Workflow 2007
Using Nintex Live Connector for Nintex Workflow 2007

Topics in "Using Nintex Live Connector for Nintex Workflow 2007"
6 items

Help and How-to
Installing Nintex Live

Help and How-to
Nintex Live Workflow Settings

Help and How-to
Catalog Settings

Help and How-to
Accesss Management

Help and How-to
Adding and removing services

Help and How-to
Using the Nintex Live Catalog


Installing Nintex Live

Installing Nintex Live

Nintex Live is a hosted service provided by Nintex.

The Nintex Live Connector is required to enable connectivity to Nintex Live.

The Nintex Live Connector must be installed to enable the Nintex Live features of Nintex Workflow 2007. These features allow workflow designers to add web services from the Nintex Live Catalog to the Nintex Workflow actions toolbox. These can then be used in workflows.

Installing the Nintex Live Connector

The following steps are required to manually install the Nintex Live Framework and certificates if the "Install Nintex Live" option was not selected during the Nintex Workflow 2007 installation.

  1. Re-run the MSI.
  2. Check the "Install Nintex Live" option during installation.

The Nintex Live Connector will now be installed.


Nintex Live Workflow Settings

Nintex Live Workflow Settings

Use the Nintex Live Workflow settings page to enable or disable the ability to connect to Nintex Live and allow workflow designers to add web services from the Nintex Live Catalog to the Nintex Workflow actions toolbox which can then be used in workflows.

Note: Ensure that the Nintex Live Framework and the certificates required to enable connectivity to Nintex Live have been installed.

If the "Install Nintex Live" option was not selected during Nintex Workflow 2007 installation, manually install and deploy the "NintexWorkflow2007LiveConnector.wsp".

To enable Nintex Live Workflow settings:

  1. In Central Administration, click on Application Management.
  2. In the Nintex Workflow Management section, click on Live Settings.
  3. In the Enable Nintex Live for Nintex Workflow section, click on Enable.

Note: When Nintex Live Workflow is disabled, the workflows already published to Nintex Live will remain active.

Use the following as required:

Update Services: Forces an update of all service definitions.

Update request tracking: Updates Live request tracking if a pending service request has become orphaned after a database migration.


Catalog Settings

Catalog Settings

The Live Catalog Settings page is used to manage the options for the Nintex Live Catalog.

Allow Catalog browsing in the workflow designer

This option determines if workflow designers can browse the Nintex Live Catalog.

When this option is set to Yes, workflow designers can browse the Catalog and add services into the workflow toolbox.

When this option is set to No, this will disable the Catalog button in the workflow designer. The Catalog will only be accessible from the Nintex Workflow Manage allowed actions page.

Note: The Nintex Workflow - Nintex Live Catalog site collection feature must be activated on the site collection(s) for this setting to be effective. If the site collection feature is not activated, the Catalog button will not be displayed at all.

Allow comments and ratings to be viewed

This option determines the type of ratings and comments for services that can be viewed by users in the organization within the Catalog.

  • From users within my organization only: Displays only ratings and comments by users within the organization. This is per company and not based on the SharePoint farm. For example, if a company has more than one SharePoint farm and both use Nintex Live and have enabled rating and commenting, the ratings and comments made in both farms are displayed.
  • From all Nintex Live users: Displays ratings and comments made by all users of Nintex Live.

Allow comments and ratings to be posted

This option determines if ratings and comments for services can be added by users in the organization.

Note: The option selections are enabled and disabled based on the Allow comments and ratings to be viewed selection.

  • Allow posting to my organization only: Ratings and comments made by the users will only be visible to other users within the organization. The user's domain name will be displayed with the rating and comment made.
  • Allow posting to all Nintex Live users: Ratings and comments made by the user will be visible to all users with access to the Nintex Live Catalog. The user will be asked for an alias when posting a rating and comment. Users within the organization viewing the rating and comment will see the domain name if the rating and comment was made from someone within the organization. If the rating and comment was made from someone outside the organization, their alias will be displayed.


Accesss Management

Accesss Management

The Live Access management page is used to allow and disallow access to the services available in Nintex Live. These settings apply to all the SharePoint farms of the organization using Nintex Live.

Private services are specific services that are provided from a specific service provider to a company. Public services are services that are available to all companies.

The Always make new services from this service provider available checkbox will automatically select any new private services added by the service provider and make them available in the Catalog.

New public services are automatically selected by default when they're made available by a service provider.

When a service is allowed:

  • The service will be displayed in the Nintex Live Catalog, via the Catalog, workflow designers will be able to add services into the workflow action toolbox for use in workflows.

When a service is disallowed:

  • The service will not be displayed in the Catalog.
  • If the service is being used in a workflow; when the workflow reaches the step that uses that service (workflow action) it will not be allowed to access Nintex Live and an error will occur.
  • The service (workflow action) will still be available in the workflow action toolbox and workflow designers will still be able to add them to workflows.

Note: Disallowing a service will only disable the service from making requests to Nintex Live. To remove the service (workflow action) from the workflow action toolbox, navigate to the Manage allowed actions settings page and uncheck the particular service.


Adding and removing services

Adding and removing services

In the Nintex Live Catalog, the administrator / workflow designer can select the services to be made available as workflow actions in the workflow toolbox. Once a workflow action has been added, it will be available in the Nintex Live category toolbox as a workflow action. The workflow action can be dragged and dropped onto the designer canvas and configured as per regular Nintex Workflow actions.

To add a service into the workflow action toolbox:

  1. In the workflow designer, click on the Nintex Live Catalog button in the Ribbon.
  2. In the Catalog, select the service to add to the toolbox and click on the Add button. You can select and deselect services before clicking OK.
  3. Click OK to add the selected pending service(s) to the toolbox.

To remove a service from the workflow action toolbox:

  1. In the workflow designer, click on the Nintex Live Catalog button in the Ribbon.
  2. In the Catalog, select the service to remove from the toolbox and click the Remove button. You can select and deselect services before clicking OK.
  3. Click OK to remove the selected service(s) from the toolbox.

The service will no longer be available in the workflow toolbox.

Note: Removing the service does not delete the service from the list of available workflow actions that are displayed in the Manage allowed action settings page.

Note: If Nintex Live is unavailable and there is a service action on the design canvas, a warning will be displayed below the Ribbon.

Note: When a service is used in a workflow, a warning will be displayed on the action when a more recent version of the service is available. To update, open and save the action configuration.


Using the Nintex Live Catalog

Using the Nintex Live Catalog

The Nintex Live Catalog displays the list of available services that can be added to the workflow toolbox.

The list of services include a mix of free and paid for services. For example, StrikeIron are a subscription based provider. Most StrikeIron services offer a free trial of a limited number of calls per service. Any further usage will require paid subscriptions to be arranged directly with StrikeIron.

The Service Information (located at the right of the Catalog) will state if the service is free or paid and if registration is required to use the service.

Browsing the Catalog

When browsing the Catalog, a number of options are available to help narrow down the services that you may be interested in.

Tabs

Tabs that are located on the top right of the Catalog provide a quick way to change the focus of the Catalog:

  • Browse: Lists all the services that are available.
  • What's new?: Lists services that have been released in the last 7 days.
  • Search: Provides the ability to search for services using advanced options.

Sorting

The services can be sorted in ascending or descending order by the following:

  • Title: The title of the service.
  • Release date: The date that the service was published. If a new version of the service is published, the release date will reflect the new published date.
  • Rating: The average rating of the service that has been given by users within the organization or by all Nintex Live users. This is dependent on the ratings and comments that have been set in the Catalog settings.

Filtering

The filter option narrows down the list of services that are displayed in the Catalog.

  • Category: The category of the service.
  • Price: The cost to use the service. A service can either be free, paid or have a trial available.
  • Service scope: The scope of the service in relation to the region it may be useful for. i.e. a service which may only be useful in Australia will be listed as Region specific. This however does not restrict the usage of the service from users outside of Australia.
  • Minimum rating: The minimum average rating of a service.

Searching

    To search for services, use the search box located on the top right of the Catalog or use the Search tab which provides advanced options to narrow down the search scope. The search query only searches against the service title and description. Searches do not include the comments made for the services.

Rating and Commenting

In the Catalog, ratings and comments of services made by users (within the organization or from outside the organization) may be displayed. The displaying of the rating and comments is set at an administration level. Users browsing the Catalog would be able to:

  • View ratings and comments of a service
  • Post ratings and comments for a service

To view the rating and comments of a service:

Click on the Show most recent ratings and comments link for the service. This will display the three most recent rating and comments that have been made for the service. The View all ratings and comments displays all the ratings and comments of the service, including any ratings and comments made about the previous version(s) of the service

When posting a rating and comment, the user's domain username will be displayed with the rating and comments made when it is viewed by users within the organization. The option to put an Alias will be available if ratings and comments have been set to all Nintex Live users (includes users outside the organization).

To post a rating and comment for a service:

Click on the Rate and comment link for the service.

  • Rating: The rating for the service. A rating of at least 1 star must be selected.
  • Comments: Comments about the service. To comment, the service must be rated.
  • Alias: The alias will be displayed to external Nintex Live users. However, the domain username will be displayed to users in your organization. Note: The alias will only be displayed if the rating and comments settings have been set to all Nintex Live users (includes users outside the organization).

A user can only make a rating and comment once. By rating and commenting on the service again, the previous rating and comments that was made will be displayed and the user will be able to modify them.

Adding and removing services

For help on adding and removing services, please refer to Adding and removing services topic.


Nintex Workflow 2007 Help and How-to

Nintex Workflow 2007
Help and How-to

Contents

Administration and Configuration
Using the Workflow Designer
Workflow Interaction with Sharepoint
Workflow Actions
Using Nintex Live Connector for Nintex Workflow 2007